"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssignPostRequestBody = void 0;
const createManagedEBookAssignmentFromDiscriminatorValue_1 = require("../../../../models/createManagedEBookAssignmentFromDiscriminatorValue");
/** Provides operations to call the assign method. */
class AssignPostRequestBody {
    /**
     * Instantiates a new assignPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "managedEBookAssignments": n => { this.managedEBookAssignments = n.getCollectionOfObjectValues(createManagedEBookAssignmentFromDiscriminatorValue_1.createManagedEBookAssignmentFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the managedEBookAssignments property value. The managedEBookAssignments property
     * @returns a managedEBookAssignment
     */
    get managedEBookAssignments() {
        return this._managedEBookAssignments;
    }
    ;
    /**
     * Sets the managedEBookAssignments property value. The managedEBookAssignments property
     * @param value Value to set for the managedEBookAssignments property.
     */
    set managedEBookAssignments(value) {
        this._managedEBookAssignments = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("managedEBookAssignments", this.managedEBookAssignments);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.AssignPostRequestBody = AssignPostRequestBody;
