"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TargetedManagedAppPolicyAssignmentItemRequestBuilderGetQueryParameters = void 0;
/** Navigation property to list of inclusion and exclusion groups to which the policy is deployed. */
class TargetedManagedAppPolicyAssignmentItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.TargetedManagedAppPolicyAssignmentItemRequestBuilderGetQueryParameters = TargetedManagedAppPolicyAssignmentItemRequestBuilderGetQueryParameters;
