"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssignPostRequestBody = void 0;
const createEnrollmentConfigurationAssignmentFromDiscriminatorValue_1 = require("../../../../models/createEnrollmentConfigurationAssignmentFromDiscriminatorValue");
/** Provides operations to call the assign method. */
class AssignPostRequestBody {
    /**
     * Instantiates a new assignPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the enrollmentConfigurationAssignments property value. The enrollmentConfigurationAssignments property
     * @returns a enrollmentConfigurationAssignment
     */
    get enrollmentConfigurationAssignments() {
        return this._enrollmentConfigurationAssignments;
    }
    ;
    /**
     * Sets the enrollmentConfigurationAssignments property value. The enrollmentConfigurationAssignments property
     * @param value Value to set for the enrollmentConfigurationAssignments property.
     */
    set enrollmentConfigurationAssignments(value) {
        this._enrollmentConfigurationAssignments = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "enrollmentConfigurationAssignments": n => { this.enrollmentConfigurationAssignments = n.getCollectionOfObjectValues(createEnrollmentConfigurationAssignmentFromDiscriminatorValue_1.createEnrollmentConfigurationAssignmentFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("enrollmentConfigurationAssignments", this.enrollmentConfigurationAssignments);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.AssignPostRequestBody = AssignPostRequestBody;
