"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetPriorityPostRequestBody = void 0;
/** Provides operations to call the setPriority method. */
class SetPriorityPostRequestBody {
    /**
     * Instantiates a new setPriorityPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "priority": n => { this.priority = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Gets the priority property value. The priority property
     * @returns a integer
     */
    get priority() {
        return this._priority;
    }
    ;
    /**
     * Sets the priority property value. The priority property
     * @param value Value to set for the priority property.
     */
    set priority(value) {
        this._priority = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeNumberValue("priority", this.priority);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.SetPriorityPostRequestBody = SetPriorityPostRequestBody;
