"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceManagementRequestBuilder = void 0;
const createDeviceManagementFromDiscriminatorValue_1 = require("../models/createDeviceManagementFromDiscriminatorValue");
const createODataErrorFromDiscriminatorValue_1 = require("../models/oDataErrors/createODataErrorFromDiscriminatorValue");
const applePushNotificationCertificateRequestBuilder_1 = require("./applePushNotificationCertificate/applePushNotificationCertificateRequestBuilder");
const complianceManagementPartnersRequestBuilder_1 = require("./complianceManagementPartners/complianceManagementPartnersRequestBuilder");
const complianceManagementPartnerItemRequestBuilder_1 = require("./complianceManagementPartners/item/complianceManagementPartnerItemRequestBuilder");
const conditionalAccessSettingsRequestBuilder_1 = require("./conditionalAccessSettings/conditionalAccessSettingsRequestBuilder");
const detectedAppsRequestBuilder_1 = require("./detectedApps/detectedAppsRequestBuilder");
const detectedAppItemRequestBuilder_1 = require("./detectedApps/item/detectedAppItemRequestBuilder");
const deviceCategoriesRequestBuilder_1 = require("./deviceCategories/deviceCategoriesRequestBuilder");
const deviceCategoryItemRequestBuilder_1 = require("./deviceCategories/item/deviceCategoryItemRequestBuilder");
const deviceCompliancePoliciesRequestBuilder_1 = require("./deviceCompliancePolicies/deviceCompliancePoliciesRequestBuilder");
const deviceCompliancePolicyItemRequestBuilder_1 = require("./deviceCompliancePolicies/item/deviceCompliancePolicyItemRequestBuilder");
const deviceCompliancePolicyDeviceStateSummaryRequestBuilder_1 = require("./deviceCompliancePolicyDeviceStateSummary/deviceCompliancePolicyDeviceStateSummaryRequestBuilder");
const deviceCompliancePolicySettingStateSummariesRequestBuilder_1 = require("./deviceCompliancePolicySettingStateSummaries/deviceCompliancePolicySettingStateSummariesRequestBuilder");
const deviceCompliancePolicySettingStateSummaryItemRequestBuilder_1 = require("./deviceCompliancePolicySettingStateSummaries/item/deviceCompliancePolicySettingStateSummaryItemRequestBuilder");
const deviceConfigurationDeviceStateSummariesRequestBuilder_1 = require("./deviceConfigurationDeviceStateSummaries/deviceConfigurationDeviceStateSummariesRequestBuilder");
const deviceConfigurationsRequestBuilder_1 = require("./deviceConfigurations/deviceConfigurationsRequestBuilder");
const deviceConfigurationItemRequestBuilder_1 = require("./deviceConfigurations/item/deviceConfigurationItemRequestBuilder");
const deviceEnrollmentConfigurationsRequestBuilder_1 = require("./deviceEnrollmentConfigurations/deviceEnrollmentConfigurationsRequestBuilder");
const deviceEnrollmentConfigurationItemRequestBuilder_1 = require("./deviceEnrollmentConfigurations/item/deviceEnrollmentConfigurationItemRequestBuilder");
const deviceManagementPartnersRequestBuilder_1 = require("./deviceManagementPartners/deviceManagementPartnersRequestBuilder");
const deviceManagementPartnerItemRequestBuilder_1 = require("./deviceManagementPartners/item/deviceManagementPartnerItemRequestBuilder");
const exchangeConnectorsRequestBuilder_1 = require("./exchangeConnectors/exchangeConnectorsRequestBuilder");
const deviceManagementExchangeConnectorItemRequestBuilder_1 = require("./exchangeConnectors/item/deviceManagementExchangeConnectorItemRequestBuilder");
const getEffectivePermissionsWithScopeRequestBuilder_1 = require("./getEffectivePermissionsWithScope/getEffectivePermissionsWithScopeRequestBuilder");
const importedWindowsAutopilotDeviceIdentitiesRequestBuilder_1 = require("./importedWindowsAutopilotDeviceIdentities/importedWindowsAutopilotDeviceIdentitiesRequestBuilder");
const importedWindowsAutopilotDeviceIdentityItemRequestBuilder_1 = require("./importedWindowsAutopilotDeviceIdentities/item/importedWindowsAutopilotDeviceIdentityItemRequestBuilder");
const iosUpdateStatusesRequestBuilder_1 = require("./iosUpdateStatuses/iosUpdateStatusesRequestBuilder");
const iosUpdateDeviceStatusItemRequestBuilder_1 = require("./iosUpdateStatuses/item/iosUpdateDeviceStatusItemRequestBuilder");
const managedDeviceOverviewRequestBuilder_1 = require("./managedDeviceOverview/managedDeviceOverviewRequestBuilder");
const managedDeviceItemRequestBuilder_1 = require("./managedDevices/item/managedDeviceItemRequestBuilder");
const managedDevicesRequestBuilder_1 = require("./managedDevices/managedDevicesRequestBuilder");
const mobileThreatDefenseConnectorItemRequestBuilder_1 = require("./mobileThreatDefenseConnectors/item/mobileThreatDefenseConnectorItemRequestBuilder");
const mobileThreatDefenseConnectorsRequestBuilder_1 = require("./mobileThreatDefenseConnectors/mobileThreatDefenseConnectorsRequestBuilder");
const notificationMessageTemplateItemRequestBuilder_1 = require("./notificationMessageTemplates/item/notificationMessageTemplateItemRequestBuilder");
const notificationMessageTemplatesRequestBuilder_1 = require("./notificationMessageTemplates/notificationMessageTemplatesRequestBuilder");
const remoteAssistancePartnerItemRequestBuilder_1 = require("./remoteAssistancePartners/item/remoteAssistancePartnerItemRequestBuilder");
const remoteAssistancePartnersRequestBuilder_1 = require("./remoteAssistancePartners/remoteAssistancePartnersRequestBuilder");
const reportsRequestBuilder_1 = require("./reports/reportsRequestBuilder");
const resourceOperationItemRequestBuilder_1 = require("./resourceOperations/item/resourceOperationItemRequestBuilder");
const resourceOperationsRequestBuilder_1 = require("./resourceOperations/resourceOperationsRequestBuilder");
const deviceAndAppManagementRoleAssignmentItemRequestBuilder_1 = require("./roleAssignments/item/deviceAndAppManagementRoleAssignmentItemRequestBuilder");
const roleAssignmentsRequestBuilder_1 = require("./roleAssignments/roleAssignmentsRequestBuilder");
const roleDefinitionItemRequestBuilder_1 = require("./roleDefinitions/item/roleDefinitionItemRequestBuilder");
const roleDefinitionsRequestBuilder_1 = require("./roleDefinitions/roleDefinitionsRequestBuilder");
const softwareUpdateStatusSummaryRequestBuilder_1 = require("./softwareUpdateStatusSummary/softwareUpdateStatusSummaryRequestBuilder");
const telecomExpenseManagementPartnerItemRequestBuilder_1 = require("./telecomExpenseManagementPartners/item/telecomExpenseManagementPartnerItemRequestBuilder");
const telecomExpenseManagementPartnersRequestBuilder_1 = require("./telecomExpenseManagementPartners/telecomExpenseManagementPartnersRequestBuilder");
const termsAndConditionsItemRequestBuilder_1 = require("./termsAndConditions/item/termsAndConditionsItemRequestBuilder");
const termsAndConditionsRequestBuilder_1 = require("./termsAndConditions/termsAndConditionsRequestBuilder");
const deviceManagementTroubleshootingEventItemRequestBuilder_1 = require("./troubleshootingEvents/item/deviceManagementTroubleshootingEventItemRequestBuilder");
const troubleshootingEventsRequestBuilder_1 = require("./troubleshootingEvents/troubleshootingEventsRequestBuilder");
const verifyWindowsEnrollmentAutoDiscoveryWithDomainNameRequestBuilder_1 = require("./verifyWindowsEnrollmentAutoDiscoveryWithDomainName/verifyWindowsEnrollmentAutoDiscoveryWithDomainNameRequestBuilder");
const windowsAutopilotDeviceIdentityItemRequestBuilder_1 = require("./windowsAutopilotDeviceIdentities/item/windowsAutopilotDeviceIdentityItemRequestBuilder");
const windowsAutopilotDeviceIdentitiesRequestBuilder_1 = require("./windowsAutopilotDeviceIdentities/windowsAutopilotDeviceIdentitiesRequestBuilder");
const windowsInformationProtectionAppLearningSummaryItemRequestBuilder_1 = require("./windowsInformationProtectionAppLearningSummaries/item/windowsInformationProtectionAppLearningSummaryItemRequestBuilder");
const windowsInformationProtectionAppLearningSummariesRequestBuilder_1 = require("./windowsInformationProtectionAppLearningSummaries/windowsInformationProtectionAppLearningSummariesRequestBuilder");
const windowsInformationProtectionNetworkLearningSummaryItemRequestBuilder_1 = require("./windowsInformationProtectionNetworkLearningSummaries/item/windowsInformationProtectionNetworkLearningSummaryItemRequestBuilder");
const windowsInformationProtectionNetworkLearningSummariesRequestBuilder_1 = require("./windowsInformationProtectionNetworkLearningSummaries/windowsInformationProtectionNetworkLearningSummariesRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/** Provides operations to manage the deviceManagement singleton. */
class DeviceManagementRequestBuilder {
    /**
     * Instantiates a new DeviceManagementRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        if (!pathParameters)
            throw new Error("pathParameters cannot be undefined");
        if (!requestAdapter)
            throw new Error("requestAdapter cannot be undefined");
        this.urlTemplate = "{+baseurl}/deviceManagement{?%24select,%24expand}";
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(pathParameters);
        this.pathParameters = urlTplParams;
        this.requestAdapter = requestAdapter;
    }
    /** The applePushNotificationCertificate property */
    get applePushNotificationCertificate() {
        return new applePushNotificationCertificateRequestBuilder_1.ApplePushNotificationCertificateRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The complianceManagementPartners property */
    get complianceManagementPartners() {
        return new complianceManagementPartnersRequestBuilder_1.ComplianceManagementPartnersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The conditionalAccessSettings property */
    get conditionalAccessSettings() {
        return new conditionalAccessSettingsRequestBuilder_1.ConditionalAccessSettingsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The detectedApps property */
    get detectedApps() {
        return new detectedAppsRequestBuilder_1.DetectedAppsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The deviceCategories property */
    get deviceCategories() {
        return new deviceCategoriesRequestBuilder_1.DeviceCategoriesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The deviceCompliancePolicies property */
    get deviceCompliancePolicies() {
        return new deviceCompliancePoliciesRequestBuilder_1.DeviceCompliancePoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The deviceCompliancePolicyDeviceStateSummary property */
    get deviceCompliancePolicyDeviceStateSummary() {
        return new deviceCompliancePolicyDeviceStateSummaryRequestBuilder_1.DeviceCompliancePolicyDeviceStateSummaryRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The deviceCompliancePolicySettingStateSummaries property */
    get deviceCompliancePolicySettingStateSummaries() {
        return new deviceCompliancePolicySettingStateSummariesRequestBuilder_1.DeviceCompliancePolicySettingStateSummariesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The deviceConfigurationDeviceStateSummaries property */
    get deviceConfigurationDeviceStateSummaries() {
        return new deviceConfigurationDeviceStateSummariesRequestBuilder_1.DeviceConfigurationDeviceStateSummariesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The deviceConfigurations property */
    get deviceConfigurations() {
        return new deviceConfigurationsRequestBuilder_1.DeviceConfigurationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The deviceEnrollmentConfigurations property */
    get deviceEnrollmentConfigurations() {
        return new deviceEnrollmentConfigurationsRequestBuilder_1.DeviceEnrollmentConfigurationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The deviceManagementPartners property */
    get deviceManagementPartners() {
        return new deviceManagementPartnersRequestBuilder_1.DeviceManagementPartnersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The exchangeConnectors property */
    get exchangeConnectors() {
        return new exchangeConnectorsRequestBuilder_1.ExchangeConnectorsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The importedWindowsAutopilotDeviceIdentities property */
    get importedWindowsAutopilotDeviceIdentities() {
        return new importedWindowsAutopilotDeviceIdentitiesRequestBuilder_1.ImportedWindowsAutopilotDeviceIdentitiesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The iosUpdateStatuses property */
    get iosUpdateStatuses() {
        return new iosUpdateStatusesRequestBuilder_1.IosUpdateStatusesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The managedDeviceOverview property */
    get managedDeviceOverview() {
        return new managedDeviceOverviewRequestBuilder_1.ManagedDeviceOverviewRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The managedDevices property */
    get managedDevices() {
        return new managedDevicesRequestBuilder_1.ManagedDevicesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The mobileThreatDefenseConnectors property */
    get mobileThreatDefenseConnectors() {
        return new mobileThreatDefenseConnectorsRequestBuilder_1.MobileThreatDefenseConnectorsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The notificationMessageTemplates property */
    get notificationMessageTemplates() {
        return new notificationMessageTemplatesRequestBuilder_1.NotificationMessageTemplatesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The remoteAssistancePartners property */
    get remoteAssistancePartners() {
        return new remoteAssistancePartnersRequestBuilder_1.RemoteAssistancePartnersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The reports property */
    get reports() {
        return new reportsRequestBuilder_1.ReportsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The resourceOperations property */
    get resourceOperations() {
        return new resourceOperationsRequestBuilder_1.ResourceOperationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The roleAssignments property */
    get roleAssignments() {
        return new roleAssignmentsRequestBuilder_1.RoleAssignmentsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The roleDefinitions property */
    get roleDefinitions() {
        return new roleDefinitionsRequestBuilder_1.RoleDefinitionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The softwareUpdateStatusSummary property */
    get softwareUpdateStatusSummary() {
        return new softwareUpdateStatusSummaryRequestBuilder_1.SoftwareUpdateStatusSummaryRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The telecomExpenseManagementPartners property */
    get telecomExpenseManagementPartners() {
        return new telecomExpenseManagementPartnersRequestBuilder_1.TelecomExpenseManagementPartnersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The termsAndConditions property */
    get termsAndConditions() {
        return new termsAndConditionsRequestBuilder_1.TermsAndConditionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The troubleshootingEvents property */
    get troubleshootingEvents() {
        return new troubleshootingEventsRequestBuilder_1.TroubleshootingEventsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The windowsAutopilotDeviceIdentities property */
    get windowsAutopilotDeviceIdentities() {
        return new windowsAutopilotDeviceIdentitiesRequestBuilder_1.WindowsAutopilotDeviceIdentitiesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The windowsInformationProtectionAppLearningSummaries property */
    get windowsInformationProtectionAppLearningSummaries() {
        return new windowsInformationProtectionAppLearningSummariesRequestBuilder_1.WindowsInformationProtectionAppLearningSummariesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The windowsInformationProtectionNetworkLearningSummaries property */
    get windowsInformationProtectionNetworkLearningSummaries() {
        return new windowsInformationProtectionNetworkLearningSummariesRequestBuilder_1.WindowsInformationProtectionNetworkLearningSummariesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.complianceManagementPartners.item collection
     * @param id Unique identifier of the item
     * @returns a complianceManagementPartnerItemRequestBuilder
     */
    complianceManagementPartnersById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["complianceManagementPartner%2Did"] = id;
        return new complianceManagementPartnerItemRequestBuilder_1.ComplianceManagementPartnerItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    ;
    /**
     * Get deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.GET;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.setQueryStringParametersFromRawObject(requestConfiguration.queryParameters);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        return requestInfo;
    }
    ;
    /**
     * Update deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.PATCH;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body);
        return requestInfo;
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.detectedApps.item collection
     * @param id Unique identifier of the item
     * @returns a detectedAppItemRequestBuilder
     */
    detectedAppsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["detectedApp%2Did"] = id;
        return new detectedAppItemRequestBuilder_1.DetectedAppItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.deviceCategories.item collection
     * @param id Unique identifier of the item
     * @returns a deviceCategoryItemRequestBuilder
     */
    deviceCategoriesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["deviceCategory%2Did"] = id;
        return new deviceCategoryItemRequestBuilder_1.DeviceCategoryItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.deviceCompliancePolicies.item collection
     * @param id Unique identifier of the item
     * @returns a deviceCompliancePolicyItemRequestBuilder
     */
    deviceCompliancePoliciesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["deviceCompliancePolicy%2Did"] = id;
        return new deviceCompliancePolicyItemRequestBuilder_1.DeviceCompliancePolicyItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.deviceCompliancePolicySettingStateSummaries.item collection
     * @param id Unique identifier of the item
     * @returns a deviceCompliancePolicySettingStateSummaryItemRequestBuilder
     */
    deviceCompliancePolicySettingStateSummariesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["deviceCompliancePolicySettingStateSummary%2Did"] = id;
        return new deviceCompliancePolicySettingStateSummaryItemRequestBuilder_1.DeviceCompliancePolicySettingStateSummaryItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.deviceConfigurations.item collection
     * @param id Unique identifier of the item
     * @returns a deviceConfigurationItemRequestBuilder
     */
    deviceConfigurationsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["deviceConfiguration%2Did"] = id;
        return new deviceConfigurationItemRequestBuilder_1.DeviceConfigurationItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.deviceEnrollmentConfigurations.item collection
     * @param id Unique identifier of the item
     * @returns a deviceEnrollmentConfigurationItemRequestBuilder
     */
    deviceEnrollmentConfigurationsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["deviceEnrollmentConfiguration%2Did"] = id;
        return new deviceEnrollmentConfigurationItemRequestBuilder_1.DeviceEnrollmentConfigurationItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.deviceManagementPartners.item collection
     * @param id Unique identifier of the item
     * @returns a deviceManagementPartnerItemRequestBuilder
     */
    deviceManagementPartnersById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["deviceManagementPartner%2Did"] = id;
        return new deviceManagementPartnerItemRequestBuilder_1.DeviceManagementPartnerItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.exchangeConnectors.item collection
     * @param id Unique identifier of the item
     * @returns a deviceManagementExchangeConnectorItemRequestBuilder
     */
    exchangeConnectorsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["deviceManagementExchangeConnector%2Did"] = id;
        return new deviceManagementExchangeConnectorItemRequestBuilder_1.DeviceManagementExchangeConnectorItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Get deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of DeviceManagement
     */
    get(requestConfiguration, responseHandler) {
        var _a, _b;
        const requestInfo = this.createGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
            "5XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
        };
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendAsync(requestInfo, createDeviceManagementFromDiscriminatorValue_1.createDeviceManagementFromDiscriminatorValue, responseHandler, errorMapping)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
    /**
     * Provides operations to call the getEffectivePermissions method.
     * @param scope Usage: scope='{scope}'
     * @returns a getEffectivePermissionsWithScopeRequestBuilder
     */
    getEffectivePermissionsWithScope(scope) {
        if (!scope)
            throw new Error("scope cannot be undefined");
        return new getEffectivePermissionsWithScopeRequestBuilder_1.GetEffectivePermissionsWithScopeRequestBuilder(this.pathParameters, this.requestAdapter, scope);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.importedWindowsAutopilotDeviceIdentities.item collection
     * @param id Unique identifier of the item
     * @returns a importedWindowsAutopilotDeviceIdentityItemRequestBuilder
     */
    importedWindowsAutopilotDeviceIdentitiesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["importedWindowsAutopilotDeviceIdentity%2Did"] = id;
        return new importedWindowsAutopilotDeviceIdentityItemRequestBuilder_1.ImportedWindowsAutopilotDeviceIdentityItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.iosUpdateStatuses.item collection
     * @param id Unique identifier of the item
     * @returns a iosUpdateDeviceStatusItemRequestBuilder
     */
    iosUpdateStatusesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["iosUpdateDeviceStatus%2Did"] = id;
        return new iosUpdateDeviceStatusItemRequestBuilder_1.IosUpdateDeviceStatusItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.managedDevices.item collection
     * @param id Unique identifier of the item
     * @returns a managedDeviceItemRequestBuilder
     */
    managedDevicesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["managedDevice%2Did"] = id;
        return new managedDeviceItemRequestBuilder_1.ManagedDeviceItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.mobileThreatDefenseConnectors.item collection
     * @param id Unique identifier of the item
     * @returns a mobileThreatDefenseConnectorItemRequestBuilder
     */
    mobileThreatDefenseConnectorsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["mobileThreatDefenseConnector%2Did"] = id;
        return new mobileThreatDefenseConnectorItemRequestBuilder_1.MobileThreatDefenseConnectorItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.notificationMessageTemplates.item collection
     * @param id Unique identifier of the item
     * @returns a notificationMessageTemplateItemRequestBuilder
     */
    notificationMessageTemplatesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["notificationMessageTemplate%2Did"] = id;
        return new notificationMessageTemplateItemRequestBuilder_1.NotificationMessageTemplateItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Update deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body, requestConfiguration, responseHandler) {
        var _a, _b;
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = this.createPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
            "5XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
        };
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendNoResponseContentAsync(requestInfo, responseHandler, errorMapping)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.remoteAssistancePartners.item collection
     * @param id Unique identifier of the item
     * @returns a remoteAssistancePartnerItemRequestBuilder
     */
    remoteAssistancePartnersById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["remoteAssistancePartner%2Did"] = id;
        return new remoteAssistancePartnerItemRequestBuilder_1.RemoteAssistancePartnerItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.resourceOperations.item collection
     * @param id Unique identifier of the item
     * @returns a resourceOperationItemRequestBuilder
     */
    resourceOperationsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["resourceOperation%2Did"] = id;
        return new resourceOperationItemRequestBuilder_1.ResourceOperationItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.roleAssignments.item collection
     * @param id Unique identifier of the item
     * @returns a deviceAndAppManagementRoleAssignmentItemRequestBuilder
     */
    roleAssignmentsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["deviceAndAppManagementRoleAssignment%2Did"] = id;
        return new deviceAndAppManagementRoleAssignmentItemRequestBuilder_1.DeviceAndAppManagementRoleAssignmentItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.roleDefinitions.item collection
     * @param id Unique identifier of the item
     * @returns a roleDefinitionItemRequestBuilder
     */
    roleDefinitionsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["roleDefinition%2Did"] = id;
        return new roleDefinitionItemRequestBuilder_1.RoleDefinitionItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.telecomExpenseManagementPartners.item collection
     * @param id Unique identifier of the item
     * @returns a telecomExpenseManagementPartnerItemRequestBuilder
     */
    telecomExpenseManagementPartnersById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["telecomExpenseManagementPartner%2Did"] = id;
        return new telecomExpenseManagementPartnerItemRequestBuilder_1.TelecomExpenseManagementPartnerItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.termsAndConditions.item collection
     * @param id Unique identifier of the item
     * @returns a termsAndConditionsItemRequestBuilder
     */
    termsAndConditionsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["termsAndConditions%2Did"] = id;
        return new termsAndConditionsItemRequestBuilder_1.TermsAndConditionsItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.troubleshootingEvents.item collection
     * @param id Unique identifier of the item
     * @returns a deviceManagementTroubleshootingEventItemRequestBuilder
     */
    troubleshootingEventsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["deviceManagementTroubleshootingEvent%2Did"] = id;
        return new deviceManagementTroubleshootingEventItemRequestBuilder_1.DeviceManagementTroubleshootingEventItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Provides operations to call the verifyWindowsEnrollmentAutoDiscovery method.
     * @param domainName Usage: domainName='{domainName}'
     * @returns a verifyWindowsEnrollmentAutoDiscoveryWithDomainNameRequestBuilder
     */
    verifyWindowsEnrollmentAutoDiscoveryWithDomainName(domainName) {
        if (!domainName)
            throw new Error("domainName cannot be undefined");
        return new verifyWindowsEnrollmentAutoDiscoveryWithDomainNameRequestBuilder_1.VerifyWindowsEnrollmentAutoDiscoveryWithDomainNameRequestBuilder(this.pathParameters, this.requestAdapter, domainName);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.windowsAutopilotDeviceIdentities.item collection
     * @param id Unique identifier of the item
     * @returns a windowsAutopilotDeviceIdentityItemRequestBuilder
     */
    windowsAutopilotDeviceIdentitiesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["windowsAutopilotDeviceIdentity%2Did"] = id;
        return new windowsAutopilotDeviceIdentityItemRequestBuilder_1.WindowsAutopilotDeviceIdentityItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.windowsInformationProtectionAppLearningSummaries.item collection
     * @param id Unique identifier of the item
     * @returns a windowsInformationProtectionAppLearningSummaryItemRequestBuilder
     */
    windowsInformationProtectionAppLearningSummariesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["windowsInformationProtectionAppLearningSummary%2Did"] = id;
        return new windowsInformationProtectionAppLearningSummaryItemRequestBuilder_1.WindowsInformationProtectionAppLearningSummaryItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.windowsInformationProtectionNetworkLearningSummaries.item collection
     * @param id Unique identifier of the item
     * @returns a windowsInformationProtectionNetworkLearningSummaryItemRequestBuilder
     */
    windowsInformationProtectionNetworkLearningSummariesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["windowsInformationProtectionNetworkLearningSummary%2Did"] = id;
        return new windowsInformationProtectionNetworkLearningSummaryItemRequestBuilder_1.WindowsInformationProtectionNetworkLearningSummaryItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
}
exports.DeviceManagementRequestBuilder = DeviceManagementRequestBuilder;
