"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForceDeletePostRequestBody = void 0;
/** Provides operations to call the forceDelete method. */
class ForceDeletePostRequestBody {
    /**
     * Instantiates a new forceDeletePostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the disableUserAccounts property value. The disableUserAccounts property
     * @returns a boolean
     */
    get disableUserAccounts() {
        return this._disableUserAccounts;
    }
    ;
    /**
     * Sets the disableUserAccounts property value. The disableUserAccounts property
     * @param value Value to set for the disableUserAccounts property.
     */
    set disableUserAccounts(value) {
        this._disableUserAccounts = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "disableUserAccounts": n => { this.disableUserAccounts = n.getBooleanValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("disableUserAccounts", this.disableUserAccounts);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ForceDeletePostRequestBody = ForceDeletePostRequestBody;
