"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GraphBaseServiceClient = void 0;
const adminRequestBuilder_1 = require("./admin/adminRequestBuilder");
const agreementAcceptancesRequestBuilder_1 = require("./agreementAcceptances/agreementAcceptancesRequestBuilder");
const agreementAcceptanceItemRequestBuilder_1 = require("./agreementAcceptances/item/agreementAcceptanceItemRequestBuilder");
const agreementsRequestBuilder_1 = require("./agreements/agreementsRequestBuilder");
const agreementItemRequestBuilder_1 = require("./agreements/item/agreementItemRequestBuilder");
const appCatalogsRequestBuilder_1 = require("./appCatalogs/appCatalogsRequestBuilder");
const applicationsRequestBuilder_1 = require("./applications/applicationsRequestBuilder");
const applicationItemRequestBuilder_1 = require("./applications/item/applicationItemRequestBuilder");
const applicationTemplatesRequestBuilder_1 = require("./applicationTemplates/applicationTemplatesRequestBuilder");
const applicationTemplateItemRequestBuilder_1 = require("./applicationTemplates/item/applicationTemplateItemRequestBuilder");
const auditLogsRequestBuilder_1 = require("./auditLogs/auditLogsRequestBuilder");
const authenticationMethodConfigurationsRequestBuilder_1 = require("./authenticationMethodConfigurations/authenticationMethodConfigurationsRequestBuilder");
const authenticationMethodConfigurationItemRequestBuilder_1 = require("./authenticationMethodConfigurations/item/authenticationMethodConfigurationItemRequestBuilder");
const authenticationMethodsPolicyRequestBuilder_1 = require("./authenticationMethodsPolicy/authenticationMethodsPolicyRequestBuilder");
const brandingRequestBuilder_1 = require("./branding/brandingRequestBuilder");
const certificateBasedAuthConfigurationRequestBuilder_1 = require("./certificateBasedAuthConfiguration/certificateBasedAuthConfigurationRequestBuilder");
const certificateBasedAuthConfigurationItemRequestBuilder_1 = require("./certificateBasedAuthConfiguration/item/certificateBasedAuthConfigurationItemRequestBuilder");
const chatsRequestBuilder_1 = require("./chats/chatsRequestBuilder");
const chatItemRequestBuilder_1 = require("./chats/item/chatItemRequestBuilder");
const communicationsRequestBuilder_1 = require("./communications/communicationsRequestBuilder");
const complianceRequestBuilder_1 = require("./compliance/complianceRequestBuilder");
const connectionsRequestBuilder_1 = require("./connections/connectionsRequestBuilder");
const externalConnectionItemRequestBuilder_1 = require("./connections/item/externalConnectionItemRequestBuilder");
const contactsRequestBuilder_1 = require("./contacts/contactsRequestBuilder");
const orgContactItemRequestBuilder_1 = require("./contacts/item/orgContactItemRequestBuilder");
const contractsRequestBuilder_1 = require("./contracts/contractsRequestBuilder");
const contractItemRequestBuilder_1 = require("./contracts/item/contractItemRequestBuilder");
const dataPolicyOperationsRequestBuilder_1 = require("./dataPolicyOperations/dataPolicyOperationsRequestBuilder");
const dataPolicyOperationItemRequestBuilder_1 = require("./dataPolicyOperations/item/dataPolicyOperationItemRequestBuilder");
const deviceAppManagementRequestBuilder_1 = require("./deviceAppManagement/deviceAppManagementRequestBuilder");
const deviceManagementRequestBuilder_1 = require("./deviceManagement/deviceManagementRequestBuilder");
const devicesRequestBuilder_1 = require("./devices/devicesRequestBuilder");
const deviceItemRequestBuilder_1 = require("./devices/item/deviceItemRequestBuilder");
const directoryRequestBuilder_1 = require("./directory/directoryRequestBuilder");
const directoryObjectsRequestBuilder_1 = require("./directoryObjects/directoryObjectsRequestBuilder");
const directoryObjectItemRequestBuilder_1 = require("./directoryObjects/item/directoryObjectItemRequestBuilder");
const directoryRolesRequestBuilder_1 = require("./directoryRoles/directoryRolesRequestBuilder");
const directoryRoleItemRequestBuilder_1 = require("./directoryRoles/item/directoryRoleItemRequestBuilder");
const directoryRoleTemplatesRequestBuilder_1 = require("./directoryRoleTemplates/directoryRoleTemplatesRequestBuilder");
const directoryRoleTemplateItemRequestBuilder_1 = require("./directoryRoleTemplates/item/directoryRoleTemplateItemRequestBuilder");
const domainDnsRecordsRequestBuilder_1 = require("./domainDnsRecords/domainDnsRecordsRequestBuilder");
const domainDnsRecordItemRequestBuilder_1 = require("./domainDnsRecords/item/domainDnsRecordItemRequestBuilder");
const domainsRequestBuilder_1 = require("./domains/domainsRequestBuilder");
const domainItemRequestBuilder_1 = require("./domains/item/domainItemRequestBuilder");
const driveRequestBuilder_1 = require("./drive/driveRequestBuilder");
const drivesRequestBuilder_1 = require("./drives/drivesRequestBuilder");
const driveItemRequestBuilder_1 = require("./drives/item/driveItemRequestBuilder");
const educationRequestBuilder_1 = require("./education/educationRequestBuilder");
const externalRequestBuilder_1 = require("./external/externalRequestBuilder");
const groupLifecyclePoliciesRequestBuilder_1 = require("./groupLifecyclePolicies/groupLifecyclePoliciesRequestBuilder");
const groupLifecyclePolicyItemRequestBuilder_1 = require("./groupLifecyclePolicies/item/groupLifecyclePolicyItemRequestBuilder");
const groupsRequestBuilder_1 = require("./groups/groupsRequestBuilder");
const groupItemRequestBuilder_1 = require("./groups/item/groupItemRequestBuilder");
const groupSettingsRequestBuilder_1 = require("./groupSettings/groupSettingsRequestBuilder");
const groupSettingItemRequestBuilder_1 = require("./groupSettings/item/groupSettingItemRequestBuilder");
const groupSettingTemplatesRequestBuilder_1 = require("./groupSettingTemplates/groupSettingTemplatesRequestBuilder");
const groupSettingTemplateItemRequestBuilder_1 = require("./groupSettingTemplates/item/groupSettingTemplateItemRequestBuilder");
const identityRequestBuilder_1 = require("./identity/identityRequestBuilder");
const identityGovernanceRequestBuilder_1 = require("./identityGovernance/identityGovernanceRequestBuilder");
const identityProtectionRequestBuilder_1 = require("./identityProtection/identityProtectionRequestBuilder");
const identityProvidersRequestBuilder_1 = require("./identityProviders/identityProvidersRequestBuilder");
const identityProviderItemRequestBuilder_1 = require("./identityProviders/item/identityProviderItemRequestBuilder");
const informationProtectionRequestBuilder_1 = require("./informationProtection/informationProtectionRequestBuilder");
const invitationsRequestBuilder_1 = require("./invitations/invitationsRequestBuilder");
const invitationItemRequestBuilder_1 = require("./invitations/item/invitationItemRequestBuilder");
const organizationalBrandingLocalizationItemRequestBuilder_1 = require("./localizations/item/organizationalBrandingLocalizationItemRequestBuilder");
const localizationsRequestBuilder_1 = require("./localizations/localizationsRequestBuilder");
const meRequestBuilder_1 = require("./me/meRequestBuilder");
const oAuth2PermissionGrantItemRequestBuilder_1 = require("./oauth2PermissionGrants/item/oAuth2PermissionGrantItemRequestBuilder");
const oauth2PermissionGrantsRequestBuilder_1 = require("./oauth2PermissionGrants/oauth2PermissionGrantsRequestBuilder");
const organizationItemRequestBuilder_1 = require("./organization/item/organizationItemRequestBuilder");
const organizationRequestBuilder_1 = require("./organization/organizationRequestBuilder");
const resourceSpecificPermissionGrantItemRequestBuilder_1 = require("./permissionGrants/item/resourceSpecificPermissionGrantItemRequestBuilder");
const permissionGrantsRequestBuilder_1 = require("./permissionGrants/permissionGrantsRequestBuilder");
const placeItemRequestBuilder_1 = require("./places/item/placeItemRequestBuilder");
const placesRequestBuilder_1 = require("./places/placesRequestBuilder");
const plannerRequestBuilder_1 = require("./planner/plannerRequestBuilder");
const policiesRequestBuilder_1 = require("./policies/policiesRequestBuilder");
const printRequestBuilder_1 = require("./print/printRequestBuilder");
const privacyRequestBuilder_1 = require("./privacy/privacyRequestBuilder");
const reportsRequestBuilder_1 = require("./reports/reportsRequestBuilder");
const roleManagementRequestBuilder_1 = require("./roleManagement/roleManagementRequestBuilder");
const schemaExtensionItemRequestBuilder_1 = require("./schemaExtensions/item/schemaExtensionItemRequestBuilder");
const schemaExtensionsRequestBuilder_1 = require("./schemaExtensions/schemaExtensionsRequestBuilder");
const scopedRoleMembershipItemRequestBuilder_1 = require("./scopedRoleMemberships/item/scopedRoleMembershipItemRequestBuilder");
const scopedRoleMembershipsRequestBuilder_1 = require("./scopedRoleMemberships/scopedRoleMembershipsRequestBuilder");
const searchRequestBuilder_1 = require("./search/searchRequestBuilder");
const securityRequestBuilder_1 = require("./security/securityRequestBuilder");
const servicePrincipalItemRequestBuilder_1 = require("./servicePrincipals/item/servicePrincipalItemRequestBuilder");
const servicePrincipalsRequestBuilder_1 = require("./servicePrincipals/servicePrincipalsRequestBuilder");
const sharedDriveItemItemRequestBuilder_1 = require("./shares/item/sharedDriveItemItemRequestBuilder");
const sharesRequestBuilder_1 = require("./shares/sharesRequestBuilder");
const siteItemRequestBuilder_1 = require("./sites/item/siteItemRequestBuilder");
const sitesRequestBuilder_1 = require("./sites/sitesRequestBuilder");
const solutionsRequestBuilder_1 = require("./solutions/solutionsRequestBuilder");
const subscribedSkuItemRequestBuilder_1 = require("./subscribedSkus/item/subscribedSkuItemRequestBuilder");
const subscribedSkusRequestBuilder_1 = require("./subscribedSkus/subscribedSkusRequestBuilder");
const subscriptionItemRequestBuilder_1 = require("./subscriptions/item/subscriptionItemRequestBuilder");
const subscriptionsRequestBuilder_1 = require("./subscriptions/subscriptionsRequestBuilder");
const teamItemRequestBuilder_1 = require("./teams/item/teamItemRequestBuilder");
const teamsRequestBuilder_1 = require("./teams/teamsRequestBuilder");
const teamsTemplateItemRequestBuilder_1 = require("./teamsTemplates/item/teamsTemplateItemRequestBuilder");
const teamsTemplatesRequestBuilder_1 = require("./teamsTemplates/teamsTemplatesRequestBuilder");
const teamworkRequestBuilder_1 = require("./teamwork/teamworkRequestBuilder");
const userItemRequestBuilder_1 = require("./users/item/userItemRequestBuilder");
const usersRequestBuilder_1 = require("./users/usersRequestBuilder");
const driveItemItemRequestBuilder_1 = require("./workbooks/item/driveItemItemRequestBuilder");
const workbooksRequestBuilder_1 = require("./workbooks/workbooksRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
const kiota_serialization_json_1 = require("@microsoft/kiota-serialization-json");
const kiota_serialization_text_1 = require("@microsoft/kiota-serialization-text");
/** The main entry point of the SDK, exposes the configuration and the fluent API. */
class GraphBaseServiceClient {
    /**
     * Instantiates a new GraphBaseServiceClient and sets the default values.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(requestAdapter) {
        if (!requestAdapter)
            throw new Error("requestAdapter cannot be undefined");
        this.pathParameters = {};
        this.urlTemplate = "{+baseurl}";
        this.requestAdapter = requestAdapter;
        (0, kiota_abstractions_1.registerDefaultSerializer)(kiota_serialization_json_1.JsonSerializationWriterFactory);
        (0, kiota_abstractions_1.registerDefaultSerializer)(kiota_serialization_text_1.TextSerializationWriterFactory);
        (0, kiota_abstractions_1.registerDefaultDeserializer)(kiota_serialization_json_1.JsonParseNodeFactory);
        (0, kiota_abstractions_1.registerDefaultDeserializer)(kiota_serialization_text_1.TextParseNodeFactory);
        if (requestAdapter.baseUrl === undefined || requestAdapter.baseUrl === "") {
            requestAdapter.baseUrl = "https://graph.microsoft.com/v1.0";
        }
    }
    /** The admin property */
    get admin() {
        return new adminRequestBuilder_1.AdminRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The agreementAcceptances property */
    get agreementAcceptances() {
        return new agreementAcceptancesRequestBuilder_1.AgreementAcceptancesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The agreements property */
    get agreements() {
        return new agreementsRequestBuilder_1.AgreementsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The appCatalogs property */
    get appCatalogs() {
        return new appCatalogsRequestBuilder_1.AppCatalogsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The applications property */
    get applications() {
        return new applicationsRequestBuilder_1.ApplicationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The applicationTemplates property */
    get applicationTemplates() {
        return new applicationTemplatesRequestBuilder_1.ApplicationTemplatesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The auditLogs property */
    get auditLogs() {
        return new auditLogsRequestBuilder_1.AuditLogsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The authenticationMethodConfigurations property */
    get authenticationMethodConfigurations() {
        return new authenticationMethodConfigurationsRequestBuilder_1.AuthenticationMethodConfigurationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The authenticationMethodsPolicy property */
    get authenticationMethodsPolicy() {
        return new authenticationMethodsPolicyRequestBuilder_1.AuthenticationMethodsPolicyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The branding property */
    get branding() {
        return new brandingRequestBuilder_1.BrandingRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The certificateBasedAuthConfiguration property */
    get certificateBasedAuthConfiguration() {
        return new certificateBasedAuthConfigurationRequestBuilder_1.CertificateBasedAuthConfigurationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The chats property */
    get chats() {
        return new chatsRequestBuilder_1.ChatsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The communications property */
    get communications() {
        return new communicationsRequestBuilder_1.CommunicationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The compliance property */
    get compliance() {
        return new complianceRequestBuilder_1.ComplianceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The connections property */
    get connections() {
        return new connectionsRequestBuilder_1.ConnectionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The contacts property */
    get contacts() {
        return new contactsRequestBuilder_1.ContactsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The contracts property */
    get contracts() {
        return new contractsRequestBuilder_1.ContractsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The dataPolicyOperations property */
    get dataPolicyOperations() {
        return new dataPolicyOperationsRequestBuilder_1.DataPolicyOperationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The deviceAppManagement property */
    get deviceAppManagement() {
        return new deviceAppManagementRequestBuilder_1.DeviceAppManagementRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The deviceManagement property */
    get deviceManagement() {
        return new deviceManagementRequestBuilder_1.DeviceManagementRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The devices property */
    get devices() {
        return new devicesRequestBuilder_1.DevicesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The directory property */
    get directory() {
        return new directoryRequestBuilder_1.DirectoryRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The directoryObjects property */
    get directoryObjects() {
        return new directoryObjectsRequestBuilder_1.DirectoryObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The directoryRoles property */
    get directoryRoles() {
        return new directoryRolesRequestBuilder_1.DirectoryRolesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The directoryRoleTemplates property */
    get directoryRoleTemplates() {
        return new directoryRoleTemplatesRequestBuilder_1.DirectoryRoleTemplatesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The domainDnsRecords property */
    get domainDnsRecords() {
        return new domainDnsRecordsRequestBuilder_1.DomainDnsRecordsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The domains property */
    get domains() {
        return new domainsRequestBuilder_1.DomainsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The drive property */
    get drive() {
        return new driveRequestBuilder_1.DriveRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The drives property */
    get drives() {
        return new drivesRequestBuilder_1.DrivesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The education property */
    get education() {
        return new educationRequestBuilder_1.EducationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The external property */
    get external() {
        return new externalRequestBuilder_1.ExternalRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The groupLifecyclePolicies property */
    get groupLifecyclePolicies() {
        return new groupLifecyclePoliciesRequestBuilder_1.GroupLifecyclePoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The groups property */
    get groups() {
        return new groupsRequestBuilder_1.GroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The groupSettings property */
    get groupSettings() {
        return new groupSettingsRequestBuilder_1.GroupSettingsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The groupSettingTemplates property */
    get groupSettingTemplates() {
        return new groupSettingTemplatesRequestBuilder_1.GroupSettingTemplatesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The identity property */
    get identity() {
        return new identityRequestBuilder_1.IdentityRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The identityGovernance property */
    get identityGovernance() {
        return new identityGovernanceRequestBuilder_1.IdentityGovernanceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The identityProtection property */
    get identityProtection() {
        return new identityProtectionRequestBuilder_1.IdentityProtectionRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The identityProviders property */
    get identityProviders() {
        return new identityProvidersRequestBuilder_1.IdentityProvidersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The informationProtection property */
    get informationProtection() {
        return new informationProtectionRequestBuilder_1.InformationProtectionRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The invitations property */
    get invitations() {
        return new invitationsRequestBuilder_1.InvitationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The localizations property */
    get localizations() {
        return new localizationsRequestBuilder_1.LocalizationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The me property */
    get me() {
        return new meRequestBuilder_1.MeRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The oauth2PermissionGrants property */
    get oauth2PermissionGrants() {
        return new oauth2PermissionGrantsRequestBuilder_1.Oauth2PermissionGrantsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The organization property */
    get organization() {
        return new organizationRequestBuilder_1.OrganizationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The permissionGrants property */
    get permissionGrants() {
        return new permissionGrantsRequestBuilder_1.PermissionGrantsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The places property */
    get places() {
        return new placesRequestBuilder_1.PlacesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The planner property */
    get planner() {
        return new plannerRequestBuilder_1.PlannerRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The policies property */
    get policies() {
        return new policiesRequestBuilder_1.PoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The print property */
    get print() {
        return new printRequestBuilder_1.PrintRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The privacy property */
    get privacy() {
        return new privacyRequestBuilder_1.PrivacyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The reports property */
    get reports() {
        return new reportsRequestBuilder_1.ReportsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The roleManagement property */
    get roleManagement() {
        return new roleManagementRequestBuilder_1.RoleManagementRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The schemaExtensions property */
    get schemaExtensions() {
        return new schemaExtensionsRequestBuilder_1.SchemaExtensionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The scopedRoleMemberships property */
    get scopedRoleMemberships() {
        return new scopedRoleMembershipsRequestBuilder_1.ScopedRoleMembershipsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The search property */
    get search() {
        return new searchRequestBuilder_1.SearchRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The security property */
    get security() {
        return new securityRequestBuilder_1.SecurityRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The servicePrincipals property */
    get servicePrincipals() {
        return new servicePrincipalsRequestBuilder_1.ServicePrincipalsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The shares property */
    get shares() {
        return new sharesRequestBuilder_1.SharesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The sites property */
    get sites() {
        return new sitesRequestBuilder_1.SitesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The solutions property */
    get solutions() {
        return new solutionsRequestBuilder_1.SolutionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The subscribedSkus property */
    get subscribedSkus() {
        return new subscribedSkusRequestBuilder_1.SubscribedSkusRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The subscriptions property */
    get subscriptions() {
        return new subscriptionsRequestBuilder_1.SubscriptionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The teams property */
    get teams() {
        return new teamsRequestBuilder_1.TeamsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The teamsTemplates property */
    get teamsTemplates() {
        return new teamsTemplatesRequestBuilder_1.TeamsTemplatesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The teamwork property */
    get teamwork() {
        return new teamworkRequestBuilder_1.TeamworkRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The users property */
    get users() {
        return new usersRequestBuilder_1.UsersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The workbooks property */
    get workbooks() {
        return new workbooksRequestBuilder_1.WorkbooksRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.agreementAcceptances.item collection
     * @param id Unique identifier of the item
     * @returns a agreementAcceptanceItemRequestBuilder
     */
    agreementAcceptancesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["agreementAcceptance%2Did"] = id;
        return new agreementAcceptanceItemRequestBuilder_1.AgreementAcceptanceItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.agreements.item collection
     * @param id Unique identifier of the item
     * @returns a agreementItemRequestBuilder
     */
    agreementsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["agreement%2Did"] = id;
        return new agreementItemRequestBuilder_1.AgreementItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.applications.item collection
     * @param id Unique identifier of the item
     * @returns a applicationItemRequestBuilder
     */
    applicationsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["application%2Did"] = id;
        return new applicationItemRequestBuilder_1.ApplicationItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.applicationTemplates.item collection
     * @param id Unique identifier of the item
     * @returns a applicationTemplateItemRequestBuilder
     */
    applicationTemplatesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["applicationTemplate%2Did"] = id;
        return new applicationTemplateItemRequestBuilder_1.ApplicationTemplateItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.authenticationMethodConfigurations.item collection
     * @param id Unique identifier of the item
     * @returns a authenticationMethodConfigurationItemRequestBuilder
     */
    authenticationMethodConfigurationsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["authenticationMethodConfiguration%2Did"] = id;
        return new authenticationMethodConfigurationItemRequestBuilder_1.AuthenticationMethodConfigurationItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.certificateBasedAuthConfiguration.item collection
     * @param id Unique identifier of the item
     * @returns a certificateBasedAuthConfigurationItemRequestBuilder
     */
    certificateBasedAuthConfigurationById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["certificateBasedAuthConfiguration%2Did"] = id;
        return new certificateBasedAuthConfigurationItemRequestBuilder_1.CertificateBasedAuthConfigurationItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.chats.item collection
     * @param id Unique identifier of the item
     * @returns a chatItemRequestBuilder
     */
    chatsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["chat%2Did"] = id;
        return new chatItemRequestBuilder_1.ChatItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.connections.item collection
     * @param id Unique identifier of the item
     * @returns a externalConnectionItemRequestBuilder
     */
    connectionsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["externalConnection%2Did"] = id;
        return new externalConnectionItemRequestBuilder_1.ExternalConnectionItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.contacts.item collection
     * @param id Unique identifier of the item
     * @returns a orgContactItemRequestBuilder
     */
    contactsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["orgContact%2Did"] = id;
        return new orgContactItemRequestBuilder_1.OrgContactItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.contracts.item collection
     * @param id Unique identifier of the item
     * @returns a contractItemRequestBuilder
     */
    contractsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["contract%2Did"] = id;
        return new contractItemRequestBuilder_1.ContractItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.dataPolicyOperations.item collection
     * @param id Unique identifier of the item
     * @returns a dataPolicyOperationItemRequestBuilder
     */
    dataPolicyOperationsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["dataPolicyOperation%2Did"] = id;
        return new dataPolicyOperationItemRequestBuilder_1.DataPolicyOperationItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.devices.item collection
     * @param id Unique identifier of the item
     * @returns a deviceItemRequestBuilder
     */
    devicesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["device%2Did"] = id;
        return new deviceItemRequestBuilder_1.DeviceItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.directoryObjects.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    directoryObjectsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryObject%2Did"] = id;
        return new directoryObjectItemRequestBuilder_1.DirectoryObjectItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.directoryRoles.item collection
     * @param id Unique identifier of the item
     * @returns a directoryRoleItemRequestBuilder
     */
    directoryRolesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryRole%2Did"] = id;
        return new directoryRoleItemRequestBuilder_1.DirectoryRoleItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.directoryRoleTemplates.item collection
     * @param id Unique identifier of the item
     * @returns a directoryRoleTemplateItemRequestBuilder
     */
    directoryRoleTemplatesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryRoleTemplate%2Did"] = id;
        return new directoryRoleTemplateItemRequestBuilder_1.DirectoryRoleTemplateItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.domainDnsRecords.item collection
     * @param id Unique identifier of the item
     * @returns a domainDnsRecordItemRequestBuilder
     */
    domainDnsRecordsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["domainDnsRecord%2Did"] = id;
        return new domainDnsRecordItemRequestBuilder_1.DomainDnsRecordItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.domains.item collection
     * @param id Unique identifier of the item
     * @returns a domainItemRequestBuilder
     */
    domainsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["domain%2Did"] = id;
        return new domainItemRequestBuilder_1.DomainItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.drives.item collection
     * @param id Unique identifier of the item
     * @returns a driveItemRequestBuilder
     */
    drivesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["drive%2Did"] = id;
        return new driveItemRequestBuilder_1.DriveItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groupLifecyclePolicies.item collection
     * @param id Unique identifier of the item
     * @returns a groupLifecyclePolicyItemRequestBuilder
     */
    groupLifecyclePoliciesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["groupLifecyclePolicy%2Did"] = id;
        return new groupLifecyclePolicyItemRequestBuilder_1.GroupLifecyclePolicyItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item collection
     * @param id Unique identifier of the item
     * @returns a groupItemRequestBuilder
     */
    groupsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["group%2Did"] = id;
        return new groupItemRequestBuilder_1.GroupItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groupSettings.item collection
     * @param id Unique identifier of the item
     * @returns a groupSettingItemRequestBuilder
     */
    groupSettingsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["groupSetting%2Did"] = id;
        return new groupSettingItemRequestBuilder_1.GroupSettingItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groupSettingTemplates.item collection
     * @param id Unique identifier of the item
     * @returns a groupSettingTemplateItemRequestBuilder
     */
    groupSettingTemplatesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["groupSettingTemplate%2Did"] = id;
        return new groupSettingTemplateItemRequestBuilder_1.GroupSettingTemplateItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.identityProviders.item collection
     * @param id Unique identifier of the item
     * @returns a identityProviderItemRequestBuilder
     */
    identityProvidersById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["identityProvider%2Did"] = id;
        return new identityProviderItemRequestBuilder_1.IdentityProviderItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.invitations.item collection
     * @param id Unique identifier of the item
     * @returns a invitationItemRequestBuilder
     */
    invitationsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["invitation%2Did"] = id;
        return new invitationItemRequestBuilder_1.InvitationItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.localizations.item collection
     * @param id Unique identifier of the item
     * @returns a organizationalBrandingLocalizationItemRequestBuilder
     */
    localizationsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["organizationalBrandingLocalization%2Did"] = id;
        return new organizationalBrandingLocalizationItemRequestBuilder_1.OrganizationalBrandingLocalizationItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.oauth2PermissionGrants.item collection
     * @param id Unique identifier of the item
     * @returns a oAuth2PermissionGrantItemRequestBuilder
     */
    oauth2PermissionGrantsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["oAuth2PermissionGrant%2Did"] = id;
        return new oAuth2PermissionGrantItemRequestBuilder_1.OAuth2PermissionGrantItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.organization.item collection
     * @param id Unique identifier of the item
     * @returns a organizationItemRequestBuilder
     */
    organizationById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["organization%2Did"] = id;
        return new organizationItemRequestBuilder_1.OrganizationItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.permissionGrants.item collection
     * @param id Unique identifier of the item
     * @returns a resourceSpecificPermissionGrantItemRequestBuilder
     */
    permissionGrantsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["resourceSpecificPermissionGrant%2Did"] = id;
        return new resourceSpecificPermissionGrantItemRequestBuilder_1.ResourceSpecificPermissionGrantItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.places.item collection
     * @param id Unique identifier of the item
     * @returns a placeItemRequestBuilder
     */
    placesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["place%2Did"] = id;
        return new placeItemRequestBuilder_1.PlaceItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.schemaExtensions.item collection
     * @param id Unique identifier of the item
     * @returns a schemaExtensionItemRequestBuilder
     */
    schemaExtensionsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["schemaExtension%2Did"] = id;
        return new schemaExtensionItemRequestBuilder_1.SchemaExtensionItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.scopedRoleMemberships.item collection
     * @param id Unique identifier of the item
     * @returns a scopedRoleMembershipItemRequestBuilder
     */
    scopedRoleMembershipsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["scopedRoleMembership%2Did"] = id;
        return new scopedRoleMembershipItemRequestBuilder_1.ScopedRoleMembershipItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.servicePrincipals.item collection
     * @param id Unique identifier of the item
     * @returns a servicePrincipalItemRequestBuilder
     */
    servicePrincipalsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["servicePrincipal%2Did"] = id;
        return new servicePrincipalItemRequestBuilder_1.ServicePrincipalItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.shares.item collection
     * @param id Unique identifier of the item
     * @returns a sharedDriveItemItemRequestBuilder
     */
    sharesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["sharedDriveItem%2Did"] = id;
        return new sharedDriveItemItemRequestBuilder_1.SharedDriveItemItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.sites.item collection
     * @param id Unique identifier of the item
     * @returns a siteItemRequestBuilder
     */
    sitesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["site%2Did"] = id;
        return new siteItemRequestBuilder_1.SiteItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.subscribedSkus.item collection
     * @param id Unique identifier of the item
     * @returns a subscribedSkuItemRequestBuilder
     */
    subscribedSkusById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["subscribedSku%2Did"] = id;
        return new subscribedSkuItemRequestBuilder_1.SubscribedSkuItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.subscriptions.item collection
     * @param id Unique identifier of the item
     * @returns a subscriptionItemRequestBuilder
     */
    subscriptionsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["subscription%2Did"] = id;
        return new subscriptionItemRequestBuilder_1.SubscriptionItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.teams.item collection
     * @param id Unique identifier of the item
     * @returns a teamItemRequestBuilder
     */
    teamsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["team%2Did"] = id;
        return new teamItemRequestBuilder_1.TeamItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.teamsTemplates.item collection
     * @param id Unique identifier of the item
     * @returns a teamsTemplateItemRequestBuilder
     */
    teamsTemplatesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["teamsTemplate%2Did"] = id;
        return new teamsTemplateItemRequestBuilder_1.TeamsTemplateItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item collection
     * @param id Unique identifier of the item
     * @returns a userItemRequestBuilder
     */
    usersById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["user%2Did"] = id;
        return new userItemRequestBuilder_1.UserItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.workbooks.item collection
     * @param id Unique identifier of the item
     * @returns a driveItemItemRequestBuilder
     */
    workbooksById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["driveItem%2Did"] = id;
        return new driveItemItemRequestBuilder_1.DriveItemItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
}
exports.GraphBaseServiceClient = GraphBaseServiceClient;
