"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddGroupPostRequestBody = void 0;
/** Provides operations to call the addGroup method. */
class AddGroupPostRequestBody {
    /**
     * Instantiates a new addGroupPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "groupId": n => { this.groupId = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the groupId property value. The groupId property
     * @returns a string
     */
    get groupId() {
        return this._groupId;
    }
    ;
    /**
     * Sets the groupId property value. The groupId property
     * @param value Value to set for the groupId property.
     */
    set groupId(value) {
        this._groupId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("groupId", this.groupId);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.AddGroupPostRequestBody = AddGroupPostRequestBody;
