"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddCopyFromContentTypeHubPostRequestBody = void 0;
/** Provides operations to call the addCopyFromContentTypeHub method. */
class AddCopyFromContentTypeHubPostRequestBody {
    /**
     * Instantiates a new addCopyFromContentTypeHubPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the contentTypeId property value. The contentTypeId property
     * @returns a string
     */
    get contentTypeId() {
        return this._contentTypeId;
    }
    ;
    /**
     * Sets the contentTypeId property value. The contentTypeId property
     * @param value Value to set for the contentTypeId property.
     */
    set contentTypeId(value) {
        this._contentTypeId = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "contentTypeId": n => { this.contentTypeId = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("contentTypeId", this.contentTypeId);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.AddCopyFromContentTypeHubPostRequestBody = AddCopyFromContentTypeHubPostRequestBody;
