"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserFlowLanguageConfigurationItemRequestBuilderGetQueryParameters = void 0;
/** The languages supported for customization within the user flow. Language customization is enabled by default in self-service sign up user flow. You cannot create custom languages in self-service sign up user flows. */
class UserFlowLanguageConfigurationItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.UserFlowLanguageConfigurationItemRequestBuilderGetQueryParameters = UserFlowLanguageConfigurationItemRequestBuilderGetQueryParameters;
