"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessReviewHistoryInstanceItemRequestBuilderGetQueryParameters = void 0;
/** If the accessReviewHistoryDefinition is a recurring definition, instances represent each recurrence. A definition that does not recur will have exactly one instance. */
class AccessReviewHistoryInstanceItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.AccessReviewHistoryInstanceItemRequestBuilderGetQueryParameters = AccessReviewHistoryInstanceItemRequestBuilderGetQueryParameters;
