"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AgreementAcceptanceItemRequestBuilderGetQueryParameters = void 0;
/** Represents the current status of a user's response to a company's customizable terms of use agreement. */
class AgreementAcceptanceItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.AgreementAcceptanceItemRequestBuilderGetQueryParameters = AgreementAcceptanceItemRequestBuilderGetQueryParameters;
