"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RiskyUserItemRequestBuilderGetQueryParameters = void 0;
/** Users that are flagged as at-risk by Azure AD Identity Protection. */
class RiskyUserItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.RiskyUserItemRequestBuilderGetQueryParameters = RiskyUserItemRequestBuilderGetQueryParameters;
