/** The permissions of the users with whom the calendar is shared. */
export declare class CalendarPermissionItemRequestBuilderGetQueryParameters {
    /** Select properties to be returned */
    select?: string[] | undefined;
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName: string | undefined): string;
}
