/** Relevance classification of the user's messages based on explicit designations which override inferred relevance or importance. */
export declare class InferenceClassificationRequestBuilderGetQueryParameters {
    /** Select properties to be returned */
    select?: string[] | undefined;
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName: string | undefined): string;
}
