"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeleteUserFromSharedAppleDevicePostRequestBody = void 0;
/** Provides operations to call the deleteUserFromSharedAppleDevice method. */
class DeleteUserFromSharedAppleDevicePostRequestBody {
    /**
     * Instantiates a new deleteUserFromSharedAppleDevicePostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "userPrincipalName": n => { this.userPrincipalName = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("userPrincipalName", this.userPrincipalName);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the userPrincipalName property value. The userPrincipalName property
     * @returns a string
     */
    get userPrincipalName() {
        return this._userPrincipalName;
    }
    ;
    /**
     * Sets the userPrincipalName property value. The userPrincipalName property
     * @param value Value to set for the userPrincipalName property.
     */
    set userPrincipalName(value) {
        this._userPrincipalName = value;
    }
    ;
}
exports.DeleteUserFromSharedAppleDevicePostRequestBody = DeleteUserFromSharedAppleDevicePostRequestBody;
