import { ManagerRequestBuilderGetQueryParameters } from './managerRequestBuilderGetQueryParameters';
import { RequestOption } from '@microsoft/kiota-abstractions';
/** Configuration for the request such as headers, query parameters, and middleware options. */
export declare class ManagerRequestBuilderGetRequestConfiguration {
    /** Request headers */
    headers?: Record<string, string> | undefined;
    /** Request options */
    options?: RequestOption[] | undefined;
    /** Request query parameters */
    queryParameters?: ManagerRequestBuilderGetQueryParameters | undefined;
}
