"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppCatalogs = void 0;
const createTeamsAppFromDiscriminatorValue_1 = require("./createTeamsAppFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the appCatalogs singleton. */
class AppCatalogs extends index_1.Entity {
    /**
     * Instantiates a new appCatalogs and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "teamsApps": n => { this.teamsApps = n.getCollectionOfObjectValues(createTeamsAppFromDiscriminatorValue_1.createTeamsAppFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("teamsApps", this.teamsApps);
    }
    ;
    /**
     * Gets the teamsApps property value. The teamsApps property
     * @returns a teamsApp
     */
    get teamsApps() {
        return this._teamsApps;
    }
    ;
    /**
     * Sets the teamsApps property value. The teamsApps property
     * @param value Value to set for the teamsApps property.
     */
    set teamsApps(value) {
        this._teamsApps = value;
    }
    ;
}
exports.AppCatalogs = AppCatalogs;
