"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColumnLink = void 0;
const index_1 = require("./index");
/** Casts the previous resource to user. */
class ColumnLink extends index_1.Entity {
    /**
     * Instantiates a new columnLink and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "name": n => { this.name = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the name property value. The name of the column  in this content type.
     * @returns a string
     */
    get name() {
        return this._name;
    }
    ;
    /**
     * Sets the name property value. The name of the column  in this content type.
     * @param value Value to set for the name property.
     */
    set name(value) {
        this._name = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("name", this.name);
    }
    ;
}
exports.ColumnLink = ColumnLink;
