"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComplianceState = void 0;
/** Casts the previous resource to user. */
var ComplianceState;
(function (ComplianceState) {
    /** Unknown. */
    ComplianceState["Unknown"] = "unknown";
    /** Compliant. */
    ComplianceState["Compliant"] = "compliant";
    /** Device is non-compliant and is blocked from corporate resources. */
    ComplianceState["Noncompliant"] = "noncompliant";
    /** Conflict with other rules. */
    ComplianceState["Conflict"] = "conflict";
    /** Error. */
    ComplianceState["Error_escaped"] = "error";
    /** Device is non-compliant but still has access to corporate resources */
    ComplianceState["InGracePeriod"] = "inGracePeriod";
    /** Managed by Config Manager */
    ComplianceState["ConfigManager"] = "configManager";
})(ComplianceState = exports.ComplianceState || (exports.ComplianceState = {}));
