"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceManagementExchangeAccessState = void 0;
/** Casts the previous resource to user. */
var DeviceManagementExchangeAccessState;
(function (DeviceManagementExchangeAccessState) {
    /** No access state discovered from Exchange */
    DeviceManagementExchangeAccessState["None"] = "none";
    /** Device access state to Exchange is unknown */
    DeviceManagementExchangeAccessState["Unknown"] = "unknown";
    /** Device has access to Exchange */
    DeviceManagementExchangeAccessState["Allowed"] = "allowed";
    /** Device is Blocked in Exchange */
    DeviceManagementExchangeAccessState["Blocked"] = "blocked";
    /** Device is Quarantined in Exchange */
    DeviceManagementExchangeAccessState["Quarantined"] = "quarantined";
})(DeviceManagementExchangeAccessState = exports.DeviceManagementExchangeAccessState || (exports.DeviceManagementExchangeAccessState = {}));
