"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceManagementPartnerAppType = void 0;
/** Provides operations to manage the deviceManagement singleton. */
var DeviceManagementPartnerAppType;
(function (DeviceManagementPartnerAppType) {
    /** Partner App type is unknown. */
    DeviceManagementPartnerAppType["Unknown"] = "unknown";
    /** Partner App is Single tenant in AAD. */
    DeviceManagementPartnerAppType["SingleTenantApp"] = "singleTenantApp";
    /** Partner App is Multi tenant in AAD. */
    DeviceManagementPartnerAppType["MultiTenantApp"] = "multiTenantApp";
})(DeviceManagementPartnerAppType = exports.DeviceManagementPartnerAppType || (exports.DeviceManagementPartnerAppType = {}));
