"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EducationOnPremisesInfo = void 0;
class EducationOnPremisesInfo {
    /**
     * Instantiates a new educationOnPremisesInfo and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "immutableId": n => { this.immutableId = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the immutableId property value. Unique identifier for the user object in Active Directory.
     * @returns a string
     */
    get immutableId() {
        return this._immutableId;
    }
    ;
    /**
     * Sets the immutableId property value. Unique identifier for the user object in Active Directory.
     * @param value Value to set for the immutableId property.
     */
    set immutableId(value) {
        this._immutableId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("immutableId", this.immutableId);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.EducationOnPremisesInfo = EducationOnPremisesInfo;
