"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileHashType = void 0;
/** Provides operations to manage the security singleton. */
var FileHashType;
(function (FileHashType) {
    FileHashType["Unknown"] = "unknown";
    FileHashType["Sha1"] = "sha1";
    FileHashType["Sha256"] = "sha256";
    FileHashType["Md5"] = "md5";
    FileHashType["AuthenticodeHash256"] = "authenticodeHash256";
    FileHashType["LsHash"] = "lsHash";
    FileHashType["Ctph"] = "ctph";
    FileHashType["UnknownFutureValue"] = "unknownFutureValue";
})(FileHashType = exports.FileHashType || (exports.FileHashType = {}));
