export * from './dictionary';
export * from './location';
export * from './scheduleEntity';
export * from './shiftItem';
export * from './callOptions';
export * from './conditionalAccessSessionControl';
export * from './identity';
export * from './recipient';
export * from './attendeeBase';
export * from './identitySet';
export * from './entity';
export * from './educationOrganization';
export * from './teamsAppInstallation';
export * from './operation';
export * from './printUsage';
export * from './directoryObject';
export * from './policyBase';
export * from './stsPolicy';
export * from './printerBase';
export * from './unifiedRoleScheduleInstanceBase';
export * from './authenticationMethod';
export * from './identityProviderBase';
export * from './samlOrWsFedProvider';
export * from './baseItemVersion';
export * from './outlookItem';
export * from './roleAssignment';
export * from './longRunningOperation';
export * from './baseItem';
export * from './unifiedRoleScheduleBase';
export * from './managedAppPolicy';
export * from './managedAppProtection';
export * from './targetedManagedAppProtection';
export * from './managedAppConfiguration';
export * from './windowsInformationProtection';
export * from './mobileApp';
export * from './managedApp';
export * from './organizationalBrandingProperties';
export * from './request';
export * from './identityUserFlow';
export * from './riskyUser';
export * from './commsOperation';
export * from './teamworkHostedContent';
export * from './serviceAnnouncementBase';
export * from './onenoteEntityBaseModel';
export * from './onenoteEntitySchemaObjectModel';
export * from './onenoteEntityHierarchyModel';
export * from './agreementFileProperties';
export * from './changeTrackedEntity';
export * from './scheduleChangeRequest';
export * from './offerShiftRequest';
export * from './signIn';
export * from './serviceHealth';
export * from './pendingContentUpdate';
export * from './internalDomainFederation';
export * from './deviceEnrollmentConfigurationCollectionResponse';
export * from './accessReviewHistoryInstance';
export * from './recordingInfo';
export * from './contactCollectionResponse';
export * from './accessReviewInstanceDecisionItem';
export * from './site';
export * from './dataSubject';
export * from './managedDeviceMobileAppConfigurationDeviceSummary';
export * from './informationalUrl';
export * from './domain';
export * from './folder';
export * from './extensionSchemaProperty';
export * from './printJobStatus';
export * from './androidManagedAppProtection';
export * from './mobileLobAppCollectionResponse';
export * from './permission';
export * from './oAuth2PermissionGrantCollectionResponse';
export * from './onenoteOperationError';
export * from './printerLocation';
export * from './teamsTemplate';
export * from './printerShare';
export * from './printTask';
export * from './siteCollectionResponse';
export * from './configurationManagerClientEnabledFeatures';
export * from './windowsInformationProtectionNetworkLearningSummary';
export * from './serviceUpdateMessageCollectionResponse';
export * from './resourceAccess';
export * from './swapShiftsChangeRequest';
export * from './managedDeviceMobileAppConfiguration';
export * from './onlineMeeting';
export * from './userActivityCollectionResponse';
export * from './sizeRange';
export * from './telecomExpenseManagementPartner';
export * from './bitlockerRecoveryKey';
export * from './unifiedRoleEligibilityScheduleInstance';
export * from './message';
export * from './userSettings';
export * from './post';
export * from './personType';
export * from './unmuteParticipantOperation';
export * from './extension';
export * from './chatMessagePolicyViolationPolicyTip';
export * from './defaultColumnValue';
export * from './hashes';
export * from './teamsTabConfiguration';
export * from './defaultManagedAppProtectionCollectionResponse';
export * from './managedDeviceMobileAppConfigurationUserSummary';
export * from './workbookChart';
export * from './homeRealmDiscoveryPolicy';
export * from './groupLifecyclePolicyCollectionResponse';
export * from './managedDeviceMobileAppConfigurationAssignmentCollectionResponse';
export * from './schemaExtension';
export * from './textColumn';
export * from './workbookChartLegend';
export * from './onlineMeetingCollectionResponse';
export * from './meetingTimeSuggestion';
export * from './teamGuestSettings';
export * from './deviceConfigurationAssignment';
export * from './groupSettingTemplateCollectionResponse';
export * from './device';
export * from './contentTypeInfo';
export * from './callMediaState';
export * from './printerStatus';
export * from './deviceManagementTroubleshootingEvent';
export * from './licenseDetailsCollectionResponse';
export * from './threatAssessmentResult';
export * from './networkConnection';
export * from './printServiceEndpointCollectionResponse';
export * from './teamMemberSettings';
export * from './bookingWorkTimeSlot';
export * from './presence';
export * from './userConsentRequest';
export * from './workbookChartAxis';
export * from './searchResult';
export * from './deviceComplianceSettingStateCollectionResponse';
export * from './applePushNotificationCertificate';
export * from './sharePointIdentitySet';
export * from './educationStudent';
export * from './meetingParticipants';
export * from './onlineMeetingInfo';
export * from './mailFolderCollectionResponse';
export * from './physicalOfficeAddress';
export * from './deviceComplianceScheduledActionForRuleCollectionResponse';
export * from './searchHitsContainer';
export * from './subjectRightsRequestStageDetail';
export * from './deviceCompliancePolicySettingState';
export * from './bitlocker';
export * from './geoCoordinates';
export * from './presenceCollectionResponse';
export * from './enrollmentConfigurationAssignment';
export * from './unifiedRoleManagementPolicyRuleTarget';
export * from './accessPackageAssignmentPolicyCollectionResponse';
export * from './licenseProcessingState';
export * from './mobileAppCollectionResponse';
export * from './resultTemplateOption';
export * from './assignedLabel';
export * from './managedAppRegistration';
export * from './authentication';
export * from './sectionGroup';
export * from './alterationResponse';
export * from './mailTips';
export * from './settingStateDeviceSummaryCollectionResponse';
export * from './onenoteResource';
export * from './provisioningStep';
export * from './displayNameLocalization';
export * from './organizationalBrandingLocalizationCollectionResponse';
export * from './messageCollectionResponse';
export * from './deviceComplianceDeviceStatusCollectionResponse';
export * from './conversationMemberCollectionResponse';
export * from './json';
export * from './deviceAndAppManagementRoleAssignment';
export * from './auditActivityInitiator';
export * from './unifiedRoleAssignmentCollectionResponse';
export * from './termsExpiration';
export * from './conditionalAccessUsers';
export * from './homeRealmDiscoveryPolicyCollectionResponse';
export * from './userCollectionResponse';
export * from './ipRange';
export * from './printConnectorCollectionResponse';
export * from './eventMessageDetail';
export * from './driveCollectionResponse';
export * from './multiValueLegacyExtendedPropertyCollectionResponse';
export * from './requiredResourceAccess';
export * from './workforceIntegrationCollectionResponse';
export * from './subjectRightsRequestHistory';
export * from './printTaskStatus';
export * from './calendarPermissionCollectionResponse';
export * from './bookingBusiness';
export * from './managedMobileLobAppCollectionResponse';
export * from './attendanceInterval';
export * from './deviceComplianceDeviceStatus';
export * from './identityUserFlowAttributeAssignment';
export * from './administrativeUnitCollectionResponse';
export * from './managedAppPolicyCollectionResponse';
export * from './malwareState';
export * from './todoTaskListCollectionResponse';
export * from './cloudCommunications';
export * from './activityHistoryItem';
export * from './licenseUnitsDetail';
export * from './deviceManagementPartnerCollectionResponse';
export * from './emailAddress';
export * from './prompt';
export * from './deviceConfigurationUserStatus';
export * from './application';
export * from './importedWindowsAutopilotDeviceIdentityCollectionResponse';
export * from './microsoftAuthenticatorAuthenticationMethodCollectionResponse';
export * from './accessReviewScope';
export * from './scopedRoleMembershipCollectionResponse';
export * from './conditionalAccessPolicyCollectionResponse';
export * from './audioRoutingGroupCollectionResponse';
export * from './timeOffReason';
export * from './chatMessageAttachment';
export * from './lobbyBypassSettings';
export * from './officeGraphInsights';
export * from './printer';
export * from './complianceManagementPartner';
export * from './bookingCurrency';
export * from './authoredNote';
export * from './teamCollectionResponse';
export * from './deviceInstallStateCollectionResponse';
export * from './managedAppOperation';
export * from './targetedManagedAppConfiguration';
export * from './educationClassCollectionResponse';
export * from './accessPackageAssignmentRequest';
export * from './activityHistoryItemCollectionResponse';
export * from './unifiedRoleAssignmentScheduleRequestCollectionResponse';
export * from './listInfo';
export * from './security';
export * from './chatMessageFromIdentitySet';
export * from './educationAssignmentRecipient';
export * from './dateTimeTimeZone';
export * from './deviceManagementReports';
export * from './searchBucket';
export * from './managedDeviceMobileAppConfigurationUserStatus';
export * from './educationCategory';
export * from './apiAuthenticationConfigurationBase';
export * from './userFlowLanguagePage';
export * from './onPremisesProvisioningError';
export * from './windowsInformationProtectionAppLockerFile';
export * from './printerShareCollectionResponse';
export * from './restrictedSignIn';
export * from './iosManagedAppProtectionCollectionResponse';
export * from './subjectRightsRequest';
export * from './requestSchedule';
export * from './deviceManagementPartner';
export * from './educationTerm';
export * from './signingCertificateUpdateStatus';
export * from './resourceSpecificPermission';
export * from './sharePointIdentity';
export * from './roleAssignmentCollectionResponse';
export * from './schedulingGroupCollectionResponse';
export * from './termsAndConditionsCollectionResponse';
export * from './notificationMessageTemplateCollectionResponse';
export * from './deviceCategory';
export * from './incompleteData';
export * from './chat';
export * from './outlookGeoCoordinates';
export * from './secureScoreCollectionResponse';
export * from './genericError';
export * from './stopHoldMusicOperation';
export * from './approval';
export * from './workbookChartDataLabelFormat';
export * from './applicationServicePrincipal';
export * from './drive';
export * from './passwordCredential';
export * from './outlookCategory';
export * from './invitationParticipantInfo';
export * from './thumbnail';
export * from './remoteItem';
export * from './serviceHealthIssuePost';
export * from './secureScore';
export * from './accessReviewSet';
export * from './controlScore';
export * from './roleDefinitionCollectionResponse';
export * from './educationUserCollectionResponse';
export * from './riskDetectionCollectionResponse';
export * from './workbookChartSeries';
export * from './managedDeviceMobileAppConfigurationAssignment';
export * from './workbookNamedItem';
export * from './insightIdentity';
export * from './agreementCollectionResponse';
export * from './sharingInvitation';
export * from './identitySource';
export * from './servicePlanInfo';
export * from './outlookUser';
export * from './unifiedRoleManagementPolicyAssignmentCollectionResponse';
export * from './alert';
export * from './identityUserFlowAttributeCollectionResponse';
export * from './conversationMember';
export * from './settingSource';
export * from './workbookTableRow';
export * from './bookingWorkHours';
export * from './userIdentity';
export * from './termsAndConditionsAcceptanceStatus';
export * from './chatMessagePolicyViolation';
export * from './certificateBasedAuthConfiguration';
export * from './proxiedDomain';
export * from './unifiedRoleAssignmentSchedule';
export * from './alertDetection';
export * from './teamsAppInstallationCollectionResponse';
export * from './teamsAppDefinitionCollectionResponse';
export * from './accessReviewScheduleDefinitionCollectionResponse';
export * from './securityVendorInformation';
export * from './callTranscriptionInfo';
export * from './hyperlinkOrPictureColumn';
export * from './driveItemUploadableProperties';
export * from './conditionalAccessLocations';
export * from './shared';
export * from './thumbnailColumn';
export * from './calendarGroup';
export * from './linkedResource';
export * from './managedDeviceMobileAppConfigurationDeviceStatusCollectionResponse';
export * from './shiftCollectionResponse';
export * from './attendanceRecordCollectionResponse';
export * from './bookingCustomerBaseCollectionResponse';
export * from './certificateBasedAuthConfigurationCollectionResponse';
export * from './agreementFileData';
export * from './numberColumn';
export * from './malware';
export * from './permissionGrantPolicyCollectionResponse';
export * from './mobileAppAssignment';
export * from './columnValidation';
export * from './printOperation';
export * from './userInstallStateSummary';
export * from './archivedPrintJob';
export * from './serviceHealthIssue';
export * from './onenoteSectionCollectionResponse';
export * from './deviceCompliancePolicyStateCollectionResponse';
export * from './listItem';
export * from './listItemCollectionResponse';
export * from './actionResultPart';
export * from './workbookWorksheet';
export * from './publicClientApplication';
export * from './userFlowLanguageConfigurationCollectionResponse';
export * from './riskyUserHistoryItemCollectionResponse';
export * from './callRoute';
export * from './printOperationCollectionResponse';
export * from './addIn';
export * from './approvalCollectionResponse';
export * from './permissionGrantPolicy';
export * from './meetingAttendanceReportCollectionResponse';
export * from './provisioningStatusInfo';
export * from './thumbnailSet';
export * from './deviceConfiguration';
export * from './unifiedRoleManagementPolicyRuleCollectionResponse';
export * from './openShift';
export * from './deviceComplianceActionItemCollectionResponse';
export * from './conditionalAccessFilter';
export * from './orgContact';
export * from './pendingOperations';
export * from './hostSecurityState';
export * from './accessPackageAssignmentCollectionResponse';
export * from './itemBody';
export * from './oAuth2PermissionGrant';
export * from './workingHours';
export * from './scheduleItem';
export * from './workbookSortField';
export * from './workbookOperation';
export * from './deviceCompliancePolicyAssignmentCollectionResponse';
export * from './educationOutcome';
export * from './attendeeAvailability';
export * from './print';
export * from './educationSubmissionResource';
export * from './broadcastMeetingSettings';
export * from './schedulingGroup';
export * from './plannerPlanCollectionResponse';
export * from './inferenceClassificationOverride';
export * from './mediaStream';
export * from './applicationTemplate';
export * from './identityGovernance';
export * from './chatMessageCollectionResponse';
export * from './meetingTimeSuggestionsResult';
export * from './managedDevice';
export * from './plannerBucketTaskBoardTaskFormat';
export * from './defaultUserRolePermissions';
export * from './endpointCollectionResponse';
export * from './columnLinkCollectionResponse';
export * from './accessReviewReviewer';
export * from './stringCollectionResponse';
export * from './remoteAssistancePartnerCollectionResponse';
export * from './educationTeacher';
export * from './employeeOrgData';
export * from './featureRolloutPolicyCollectionResponse';
export * from './searchAggregation';
export * from './secureScoreControlProfile';
export * from './approvalStage';
export * from './userScopeTeamsAppInstallation';
export * from './dateTimeColumn';
export * from './riskDetection';
export * from './detectedAppCollectionResponse';
export * from './onPremisesConditionalAccessSettings';
export * from './authenticationMethodsRegistrationCampaignIncludeTarget';
export * from './unifiedRoleEligibilityScheduleCollectionResponse';
export * from './agreementFile';
export * from './publicationFacet';
export * from './educationItemBody';
export * from './calendarPermission';
export * from './printUsageByUserCollectionResponse';
export * from './samlSingleSignOnSettings';
export * from './managedAppStatus';
export * from './deviceCompliancePolicyCollectionResponse';
export * from './initiator';
export * from './deviceManagementExportJobCollectionResponse';
export * from './termColumn';
export * from './list';
export * from './licenseDetails';
export * from './keyCredential';
export * from './extensionPropertyCollectionResponse';
export * from './managedAppDiagnosticStatus';
export * from './workbookTableColumn';
export * from './namedLocation';
export * from './participantCollectionResponse';
export * from './itemActionStat';
export * from './bookingStaffMemberBaseCollectionResponse';
export * from './orgContactCollectionResponse';
export * from './accessPackageAssignment';
export * from './subjectRightsRequestDetail';
export * from './recurrencePattern';
export * from './appConsentRequestScope';
export * from './localizedNotificationMessage';
export * from './deviceCollectionResponse';
export * from './printService';
export * from './bookingAppointment';
export * from './directoryRoleTemplateCollectionResponse';
export * from './signInFrequencySessionControl';
export * from './messageRule';
export * from './searchQuery';
export * from './deviceAppManagement';
export * from './openShiftChangeRequestCollectionResponse';
export * from './appRoleAssignment';
export * from './managedAppPolicyDeploymentSummary';
export * from './windowsInformationProtectionProxiedDomainCollection';
export * from './conditionalAccessConditionSet';
export * from './freeBusyError';
export * from './plannerChecklistItems';
export * from './educationAssignmentCollectionResponse';
export * from './deviceConfigurationDeviceStateSummary';
export * from './teamwork';
export * from './sectionLinks';
export * from './place';
export * from './admin';
export * from './educationSubmissionCollectionResponse';
export * from './workbookChartGridlinesFormat';
export * from './educationOutcomeCollectionResponse';
export * from './shift';
export * from './schedule';
export * from './messageRulePredicates';
export * from './conditionalAccessSessionControls';
export * from './sharedDriveItem';
export * from './settingTemplateValue';
export * from './policyRoot';
export * from './deviceConfigurationUserOverview';
export * from './alertTrigger';
export * from './mobileAppIdentifier';
export * from './educationResource';
export * from './dataPolicyOperation';
export * from './resourceOperationCollectionResponse';
export * from './onenoteResourceCollectionResponse';
export * from './messageRuleCollectionResponse';
export * from './groupSettingTemplate';
export * from './specialFolder';
export * from './identityProviderCollectionResponse';
export * from './searchAlterationOptions';
export * from './settingStateDeviceSummary';
export * from './timeRange';
export * from './eventCollectionResponse';
export * from './managedAppPolicyDeploymentSummaryPerApp';
export * from './educationAssignmentDefaults';
export * from './chatMessage';
export * from './shiftActivity';
export * from './organizationalBrandingLocalization';
export * from './expirationPattern';
export * from './internalDomainFederationCollectionResponse';
export * from './claimsMappingPolicyCollectionResponse';
export * from './workforceIntegrationEncryption';
export * from './riskUserActivity';
export * from './calendarGroupCollectionResponse';
export * from './complianceManagementPartnerAssignment';
export * from './teamMessagingSettings';
export * from './permissionGrantConditionSetCollectionResponse';
export * from './mobileLobApp';
export * from './unifiedRoleManagementPolicyCollectionResponse';
export * from './bucketAggregationDefinition';
export * from './unifiedRoleAssignment';
export * from './licenseAssignmentState';
export * from './usedInsightCollectionResponse';
export * from './remoteAssistancePartner';
export * from './attendanceRecord';
export * from './workbookChartAxisTitle';
export * from './plannerAssignments';
export * from './deviceAndAppManagementRoleAssignmentCollectionResponse';
export * from './teamsApp';
export * from './deviceConfigurationState';
export * from './workbookWorksheetProtection';
export * from './printTaskDefinitionCollectionResponse';
export * from './plannerTaskDetails';
export * from './termsAndConditionsAssignment';
export * from './referenceUpdateSchema';
export * from './accessReviewHistoryDefinitionCollectionResponse';
export * from './onenotePagePreview';
export * from './lookupColumn';
export * from './meetingParticipantInfo';
export * from './relatedContact';
export * from './sortProperty';
export * from './contractCollectionResponse';
export * from './identityUserFlowAttributeAssignmentCollectionResponse';
export * from './workbookIcon';
export * from './chatMessageMentionedIdentitySet';
export * from './plannerTask';
export * from './educationSubmissionRecipient';
export * from './userActivity';
export * from './quota';
export * from './printUsageByUser';
export * from './onenoteSection';
export * from './userConsentRequestCollectionResponse';
export * from './workbookChartTitleFormat';
export * from './targetedManagedAppPolicyAssignment';
export * from './workbookChartPointFormat';
export * from './followupFlag';
export * from './phone';
export * from './managedAppOperationCollectionResponse';
export * from './searchHit';
export * from './b2xIdentityUserFlow';
export * from './searchResponse';
export * from './conditionalAccessClientApplications';
export * from './b2xIdentityUserFlowCollectionResponse';
export * from './physicalAddress';
export * from './importedWindowsAutopilotDeviceIdentityState';
export * from './unifiedRoleAssignmentScheduleInstanceCollectionResponse';
export * from './baseItemCollectionResponse';
export * from './solutionsRoot';
export * from './featureRolloutPolicy';
export * from './website';
export * from './teamsTab';
export * from './timeSlot';
export * from './personOrGroupColumn';
export * from './contactFolder';
export * from './person';
export * from './printerCapabilities';
export * from './unifiedRoleManagementPolicy';
export * from './educationSchoolCollectionResponse';
export * from './workbookChartFont';
export * from './bookingServiceCollectionResponse';
export * from './accessReviewInstance';
export * from './accessPackageCollectionResponse';
export * from './recordOperation';
export * from './riskyUserCollectionResponse';
export * from './deviceInstallState';
export * from './sharingLink';
export * from './workbookCommentReply';
export * from './participantInfo';
export * from './verifiedPublisher';
export * from './driveItemVersion';
export * from './conditionalAccessPolicy';
export * from './accessPackageAssignmentRequestRequirements';
export * from './externalLink';
export * from './usedInsight';
export * from './inferenceClassificationOverrideCollectionResponse';
export * from './driveRecipient';
export * from './swapShiftsChangeRequestCollectionResponse';
export * from './connectedOrganizationCollectionResponse';
export * from './resourceVisualization';
export * from './riskyUserHistoryItem';
export * from './inferenceClassification';
export * from './teamsTemplateCollectionResponse';
export * from './authenticationMethodConfigurationCollectionResponse';
export * from './incomingContext';
export * from './endpoint';
export * from './profilePhoto';
export * from './serviceAnnouncement';
export * from './sharedInsightCollectionResponse';
export * from './onenotePageCollectionResponse';
export * from './secureScoreControlStateUpdate';
export * from './singleValueLegacyExtendedPropertyCollectionResponse';
export * from './mobileThreatDefenseConnector';
export * from './servicePrincipalCollectionResponse';
export * from './itemActivity';
export * from './invitedUserMessageInfo';
export * from './provisioningServicePrincipal';
export * from './recurrenceRange';
export * from './visualInfo';
export * from './rubricQuality';
export * from './onenotePatchContentCommand';
export * from './updateWindowsDeviceAccountActionParameter';
export * from './workbookChartAxes';
export * from './entitlementManagement';
export * from './systemFacet';
export * from './mobileAppContent';
export * from './educationCategoryCollectionResponse';
export * from './appIdentity';
export * from './publicInnerError';
export * from './managedMobileLobApp';
export * from './mdmWindowsInformationProtectionPolicyCollectionResponse';
export * from './serviceHealthCollectionResponse';
export * from './contactFolderCollectionResponse';
export * from './androidManagedAppProtectionCollectionResponse';
export * from './printCertificateSigningRequest';
export * from './incomingCallOptions';
export * from './contact';
export * from './richLongRunningOperation';
export * from './notebookLinks';
export * from './workbookTableSort';
export * from './trendingCollectionResponse';
export * from './printTaskTrigger';
export * from './shiftPreferences';
export * from './publicErrorDetail';
export * from './multiValueLegacyExtendedProperty';
export * from './attachmentCollectionResponse';
export * from './ticketInfo';
export * from './driveItem';
export * from './workbookPivotTable';
export * from './userInstallStateSummaryCollectionResponse';
export * from './sharedInsight';
export * from './deviceConfigurationSettingState';
export * from './domainDnsRecordCollectionResponse';
export * from './printTaskCollectionResponse';
export * from './deviceManagementSettings';
export * from './roleDefinition';
export * from './chatMessageHostedContent';
export * from './offerShiftRequestCollectionResponse';
export * from './educationSchool';
export * from './workbookChartDataLabels';
export * from './currencyColumn';
export * from './accessReviewInstanceCollectionResponse';
export * from './rubricLevel';
export * from './team';
export * from './notificationMessageTemplate';
export * from './inviteParticipantsOperation';
export * from './richLongRunningOperationCollectionResponse';
export * from './termsAndConditions';
export * from './todo';
export * from './deviceManagementExchangeConnector';
export * from './tokenIssuancePolicyCollectionResponse';
export * from './provisioningObjectSummary';
export * from './sharingDetail';
export * from './implicitGrantSettings';
export * from './educationUser';
export * from './printServiceEndpoint';
export * from './provisionedPlan';
export * from './locationConstraint';
export * from './audioConferencing';
export * from './apiApplication';
export * from './rbacApplication';
export * from './recentNotebook';
export * from './onenote';
export * from './conditionalAccessGrantControls';
export * from './appRoleAssignmentCollectionResponse';
export * from './mobileAppCategoryCollectionResponse';
export * from './chatMessageReaction';
export * from './fido2AuthenticationMethodCollectionResponse';
export * from './singleValueLegacyExtendedProperty';
export * from './unifiedRoleAssignmentScheduleRequest';
export * from './schemaExtensionCollectionResponse';
export * from './domainState';
export * from './deviceExchangeAccessStateSummary';
export * from './commsOperationCollectionResponse';
export * from './termsOfUseContainer';
export * from './shiftAvailability';
export * from './vulnerabilityState';
export * from './bookingCustomerBase';
export * from './subjectSet';
export * from './deviceCompliancePolicy';
export * from './conditionalAccessApplications';
export * from './extensionProperty';
export * from './directoryRole';
export * from './copyNotebookModel';
export * from './resourceSpecificPermissionGrant';
export * from './chatCollectionResponse';
export * from './serviceAnnouncementAttachment';
export * from './subjectRightsRequestCollectionResponse';
export * from './participant';
export * from './mobileAppContentFile';
export * from './uploadSession';
export * from './teamworkUserIdentity';
export * from './updateRecordingStatusOperation';
export * from './directory';
export * from './workbookChartGridlines';
export * from './accessPackageApprovalStage';
export * from './deviceCompliancePolicySettingStateSummary';
export * from './userAttributeValuesItem';
export * from './workbookFilter';
export * from './optionalClaims';
export * from './serviceUpdateMessageViewpoint';
export * from './resourceOperation';
export * from './unifiedRoleEligibilityScheduleRequest';
export * from './deviceManagementTroubleshootingEventCollectionResponse';
export * from './importedWindowsAutopilotDeviceIdentity';
export * from './event';
export * from './authoredNoteCollectionResponse';
export * from './userSecurityState';
export * from './deviceComplianceUserStatusCollectionResponse';
export * from './accessReviewHistoryInstanceCollectionResponse';
export * from './persistentBrowserSessionControl';
export * from './user';
export * from './mediaConfig';
export * from './internetMessageHeader';
export * from './unifiedRolePermission';
export * from './onenoteOperationCollectionResponse';
export * from './managedEBookCollectionResponse';
export * from './appConsentRequest';
export * from './mobileAppCategory';
export * from './bookingSchedulingPolicy';
export * from './appRole';
export * from './dataPolicyOperationCollectionResponse';
export * from './activityBasedTimeoutPolicy';
export * from './timeOffItem';
export * from './bundle';
export * from './timeOffRequestCollectionResponse';
export * from './onenoteOperation';
export * from './booleanColumn';
export * from './certificationControl';
export * from './appConsentApprovalRoute';
export * from './windowsInformationProtectionPolicyCollectionResponse';
export * from './serviceUpdateMessage';
export * from './deviceCompliancePolicySettingStateSummaryCollectionResponse';
export * from './workbookFunctions';
export * from './rgbColor';
export * from './verifiedDomain';
export * from './teamworkActivityTopic';
export * from './serviceHealthIssueCollectionResponse';
export * from './cloudAppSecuritySessionControl';
export * from './educationSubmission';
export * from './aggregationOption';
export * from './workbookChartFill';
export * from './printSettings';
export * from './itemActivityStat';
export * from './searchRequest';
export * from './fileHash';
export * from './teamFunSettings';
export * from './windowsInformationProtectionAppLearningSummaryCollectionResponse';
export * from './bucketAggregationRange';
export * from './localeInfo';
export * from './educationOnPremisesInfo';
export * from './resourceSpecificPermissionGrantCollectionResponse';
export * from './calendar';
export * from './thumbnailSetCollectionResponse';
export * from './parentalControlSettings';
export * from './sectionGroupCollectionResponse';
export * from './managedMobileApp';
export * from './subscribedSkuCollectionResponse';
export * from './windowsInformationProtectionDataRecoveryCertificate';
export * from './deviceDetail';
export * from './deviceHealthAttestationState';
export * from './integerRange';
export * from './call';
export * from './securityResource';
export * from './recentNotebookLinks';
export * from './listCollectionResponse';
export * from './managedDeviceMobileAppConfigurationUserStatusCollectionResponse';
export * from './workbookApplication';
export * from './meetingAttendanceReport';
export * from './accessAction';
export * from './accessPackageSubject';
export * from './resourceAction';
export * from './teamsAppCollectionResponse';
export * from './documentSetContent';
export * from './activityBasedTimeoutPolicyCollectionResponse';
export * from './teamworkOnlineMeetingInfo';
export * from './authenticationFlowsPolicy';
export * from './deviceActionResult';
export * from './identityProvider';
export * from './workbookChartLegendFormat';
export * from './assignedLicense';
export * from './deviceConfigurationDeviceStatus';
export * from './teamworkConversationIdentity';
export * from './todoTask';
export * from './siteCollection';
export * from './identitySecurityDefaultsEnforcementPolicy';
export * from './provisioningSystem';
export * from './workbookComment';
export * from './managedDeviceCollectionResponse';
export * from './printOperationStatus';
export * from './notebook';
export * from './onenotePage';
export * from './reminder';
export * from './signInStatus';
export * from './managedDeviceOverview';
export * from './planner';
export * from './plannerBucketCollectionResponse';
export * from './deviceCompliancePolicyDeviceStateSummary';
export * from './bookingQuestionAssignment';
export * from './permissionScope';
export * from './listItemVersion';
export * from './accessPackageAssignmentRequestCollectionResponse';
export * from './plannerAssignedToTaskBoardTaskFormat';
export * from './deviceConfigurationStateCollectionResponse';
export * from './unifiedRoleDefinition';
export * from './connectedOrganization';
export * from './authorizationPolicy';
export * from './audioRoutingGroup';
export * from './permissionGrantConditionSet';
export * from './calendarCollectionResponse';
export * from './accessReviewReviewerCollectionResponse';
export * from './accessPackageAssignmentApprovalSettings';
export * from './personCollectionResponse';
export * from './microsoftAuthenticatorAuthenticationMethod';
export * from './unifiedRoleDefinitionCollectionResponse';
export * from './operationError';
export * from './identityProtectionRoot';
export * from './timeOff';
export * from './convertIdResult';
export * from './conditionalAccessRoot';
export * from './agreementAcceptanceCollectionResponse';
export * from './deviceComplianceSettingState';
export * from './administrativeUnit';
export * from './domainDnsRecord';
export * from './teamworkNotificationRecipient';
export * from './image';
export * from './userFlowLanguagePageCollectionResponse';
export * from './modifiedProperty';
export * from './printJob';
export * from './deviceConfigurationUserStatusCollectionResponse';
export * from './subscription';
export * from './selfSignedCertificate';
export * from './authenticationMethodsPolicy';
export * from './todoTaskCollectionResponse';
export * from './authenticationMethodConfiguration';
export * from './deviceComplianceActionItem';
export * from './agreementFileVersionCollectionResponse';
export * from './unifiedRoleEligibilitySchedule';
export * from './assignmentOrder';
export * from './itemReference';
export * from './agreementFileLocalization';
export * from './workbookOperationError';
export * from './targetResource';
export * from './conversationCollectionResponse';
export * from './printerCollectionResponse';
export * from './plannerUserIds';
export * from './resourceReference';
export * from './privacy';
export * from './adminConsentRequestPolicy';
export * from './scopedRoleMembership';
export * from './entitlementManagementSchedule';
export * from './driveItemCollectionResponse';
export * from './workbookChartSeriesFormat';
export * from './authenticationMethodCollectionResponse';
export * from './optionalClaim';
export * from './automaticRepliesSetting';
export * from './mailboxSettings';
export * from './intuneBrand';
export * from './contentApprovalStatusColumn';
export * from './sharepointIds';
export * from './teamsAppDefinition';
export * from './unifiedRoleEligibilityScheduleInstanceCollectionResponse';
export * from './complianceManagementPartnerCollectionResponse';
export * from './deviceConfigurationDeviceStatusCollectionResponse';
export * from './softwareUpdateStatusSummary';
export * from './choiceColumn';
export * from './columnDefinitionCollectionResponse';
export * from './managedEBookAssignmentCollectionResponse';
export * from './provisionChannelEmailResult';
export * from './defaultManagedAppProtection';
export * from './usageDetails';
export * from './subscribedSku';
export * from './muteParticipantOperation';
export * from './privacyProfile';
export * from './storagePlanInformation';
export * from './package';
export * from './agreementAcceptance';
export * from './timeOffCollectionResponse';
export * from './registryKeyState';
export * from './plannerOrderHintsByAssignee';
export * from './managedAppStatusCollectionResponse';
export * from './directoryObjectCollectionResponse';
export * from './bookingCustomerInformationBase';
export * from './automaticRepliesMailTips';
export * from './passwordProfile';
export * from './video';
export * from './accessPackageCatalog';
export * from './unifiedRoleManagementPolicyAssignment';
export * from './termsAndConditionsAssignmentCollectionResponse';
export * from './printUsageByPrinterCollectionResponse';
export * from './enrollmentConfigurationAssignmentCollectionResponse';
export * from './groupLifecyclePolicy';
export * from './applicationEnforcedRestrictionsSessionControl';
export * from './channelIdentity';
export * from './plannerAppliedCategories';
export * from './iosManagedAppProtection';
export * from './averageComparativeScore';
export * from './tokenLifetimePolicy';
export * from './alternativeSecurityId';
export * from './windowsInformationProtectionPolicy';
export * from './educationRubric';
export * from './auditLogRoot';
export * from './plannerTaskCollectionResponse';
export * from './certificateAuthority';
export * from './placeCollectionResponse';
export * from './contentType';
export * from './investigationSecurityState';
export * from './plannerBucket';
export * from './bookingReminder';
export * from './threatAssessmentResultCollectionResponse';
export * from './openShiftChangeRequest';
export * from './deviceEnrollmentConfiguration';
export * from './workbookChartTitle';
export * from './root';
export * from './contentTypeOrder';
export * from './timeZoneBase';
export * from './managedMobileAppCollectionResponse';
export * from './bookingCurrencyCollectionResponse';
export * from './deleted';
export * from './educationSubmissionResourceCollectionResponse';
export * from './profilePhotoCollectionResponse';
export * from './publicError';
export * from './managedEBook';
export * from './timeConstraint';
export * from './webApplication';
export * from './contentTypeCollectionResponse';
export * from './onenotePagePreviewLinks';
export * from './appCatalogs';
export * from './bookingStaffMemberBase';
export * from './locationConstraintItem';
export * from './compliance';
export * from './chatMessageMention';
export * from './listItemVersionCollectionResponse';
export * from './managedDeviceMobileAppConfigurationCollectionResponse';
export * from './onPremisesExtensionAttributes';
export * from './plannerUser';
export * from './eBookInstallSummary';
export * from './messageRuleActions';
export * from './managedEBookAssignment';
export * from './excludeTarget';
export * from './plannerGroup';
export * from './workbookFilterCriteria';
export * from './printUsageByPrinter';
export * from './servicePrincipal';
export * from './identityProviderBaseCollectionResponse';
export * from './directoryAudit';
export * from './windowsAutopilotDeviceIdentityCollectionResponse';
export * from './windowsHelloForBusinessAuthenticationMethod';
export * from './reportRoot';
export * from './accessReviewReviewerScope';
export * from './groupSettingCollectionResponse';
export * from './plannerExternalReferences';
export * from './telecomExpenseManagementPartnerCollectionResponse';
export * from './directoryRoleCollectionResponse';
export * from './conditionalAccessDevices';
export * from './bookingBusinessCollectionResponse';
export * from './namedLocationCollectionResponse';
export * from './accessPackageAssignmentReviewSettings';
export * from './serviceAnnouncementAttachmentCollectionResponse';
export * from './audio';
export * from './trending';
export * from './deviceManagementExportJob';
export * from './folderView';
export * from './localizedNotificationMessageCollectionResponse';
export * from './windowsInformationProtectionApp';
export * from './outlookCategoryCollectionResponse';
export * from './provisionedIdentity';
export * from './domainCollectionResponse';
export * from './printerDefaults';
export * from './meetingInfo';
export * from './organizationCollectionResponse';
export * from './informationProtection';
export * from './chatInfo';
export * from './process';
export * from './workbook';
export * from './identityContainer';
export * from './channel';
export * from './chatMessageHostedContentCollectionResponse';
export * from './scoredEmailAddress';
export * from './resultTemplateDictionary';
export * from './deviceConfigurationAssignmentCollectionResponse';
export * from './bookingCustomQuestionCollectionResponse';
export * from './educationClass';
export * from './bookingAppointmentCollectionResponse';
export * from './identityApiConnectorCollectionResponse';
export * from './teamworkBot';
export * from './columnDefinition';
export * from './timeOffRequest';
export * from './attendee';
export * from './plannerPlan';
export * from './deviceOperatingSystemSummary';
export * from './deviceConfigurationCollectionResponse';
export * from './organizationalBranding';
export * from './educationRubricCollectionResponse';
export * from './deviceCategoryCollectionResponse';
export * from './keyValuePair';
export * from './printTaskTriggerCollectionResponse';
export * from './entitlementManagementSettings';
export * from './mdmWindowsInformationProtectionPolicy';
export * from './attachment';
export * from './printJobConfiguration';
export * from './cloudAppSecurityState';
export * from './notebookCollectionResponse';
export * from './bookingCustomQuestion';
export * from './agreementFileLocalizationCollectionResponse';
export * from './plannerProgressTaskBoardTaskFormat';
export * from './educationAssignmentGradeType';
export * from './agreement';
export * from './targetedManagedAppPolicyAssignmentCollectionResponse';
export * from './itemAnalytics';
export * from './plannerPlanDetails';
export * from './delegatedPermissionClassification';
export * from './provisioningErrorInfo';
export * from './accessReviewHistoryDefinition';
export * from './deviceConfigurationDeviceOverview';
export * from './managedAppRegistrationCollectionResponse';
export * from './workbookChartLineFormat';
export * from './driveItemVersionCollectionResponse';
export * from './startHoldMusicOperation';
export * from './responseStatus';
export * from './accessReviewScheduleSettings';
export * from './assignedPlan';
export * from './signInLocation';
export * from './openShiftItem';
export * from './mobileThreatDefenseConnectorCollectionResponse';
export * from './educationCourse';
export * from './calculatedColumn';
export * from './accessPackageAssignmentRequestorSettings';
export * from './signInCollectionResponse';
export * from './unifiedRoleAssignmentScheduleInstance';
export * from './printMargin';
export * from './columnLink';
export * from './userFlowApiConnectorConfiguration';
export * from './vppToken';
export * from './deviceAndAppManagementAssignmentTarget';
export * from './accessReviewInstanceDecisionItemCollectionResponse';
export * from './timeOffReasonCollectionResponse';
export * from './printConnector';
export * from './resultInfo';
export * from './educationRoot';
export * from './searchEntity';
export * from './organization';
export * from './invitation';
export * from './spaApplication';
export * from './plannerPlanContainer';
export * from './report';
export * from './sharedDriveItemCollectionResponse';
export * from './windowsInformationProtectionResourceCollection';
export * from './registrationEnforcement';
export * from './deviceComplianceUserStatus';
export * from './fido2AuthenticationMethod';
export * from './deviceManagementExchangeConnectorCollectionResponse';
export * from './mailTipsError';
export * from './termsAndConditionsAcceptanceStatusCollectionResponse';
export * from './attachmentItem';
export * from './appliedConditionalAccessPolicy';
export * from './threatAssessmentRequest';
export * from './uriClickSecurityState';
export * from './conversationThreadCollectionResponse';
export * from './patternedRecurrence';
export * from './accessReviewInstanceDecisionItemResource';
export * from './windowsDeviceAccount';
export * from './educationAssignmentSettings';
export * from './scheduleInformation';
export * from './todoTaskList';
export * from './claimsMappingPolicy';
export * from './mobileAppAssignmentCollectionResponse';
export * from './teamsAsyncOperation';
export * from './applicationCollectionResponse';
export * from './teleconferenceDeviceMediaQuality';
export * from './iosUpdateDeviceStatus';
export * from './rolePermission';
export * from './itemPreviewInfo';
export * from './cancelMediaProcessingOperation';
export * from './settingValue';
export * from './accessPackage';
export * from './mimeContent';
export * from './appConsentRequestCollectionResponse';
export * from './roleManagement';
export * from './educationAssignment';
export * from './delegatedPermissionClassificationCollectionResponse';
export * from './workforceIntegration';
export * from './userFlowLanguageConfiguration';
export * from './managedDeviceMobileAppConfigurationDeviceStatus';
export * from './photo';
export * from './documentSet';
export * from './secureScoreControlProfileCollectionResponse';
export * from './keyValue';
export * from './educationAssignmentResourceCollectionResponse';
export * from './messageSecurityState';
export * from './deviceManagement';
export * from './applicationTemplateCollectionResponse';
export * from './appScope';
export * from './deviceCompliancePolicyState';
export * from './deviceCompliancePolicyAssignment';
export * from './identityUserFlowAttribute';
export * from './windowsHelloForBusinessAuthenticationMethodCollectionResponse';
export * from './geolocationColumn';
export * from './detectedApp';
export * from './preAuthorizedApplication';
export * from './tokenLifetimePolicyCollectionResponse';
export * from './contract';
export * from './conversation';
export * from './extensionCollectionResponse';
export * from './workbookWorksheetProtectionOptions';
export * from './accessReviewNotificationRecipientScope';
export * from './workbookChartAxisFormat';
export * from './provisioningObjectSummaryCollectionResponse';
export * from './accessPackageCatalogCollectionResponse';
export * from './directoryRoleTemplate';
export * from './restrictedSignInCollectionResponse';
export * from './teamsTabCollectionResponse';
export * from './subscribeToToneOperation';
export * from './alteredQueryToken';
export * from './deviceComplianceDeviceOverview';
export * from './workbookChartAreaFormat';
export * from './plannerCategoryDescriptions';
export * from './checklistItemCollectionResponse';
export * from './authenticationMethodsRegistrationCampaign';
export * from './fieldValueSet';
export * from './userScopeTeamsAppInstallationCollectionResponse';
export * from './windowsInformationProtectionIPRangeCollection';
export * from './fileSystemInfo';
export * from './workbookChartAxisTitleFormat';
export * from './complianceInformation';
export * from './mobileAppAssignmentSettings';
export * from './teleconferenceDeviceQuality';
export * from './alertCollectionResponse';
export * from './callCollectionResponse';
export * from './imageInfo';
export * from './file';
export * from './fileSecurityState';
export * from './channelCollectionResponse';
export * from './timeZoneInformation';
export * from './printServiceCollectionResponse';
export * from './accessReviewApplyAction';
export * from './iosUpdateDeviceStatusCollectionResponse';
export * from './windowsInformationProtectionNetworkLearningSummaryCollectionResponse';
export * from './accessPackageAssignmentPolicy';
export * from './mailFolder';
export * from './bitlockerRecoveryKeyCollectionResponse';
export * from './toneInfo';
export * from './pageLinks';
export * from './targetedManagedAppConfigurationCollectionResponse';
export * from './workbookChartPoint';
export * from './groupSetting';
export * from './album';
export * from './selfServiceSignUpAuthenticationFlowConfiguration';
export * from './conditionalAccessPlatforms';
export * from './windowsInformationProtectionAppLearningSummary';
export * from './approvalStageCollectionResponse';
export * from './alertHistoryState';
export * from './deviceComplianceUserOverview';
export * from './unifiedRoleEligibilityScheduleRequestCollectionResponse';
export * from './searchAlteration';
export * from './openShiftCollectionResponse';
export * from './unifiedRoleAssignmentScheduleCollectionResponse';
export * from './educationAssignmentResource';
export * from './unifiedRoleManagementPolicyRule';
export * from './postCollectionResponse';
export * from './accessReviewHistoryScheduleSettings';
export * from './threatAssessmentRequestCollectionResponse';
export * from './playPromptOperation';
export * from './permissionCollectionResponse';
export * from './checklistItem';
export * from './identityApiConnector';
export * from './workbookTable';
export * from './detailsInfo';
export * from './accessReviewNotificationRecipientItem';
export * from './group';
export * from './directoryAuditCollectionResponse';
export * from './agreementFileVersion';
export * from './printTaskDefinition';
export * from './accessReviewScheduleDefinition';
export * from './tokenIssuancePolicy';
export * from './conversationThread';
export * from './bookingService';
export * from './userTeamwork';
export * from './chatMessageReactionIdentitySet';
export * from './vppTokenCollectionResponse';
export * from './groupCollectionResponse';
export * from './printDocument';
export * from './linkedResourceCollectionResponse';
export * from './deviceComplianceScheduledActionForRule';
export * from './rubricCriterion';
export * from './teamsAsyncOperationCollectionResponse';
export * from './invitationCollectionResponse';
export * from './windowsAutopilotDeviceIdentity';
export * from './subscriptionCollectionResponse';
export * from './objectIdentity';
