"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocationConstraintItem = void 0;
const index_1 = require("./index");
/** Provides operations to call the findMeetingTimes method. */
class LocationConstraintItem extends index_1.Location {
    /**
     * Instantiates a new locationConstraintItem and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "resolveAvailability": n => { this.resolveAvailability = n.getBooleanValue(); } });
    }
    ;
    /**
     * Gets the resolveAvailability property value. If set to true and the specified resource is busy, findMeetingTimes looks for another resource that is free. If set to false and the specified resource is busy, findMeetingTimes returns the resource best ranked in the user's cache without checking if it's free. Default is true.
     * @returns a boolean
     */
    get resolveAvailability() {
        return this._resolveAvailability;
    }
    ;
    /**
     * Sets the resolveAvailability property value. If set to true and the specified resource is busy, findMeetingTimes looks for another resource that is free. If set to false and the specified resource is busy, findMeetingTimes returns the resource best ranked in the user's cache without checking if it's free. Default is true.
     * @param value Value to set for the resolveAvailability property.
     */
    set resolveAvailability(value) {
        this._resolveAvailability = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeBooleanValue("resolveAvailability", this.resolveAvailability);
    }
    ;
}
exports.LocationConstraintItem = LocationConstraintItem;
