"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LongRunningOperation = void 0;
const index_1 = require("./index");
const longRunningOperationStatus_1 = require("./longRunningOperationStatus");
/** Casts the previous resource to user. */
class LongRunningOperation extends index_1.Entity {
    /**
     * Instantiates a new longRunningOperation and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the createdDateTime property value. The createdDateTime property
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. The createdDateTime property
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "lastActionDateTime": n => { this.lastActionDateTime = n.getDateValue(); }, "resourceLocation": n => { this.resourceLocation = n.getStringValue(); }, "status": n => { this.status = n.getEnumValue(longRunningOperationStatus_1.LongRunningOperationStatus); }, "statusDetail": n => { this.statusDetail = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the lastActionDateTime property value. The lastActionDateTime property
     * @returns a Date
     */
    get lastActionDateTime() {
        return this._lastActionDateTime;
    }
    ;
    /**
     * Sets the lastActionDateTime property value. The lastActionDateTime property
     * @param value Value to set for the lastActionDateTime property.
     */
    set lastActionDateTime(value) {
        this._lastActionDateTime = value;
    }
    ;
    /**
     * Gets the resourceLocation property value. The resourceLocation property
     * @returns a string
     */
    get resourceLocation() {
        return this._resourceLocation;
    }
    ;
    /**
     * Sets the resourceLocation property value. The resourceLocation property
     * @param value Value to set for the resourceLocation property.
     */
    set resourceLocation(value) {
        this._resourceLocation = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeDateValue("lastActionDateTime", this.lastActionDateTime);
        writer.writeStringValue("resourceLocation", this.resourceLocation);
        writer.writeEnumValue("status", this.status);
        writer.writeStringValue("statusDetail", this.statusDetail);
    }
    ;
    /**
     * Gets the status property value. The status property
     * @returns a longRunningOperationStatus
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. The status property
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
    /**
     * Gets the statusDetail property value. The statusDetail property
     * @returns a string
     */
    get statusDetail() {
        return this._statusDetail;
    }
    ;
    /**
     * Sets the statusDetail property value. The statusDetail property
     * @param value Value to set for the statusDetail property.
     */
    set statusDetail(value) {
        this._statusDetail = value;
    }
    ;
}
exports.LongRunningOperation = LongRunningOperation;
