"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MobileAppPublishingState = void 0;
/** Provides operations to manage the deviceAppManagement singleton. */
var MobileAppPublishingState;
(function (MobileAppPublishingState) {
    /** The app is not yet published. */
    MobileAppPublishingState["NotPublished"] = "notPublished";
    /** The app is pending service-side processing. */
    MobileAppPublishingState["Processing"] = "processing";
    /** The app is published. */
    MobileAppPublishingState["Published"] = "published";
})(MobileAppPublishingState = exports.MobileAppPublishingState || (exports.MobileAppPublishingState = {}));
