"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MultiValueLegacyExtendedProperty = void 0;
const index_1 = require("./index");
/** Casts the previous resource to user. */
class MultiValueLegacyExtendedProperty extends index_1.Entity {
    /**
     * Instantiates a new multiValueLegacyExtendedProperty and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "value": n => { this.value = n.getCollectionOfPrimitiveValues(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfPrimitiveValues("value", this.value);
    }
    ;
    /**
     * Gets the value property value. A collection of property values.
     * @returns a string
     */
    get value() {
        return this._value;
    }
    ;
    /**
     * Sets the value property value. A collection of property values.
     * @param value Value to set for the value property.
     */
    set value(value) {
        this._value = value;
    }
    ;
}
exports.MultiValueLegacyExtendedProperty = MultiValueLegacyExtendedProperty;
