import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class OnPremisesExtensionAttributes implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** First customizable extension attribute. */
    private _extensionAttribute1?;
    /** Tenth customizable extension attribute. */
    private _extensionAttribute10?;
    /** Eleventh customizable extension attribute. */
    private _extensionAttribute11?;
    /** Twelfth customizable extension attribute. */
    private _extensionAttribute12?;
    /** Thirteenth customizable extension attribute. */
    private _extensionAttribute13?;
    /** Fourteenth customizable extension attribute. */
    private _extensionAttribute14?;
    /** Fifteenth customizable extension attribute. */
    private _extensionAttribute15?;
    /** Second customizable extension attribute. */
    private _extensionAttribute2?;
    /** Third customizable extension attribute. */
    private _extensionAttribute3?;
    /** Fourth customizable extension attribute. */
    private _extensionAttribute4?;
    /** Fifth customizable extension attribute. */
    private _extensionAttribute5?;
    /** Sixth customizable extension attribute. */
    private _extensionAttribute6?;
    /** Seventh customizable extension attribute. */
    private _extensionAttribute7?;
    /** Eighth customizable extension attribute. */
    private _extensionAttribute8?;
    /** Ninth customizable extension attribute. */
    private _extensionAttribute9?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new onPremisesExtensionAttributes and sets the default values.
     */
    constructor();
    /**
     * Gets the extensionAttribute1 property value. First customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute1(): string | undefined;
    /**
     * Sets the extensionAttribute1 property value. First customizable extension attribute.
     * @param value Value to set for the extensionAttribute1 property.
     */
    set extensionAttribute1(value: string | undefined);
    /**
     * Gets the extensionAttribute10 property value. Tenth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute10(): string | undefined;
    /**
     * Sets the extensionAttribute10 property value. Tenth customizable extension attribute.
     * @param value Value to set for the extensionAttribute10 property.
     */
    set extensionAttribute10(value: string | undefined);
    /**
     * Gets the extensionAttribute11 property value. Eleventh customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute11(): string | undefined;
    /**
     * Sets the extensionAttribute11 property value. Eleventh customizable extension attribute.
     * @param value Value to set for the extensionAttribute11 property.
     */
    set extensionAttribute11(value: string | undefined);
    /**
     * Gets the extensionAttribute12 property value. Twelfth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute12(): string | undefined;
    /**
     * Sets the extensionAttribute12 property value. Twelfth customizable extension attribute.
     * @param value Value to set for the extensionAttribute12 property.
     */
    set extensionAttribute12(value: string | undefined);
    /**
     * Gets the extensionAttribute13 property value. Thirteenth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute13(): string | undefined;
    /**
     * Sets the extensionAttribute13 property value. Thirteenth customizable extension attribute.
     * @param value Value to set for the extensionAttribute13 property.
     */
    set extensionAttribute13(value: string | undefined);
    /**
     * Gets the extensionAttribute14 property value. Fourteenth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute14(): string | undefined;
    /**
     * Sets the extensionAttribute14 property value. Fourteenth customizable extension attribute.
     * @param value Value to set for the extensionAttribute14 property.
     */
    set extensionAttribute14(value: string | undefined);
    /**
     * Gets the extensionAttribute15 property value. Fifteenth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute15(): string | undefined;
    /**
     * Sets the extensionAttribute15 property value. Fifteenth customizable extension attribute.
     * @param value Value to set for the extensionAttribute15 property.
     */
    set extensionAttribute15(value: string | undefined);
    /**
     * Gets the extensionAttribute2 property value. Second customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute2(): string | undefined;
    /**
     * Sets the extensionAttribute2 property value. Second customizable extension attribute.
     * @param value Value to set for the extensionAttribute2 property.
     */
    set extensionAttribute2(value: string | undefined);
    /**
     * Gets the extensionAttribute3 property value. Third customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute3(): string | undefined;
    /**
     * Sets the extensionAttribute3 property value. Third customizable extension attribute.
     * @param value Value to set for the extensionAttribute3 property.
     */
    set extensionAttribute3(value: string | undefined);
    /**
     * Gets the extensionAttribute4 property value. Fourth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute4(): string | undefined;
    /**
     * Sets the extensionAttribute4 property value. Fourth customizable extension attribute.
     * @param value Value to set for the extensionAttribute4 property.
     */
    set extensionAttribute4(value: string | undefined);
    /**
     * Gets the extensionAttribute5 property value. Fifth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute5(): string | undefined;
    /**
     * Sets the extensionAttribute5 property value. Fifth customizable extension attribute.
     * @param value Value to set for the extensionAttribute5 property.
     */
    set extensionAttribute5(value: string | undefined);
    /**
     * Gets the extensionAttribute6 property value. Sixth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute6(): string | undefined;
    /**
     * Sets the extensionAttribute6 property value. Sixth customizable extension attribute.
     * @param value Value to set for the extensionAttribute6 property.
     */
    set extensionAttribute6(value: string | undefined);
    /**
     * Gets the extensionAttribute7 property value. Seventh customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute7(): string | undefined;
    /**
     * Sets the extensionAttribute7 property value. Seventh customizable extension attribute.
     * @param value Value to set for the extensionAttribute7 property.
     */
    set extensionAttribute7(value: string | undefined);
    /**
     * Gets the extensionAttribute8 property value. Eighth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute8(): string | undefined;
    /**
     * Sets the extensionAttribute8 property value. Eighth customizable extension attribute.
     * @param value Value to set for the extensionAttribute8 property.
     */
    set extensionAttribute8(value: string | undefined);
    /**
     * Gets the extensionAttribute9 property value. Ninth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute9(): string | undefined;
    /**
     * Sets the extensionAttribute9 property value. Ninth customizable extension attribute.
     * @param value Value to set for the extensionAttribute9 property.
     */
    set extensionAttribute9(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
