"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnenoteEntityBaseModel = void 0;
const index_1 = require("./index");
/** Casts the previous resource to user. */
class OnenoteEntityBaseModel extends index_1.Entity {
    /**
     * Instantiates a new onenoteEntityBaseModel and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "self": n => { this.self = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the self property value. The endpoint where you can get details about the page. Read-only.
     * @returns a string
     */
    get self() {
        return this._self;
    }
    ;
    /**
     * Sets the self property value. The endpoint where you can get details about the page. Read-only.
     * @param value Value to set for the self property.
     */
    set self(value) {
        this._self = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("self", this.self);
    }
    ;
}
exports.OnenoteEntityBaseModel = OnenoteEntityBaseModel;
