"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpenShiftChangeRequest = void 0;
const index_1 = require("./index");
/** Casts the previous resource to user. */
class OpenShiftChangeRequest extends index_1.ScheduleChangeRequest {
    /**
     * Instantiates a new openShiftChangeRequest and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "openShiftId": n => { this.openShiftId = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the openShiftId property value. ID for the open shift.
     * @returns a string
     */
    get openShiftId() {
        return this._openShiftId;
    }
    ;
    /**
     * Sets the openShiftId property value. ID for the open shift.
     * @param value Value to set for the openShiftId property.
     */
    set openShiftId(value) {
        this._openShiftId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("openShiftId", this.openShiftId);
    }
    ;
}
exports.OpenShiftChangeRequest = OpenShiftChangeRequest;
