"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpenShiftItem = void 0;
const index_1 = require("./index");
/** Casts the previous resource to user. */
class OpenShiftItem extends index_1.ShiftItem {
    /**
     * Instantiates a new openShiftItem and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "openSlotCount": n => { this.openSlotCount = n.getNumberValue(); } });
    }
    ;
    /**
     * Gets the openSlotCount property value. Count of the number of slots for the given open shift.
     * @returns a integer
     */
    get openSlotCount() {
        return this._openSlotCount;
    }
    ;
    /**
     * Sets the openSlotCount property value. Count of the number of slots for the given open shift.
     * @param value Value to set for the openSlotCount property.
     */
    set openSlotCount(value) {
        this._openSlotCount = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeNumberValue("openSlotCount", this.openSlotCount);
    }
    ;
}
exports.OpenShiftItem = OpenShiftItem;
