import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class PlannerCategoryDescriptions implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The label associated with Category 1 */
    private _category1?;
    /** The label associated with Category 10 */
    private _category10?;
    /** The label associated with Category 11 */
    private _category11?;
    /** The label associated with Category 12 */
    private _category12?;
    /** The label associated with Category 13 */
    private _category13?;
    /** The label associated with Category 14 */
    private _category14?;
    /** The label associated with Category 15 */
    private _category15?;
    /** The label associated with Category 16 */
    private _category16?;
    /** The label associated with Category 17 */
    private _category17?;
    /** The label associated with Category 18 */
    private _category18?;
    /** The label associated with Category 19 */
    private _category19?;
    /** The label associated with Category 2 */
    private _category2?;
    /** The label associated with Category 20 */
    private _category20?;
    /** The label associated with Category 21 */
    private _category21?;
    /** The label associated with Category 22 */
    private _category22?;
    /** The label associated with Category 23 */
    private _category23?;
    /** The label associated with Category 24 */
    private _category24?;
    /** The label associated with Category 25 */
    private _category25?;
    /** The label associated with Category 3 */
    private _category3?;
    /** The label associated with Category 4 */
    private _category4?;
    /** The label associated with Category 5 */
    private _category5?;
    /** The label associated with Category 6 */
    private _category6?;
    /** The label associated with Category 7 */
    private _category7?;
    /** The label associated with Category 8 */
    private _category8?;
    /** The label associated with Category 9 */
    private _category9?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the category1 property value. The label associated with Category 1
     * @returns a string
     */
    get category1(): string | undefined;
    /**
     * Sets the category1 property value. The label associated with Category 1
     * @param value Value to set for the category1 property.
     */
    set category1(value: string | undefined);
    /**
     * Gets the category10 property value. The label associated with Category 10
     * @returns a string
     */
    get category10(): string | undefined;
    /**
     * Sets the category10 property value. The label associated with Category 10
     * @param value Value to set for the category10 property.
     */
    set category10(value: string | undefined);
    /**
     * Gets the category11 property value. The label associated with Category 11
     * @returns a string
     */
    get category11(): string | undefined;
    /**
     * Sets the category11 property value. The label associated with Category 11
     * @param value Value to set for the category11 property.
     */
    set category11(value: string | undefined);
    /**
     * Gets the category12 property value. The label associated with Category 12
     * @returns a string
     */
    get category12(): string | undefined;
    /**
     * Sets the category12 property value. The label associated with Category 12
     * @param value Value to set for the category12 property.
     */
    set category12(value: string | undefined);
    /**
     * Gets the category13 property value. The label associated with Category 13
     * @returns a string
     */
    get category13(): string | undefined;
    /**
     * Sets the category13 property value. The label associated with Category 13
     * @param value Value to set for the category13 property.
     */
    set category13(value: string | undefined);
    /**
     * Gets the category14 property value. The label associated with Category 14
     * @returns a string
     */
    get category14(): string | undefined;
    /**
     * Sets the category14 property value. The label associated with Category 14
     * @param value Value to set for the category14 property.
     */
    set category14(value: string | undefined);
    /**
     * Gets the category15 property value. The label associated with Category 15
     * @returns a string
     */
    get category15(): string | undefined;
    /**
     * Sets the category15 property value. The label associated with Category 15
     * @param value Value to set for the category15 property.
     */
    set category15(value: string | undefined);
    /**
     * Gets the category16 property value. The label associated with Category 16
     * @returns a string
     */
    get category16(): string | undefined;
    /**
     * Sets the category16 property value. The label associated with Category 16
     * @param value Value to set for the category16 property.
     */
    set category16(value: string | undefined);
    /**
     * Gets the category17 property value. The label associated with Category 17
     * @returns a string
     */
    get category17(): string | undefined;
    /**
     * Sets the category17 property value. The label associated with Category 17
     * @param value Value to set for the category17 property.
     */
    set category17(value: string | undefined);
    /**
     * Gets the category18 property value. The label associated with Category 18
     * @returns a string
     */
    get category18(): string | undefined;
    /**
     * Sets the category18 property value. The label associated with Category 18
     * @param value Value to set for the category18 property.
     */
    set category18(value: string | undefined);
    /**
     * Gets the category19 property value. The label associated with Category 19
     * @returns a string
     */
    get category19(): string | undefined;
    /**
     * Sets the category19 property value. The label associated with Category 19
     * @param value Value to set for the category19 property.
     */
    set category19(value: string | undefined);
    /**
     * Gets the category2 property value. The label associated with Category 2
     * @returns a string
     */
    get category2(): string | undefined;
    /**
     * Sets the category2 property value. The label associated with Category 2
     * @param value Value to set for the category2 property.
     */
    set category2(value: string | undefined);
    /**
     * Gets the category20 property value. The label associated with Category 20
     * @returns a string
     */
    get category20(): string | undefined;
    /**
     * Sets the category20 property value. The label associated with Category 20
     * @param value Value to set for the category20 property.
     */
    set category20(value: string | undefined);
    /**
     * Gets the category21 property value. The label associated with Category 21
     * @returns a string
     */
    get category21(): string | undefined;
    /**
     * Sets the category21 property value. The label associated with Category 21
     * @param value Value to set for the category21 property.
     */
    set category21(value: string | undefined);
    /**
     * Gets the category22 property value. The label associated with Category 22
     * @returns a string
     */
    get category22(): string | undefined;
    /**
     * Sets the category22 property value. The label associated with Category 22
     * @param value Value to set for the category22 property.
     */
    set category22(value: string | undefined);
    /**
     * Gets the category23 property value. The label associated with Category 23
     * @returns a string
     */
    get category23(): string | undefined;
    /**
     * Sets the category23 property value. The label associated with Category 23
     * @param value Value to set for the category23 property.
     */
    set category23(value: string | undefined);
    /**
     * Gets the category24 property value. The label associated with Category 24
     * @returns a string
     */
    get category24(): string | undefined;
    /**
     * Sets the category24 property value. The label associated with Category 24
     * @param value Value to set for the category24 property.
     */
    set category24(value: string | undefined);
    /**
     * Gets the category25 property value. The label associated with Category 25
     * @returns a string
     */
    get category25(): string | undefined;
    /**
     * Sets the category25 property value. The label associated with Category 25
     * @param value Value to set for the category25 property.
     */
    set category25(value: string | undefined);
    /**
     * Gets the category3 property value. The label associated with Category 3
     * @returns a string
     */
    get category3(): string | undefined;
    /**
     * Sets the category3 property value. The label associated with Category 3
     * @param value Value to set for the category3 property.
     */
    set category3(value: string | undefined);
    /**
     * Gets the category4 property value. The label associated with Category 4
     * @returns a string
     */
    get category4(): string | undefined;
    /**
     * Sets the category4 property value. The label associated with Category 4
     * @param value Value to set for the category4 property.
     */
    set category4(value: string | undefined);
    /**
     * Gets the category5 property value. The label associated with Category 5
     * @returns a string
     */
    get category5(): string | undefined;
    /**
     * Sets the category5 property value. The label associated with Category 5
     * @param value Value to set for the category5 property.
     */
    set category5(value: string | undefined);
    /**
     * Gets the category6 property value. The label associated with Category 6
     * @returns a string
     */
    get category6(): string | undefined;
    /**
     * Sets the category6 property value. The label associated with Category 6
     * @param value Value to set for the category6 property.
     */
    set category6(value: string | undefined);
    /**
     * Gets the category7 property value. The label associated with Category 7
     * @returns a string
     */
    get category7(): string | undefined;
    /**
     * Sets the category7 property value. The label associated with Category 7
     * @param value Value to set for the category7 property.
     */
    set category7(value: string | undefined);
    /**
     * Gets the category8 property value. The label associated with Category 8
     * @returns a string
     */
    get category8(): string | undefined;
    /**
     * Sets the category8 property value. The label associated with Category 8
     * @param value Value to set for the category8 property.
     */
    set category8(value: string | undefined);
    /**
     * Gets the category9 property value. The label associated with Category 9
     * @returns a string
     */
    get category9(): string | undefined;
    /**
     * Sets the category9 property value. The label associated with Category 9
     * @param value Value to set for the category9 property.
     */
    set category9(value: string | undefined);
    /**
     * Instantiates a new plannerCategoryDescriptions and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
