"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlannerGroup = void 0;
const createPlannerPlanFromDiscriminatorValue_1 = require("./createPlannerPlanFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class PlannerGroup extends index_1.Entity {
    /**
     * Instantiates a new plannerGroup and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "plans": n => { this.plans = n.getCollectionOfObjectValues(createPlannerPlanFromDiscriminatorValue_1.createPlannerPlanFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the plans property value. Read-only. Nullable. Returns the plannerPlans owned by the group.
     * @returns a plannerPlan
     */
    get plans() {
        return this._plans;
    }
    ;
    /**
     * Sets the plans property value. Read-only. Nullable. Returns the plannerPlans owned by the group.
     * @param value Value to set for the plans property.
     */
    set plans(value) {
        this._plans = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("plans", this.plans);
    }
    ;
}
exports.PlannerGroup = PlannerGroup;
