"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrintUsage = void 0;
const index_1 = require("./index");
/** Provides operations to manage the reportRoot singleton. */
class PrintUsage extends index_1.Entity {
    /**
     * Instantiates a new printUsage and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the completedBlackAndWhiteJobCount property value. The completedBlackAndWhiteJobCount property
     * @returns a int64
     */
    get completedBlackAndWhiteJobCount() {
        return this._completedBlackAndWhiteJobCount;
    }
    ;
    /**
     * Sets the completedBlackAndWhiteJobCount property value. The completedBlackAndWhiteJobCount property
     * @param value Value to set for the completedBlackAndWhiteJobCount property.
     */
    set completedBlackAndWhiteJobCount(value) {
        this._completedBlackAndWhiteJobCount = value;
    }
    ;
    /**
     * Gets the completedColorJobCount property value. The completedColorJobCount property
     * @returns a int64
     */
    get completedColorJobCount() {
        return this._completedColorJobCount;
    }
    ;
    /**
     * Sets the completedColorJobCount property value. The completedColorJobCount property
     * @param value Value to set for the completedColorJobCount property.
     */
    set completedColorJobCount(value) {
        this._completedColorJobCount = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "completedBlackAndWhiteJobCount": n => { this.completedBlackAndWhiteJobCount = n.getNumberValue(); }, "completedColorJobCount": n => { this.completedColorJobCount = n.getNumberValue(); }, "incompleteJobCount": n => { this.incompleteJobCount = n.getNumberValue(); }, "usageDate": n => { this.usageDate = n.getDateOnlyValue(); } });
    }
    ;
    /**
     * Gets the incompleteJobCount property value. The incompleteJobCount property
     * @returns a int64
     */
    get incompleteJobCount() {
        return this._incompleteJobCount;
    }
    ;
    /**
     * Sets the incompleteJobCount property value. The incompleteJobCount property
     * @param value Value to set for the incompleteJobCount property.
     */
    set incompleteJobCount(value) {
        this._incompleteJobCount = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeNumberValue("completedBlackAndWhiteJobCount", this.completedBlackAndWhiteJobCount);
        writer.writeNumberValue("completedColorJobCount", this.completedColorJobCount);
        writer.writeNumberValue("incompleteJobCount", this.incompleteJobCount);
        writer.writeDateOnlyValue("usageDate", this.usageDate);
    }
    ;
    /**
     * Gets the usageDate property value. The usageDate property
     * @returns a DateOnly
     */
    get usageDate() {
        return this._usageDate;
    }
    ;
    /**
     * Sets the usageDate property value. The usageDate property
     * @param value Value to set for the usageDate property.
     */
    set usageDate(value) {
        this._usageDate = value;
    }
    ;
}
exports.PrintUsage = PrintUsage;
