import { PrintUsage } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the reportRoot singleton. */
export declare class PrintUsageByPrinter extends PrintUsage implements Parsable {
    /** The printerId property */
    private _printerId?;
    /**
     * Instantiates a new printUsageByPrinter and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the printerId property value. The printerId property
     * @returns a string
     */
    get printerId(): string | undefined;
    /**
     * Sets the printerId property value. The printerId property
     * @param value Value to set for the printerId property.
     */
    set printerId(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
