"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServiceAnnouncementAttachment = void 0;
const index_1 = require("./index");
/** Provides operations to manage the admin singleton. */
class ServiceAnnouncementAttachment extends index_1.Entity {
    /**
     * Instantiates a new serviceAnnouncementAttachment and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the content property value. The attachment content.
     * @returns a binary
     */
    get content() {
        return this._content;
    }
    ;
    /**
     * Sets the content property value. The attachment content.
     * @param value Value to set for the content property.
     */
    set content(value) {
        this._content = value;
    }
    ;
    /**
     * Gets the contentType property value. The contentType property
     * @returns a string
     */
    get contentType() {
        return this._contentType;
    }
    ;
    /**
     * Sets the contentType property value. The contentType property
     * @param value Value to set for the contentType property.
     */
    set contentType(value) {
        this._contentType = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "content": n => { this.content = n.getStringValue(); }, "contentType": n => { this.contentType = n.getStringValue(); }, "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); }, "name": n => { this.name = n.getStringValue(); }, "size": n => { this.size = n.getNumberValue(); } });
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. The lastModifiedDateTime property
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. The lastModifiedDateTime property
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Gets the name property value. The name property
     * @returns a string
     */
    get name() {
        return this._name;
    }
    ;
    /**
     * Sets the name property value. The name property
     * @param value Value to set for the name property.
     */
    set name(value) {
        this._name = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("content", this.content);
        writer.writeStringValue("contentType", this.contentType);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
        writer.writeStringValue("name", this.name);
        writer.writeNumberValue("size", this.size);
    }
    ;
    /**
     * Gets the size property value. The size property
     * @returns a integer
     */
    get size() {
        return this._size;
    }
    ;
    /**
     * Sets the size property value. The size property
     * @param value Value to set for the size property.
     */
    set size(value) {
        this._size = value;
    }
    ;
}
exports.ServiceAnnouncementAttachment = ServiceAnnouncementAttachment;
