"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SingleValueLegacyExtendedProperty = void 0;
const index_1 = require("./index");
/** Casts the previous resource to user. */
class SingleValueLegacyExtendedProperty extends index_1.Entity {
    /**
     * Instantiates a new singleValueLegacyExtendedProperty and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "value": n => { this.value = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("value", this.value);
    }
    ;
    /**
     * Gets the value property value. A property value.
     * @returns a string
     */
    get value() {
        return this._value;
    }
    ;
    /**
     * Sets the value property value. A property value.
     * @param value Value to set for the value property.
     */
    set value(value) {
        this._value = value;
    }
    ;
}
exports.SingleValueLegacyExtendedProperty = SingleValueLegacyExtendedProperty;
