"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SwapShiftsChangeRequest = void 0;
const index_1 = require("./index");
/** Casts the previous resource to user. */
class SwapShiftsChangeRequest extends index_1.OfferShiftRequest {
    /**
     * Instantiates a new swapShiftsChangeRequest and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "recipientShiftId": n => { this.recipientShiftId = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the recipientShiftId property value. Shift ID for the recipient user with whom the request is to swap.
     * @returns a string
     */
    get recipientShiftId() {
        return this._recipientShiftId;
    }
    ;
    /**
     * Sets the recipientShiftId property value. Shift ID for the recipient user with whom the request is to swap.
     * @param value Value to set for the recipientShiftId property.
     */
    set recipientShiftId(value) {
        this._recipientShiftId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("recipientShiftId", this.recipientShiftId);
    }
    ;
}
exports.SwapShiftsChangeRequest = SwapShiftsChangeRequest;
