"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TargetedManagedAppGroupType = void 0;
/** Provides operations to call the targetApps method. */
var TargetedManagedAppGroupType;
(function (TargetedManagedAppGroupType) {
    /** Target the collection of apps manually selected by the admin. */
    TargetedManagedAppGroupType["SelectedPublicApps"] = "selectedPublicApps";
    /** Target the core set of Microsoft apps (Office, Edge, etc). */
    TargetedManagedAppGroupType["AllCoreMicrosoftApps"] = "allCoreMicrosoftApps";
    /** Target all apps with Microsoft as publisher. */
    TargetedManagedAppGroupType["AllMicrosoftApps"] = "allMicrosoftApps";
    /** Target all apps with an available assignment. */
    TargetedManagedAppGroupType["AllApps"] = "allApps";
})(TargetedManagedAppGroupType = exports.TargetedManagedAppGroupType || (exports.TargetedManagedAppGroupType = {}));
