"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Teamwork = void 0;
const createWorkforceIntegrationFromDiscriminatorValue_1 = require("./createWorkforceIntegrationFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the teamwork singleton. */
class Teamwork extends index_1.Entity {
    /**
     * Instantiates a new teamwork and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "workforceIntegrations": n => { this.workforceIntegrations = n.getCollectionOfObjectValues(createWorkforceIntegrationFromDiscriminatorValue_1.createWorkforceIntegrationFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("workforceIntegrations", this.workforceIntegrations);
    }
    ;
    /**
     * Gets the workforceIntegrations property value. A workforce integration with shifts.
     * @returns a workforceIntegration
     */
    get workforceIntegrations() {
        return this._workforceIntegrations;
    }
    ;
    /**
     * Sets the workforceIntegrations property value. A workforce integration with shifts.
     * @param value Value to set for the workforceIntegrations property.
     */
    set workforceIntegrations(value) {
        this._workforceIntegrations = value;
    }
    ;
}
exports.Teamwork = Teamwork;
