"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnifiedRoleManagementPolicyRule = void 0;
const createUnifiedRoleManagementPolicyRuleTargetFromDiscriminatorValue_1 = require("./createUnifiedRoleManagementPolicyRuleTargetFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the policyRoot singleton. */
class UnifiedRoleManagementPolicyRule extends index_1.Entity {
    /**
     * Instantiates a new unifiedRoleManagementPolicyRule and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "target": n => { this.target = n.getObjectValue(createUnifiedRoleManagementPolicyRuleTargetFromDiscriminatorValue_1.createUnifiedRoleManagementPolicyRuleTargetFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("target", this.target);
    }
    ;
    /**
     * Gets the target property value. The target for the policy rule.
     * @returns a unifiedRoleManagementPolicyRuleTarget
     */
    get target() {
        return this._target;
    }
    ;
    /**
     * Sets the target property value. The target for the policy rule.
     * @param value Value to set for the target property.
     */
    set target(value) {
        this._target = value;
    }
    ;
}
exports.UnifiedRoleManagementPolicyRule = UnifiedRoleManagementPolicyRule;
