"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserScopeTeamsAppInstallation = void 0;
const createChatFromDiscriminatorValue_1 = require("./createChatFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class UserScopeTeamsAppInstallation extends index_1.TeamsAppInstallation {
    /**
     * Instantiates a new userScopeTeamsAppInstallation and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the chat property value. The chat between the user and Teams app.
     * @returns a chat
     */
    get chat() {
        return this._chat;
    }
    ;
    /**
     * Sets the chat property value. The chat between the user and Teams app.
     * @param value Value to set for the chat property.
     */
    set chat(value) {
        this._chat = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "chat": n => { this.chat = n.getObjectValue(createChatFromDiscriminatorValue_1.createChatFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("chat", this.chat);
    }
    ;
}
exports.UserScopeTeamsAppInstallation = UserScopeTeamsAppInstallation;
