"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsInformationProtectionAppLearningSummary = void 0;
const applicationType_1 = require("./applicationType");
const index_1 = require("./index");
/** Windows Information Protection AppLearning Summary entity. */
class WindowsInformationProtectionAppLearningSummary extends index_1.Entity {
    /**
     * Instantiates a new windowsInformationProtectionAppLearningSummary and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the applicationName property value. Application Name
     * @returns a string
     */
    get applicationName() {
        return this._applicationName;
    }
    ;
    /**
     * Sets the applicationName property value. Application Name
     * @param value Value to set for the applicationName property.
     */
    set applicationName(value) {
        this._applicationName = value;
    }
    ;
    /**
     * Gets the applicationType property value. Application Type. Possible values are: universal, desktop.
     * @returns a applicationType
     */
    get applicationType() {
        return this._applicationType;
    }
    ;
    /**
     * Sets the applicationType property value. Application Type. Possible values are: universal, desktop.
     * @param value Value to set for the applicationType property.
     */
    set applicationType(value) {
        this._applicationType = value;
    }
    ;
    ;
    /**
     * Gets the deviceCount property value. Device Count
     * @returns a integer
     */
    get deviceCount() {
        return this._deviceCount;
    }
    ;
    /**
     * Sets the deviceCount property value. Device Count
     * @param value Value to set for the deviceCount property.
     */
    set deviceCount(value) {
        this._deviceCount = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "applicationName": n => { this.applicationName = n.getStringValue(); }, "applicationType": n => { this.applicationType = n.getEnumValue(applicationType_1.ApplicationType); }, "deviceCount": n => { this.deviceCount = n.getNumberValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("applicationName", this.applicationName);
        writer.writeEnumValue("applicationType", this.applicationType);
        writer.writeNumberValue("deviceCount", this.deviceCount);
    }
    ;
}
exports.WindowsInformationProtectionAppLearningSummary = WindowsInformationProtectionAppLearningSummary;
