"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsInformationProtectionAppLockerFile = void 0;
const index_1 = require("./index");
/** Windows Information Protection AppLocker File */
class WindowsInformationProtectionAppLockerFile extends index_1.Entity {
    /**
     * Instantiates a new windowsInformationProtectionAppLockerFile and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the displayName property value. The friendly name
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The friendly name
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the file property value. File as a byte array
     * @returns a binary
     */
    get file() {
        return this._file;
    }
    ;
    /**
     * Sets the file property value. File as a byte array
     * @param value Value to set for the file property.
     */
    set file(value) {
        this._file = value;
    }
    ;
    /**
     * Gets the fileHash property value. SHA256 hash of the file
     * @returns a string
     */
    get fileHash() {
        return this._fileHash;
    }
    ;
    /**
     * Sets the fileHash property value. SHA256 hash of the file
     * @param value Value to set for the fileHash property.
     */
    set fileHash(value) {
        this._fileHash = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "displayName": n => { this.displayName = n.getStringValue(); }, "file": n => { this.file = n.getStringValue(); }, "fileHash": n => { this.fileHash = n.getStringValue(); }, "version": n => { this.version = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeStringValue("file", this.file);
        writer.writeStringValue("fileHash", this.fileHash);
        writer.writeStringValue("version", this.version);
    }
    ;
    /**
     * Gets the version property value. Version of the entity.
     * @returns a string
     */
    get version() {
        return this._version;
    }
    ;
    /**
     * Sets the version property value. Version of the entity.
     * @param value Value to set for the version property.
     */
    set version(value) {
        this._version = value;
    }
    ;
}
exports.WindowsInformationProtectionAppLockerFile = WindowsInformationProtectionAppLockerFile;
