"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsInformationProtectionEnforcementLevel = void 0;
/** Provides operations to manage the deviceAppManagement singleton. */
var WindowsInformationProtectionEnforcementLevel;
(function (WindowsInformationProtectionEnforcementLevel) {
    /** No protection enforcement */
    WindowsInformationProtectionEnforcementLevel["NoProtection"] = "noProtection";
    /** Encrypt and Audit only */
    WindowsInformationProtectionEnforcementLevel["EncryptAndAuditOnly"] = "encryptAndAuditOnly";
    /** Encrypt, Audit and Prompt */
    WindowsInformationProtectionEnforcementLevel["EncryptAuditAndPrompt"] = "encryptAuditAndPrompt";
    /** Encrypt, Audit and Block */
    WindowsInformationProtectionEnforcementLevel["EncryptAuditAndBlock"] = "encryptAuditAndBlock";
})(WindowsInformationProtectionEnforcementLevel = exports.WindowsInformationProtectionEnforcementLevel || (exports.WindowsInformationProtectionEnforcementLevel = {}));
