"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsInformationProtectionNetworkLearningSummary = void 0;
const index_1 = require("./index");
/** Windows Information Protection Network learning Summary entity. */
class WindowsInformationProtectionNetworkLearningSummary extends index_1.Entity {
    /**
     * Instantiates a new windowsInformationProtectionNetworkLearningSummary and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the deviceCount property value. Device Count
     * @returns a integer
     */
    get deviceCount() {
        return this._deviceCount;
    }
    ;
    /**
     * Sets the deviceCount property value. Device Count
     * @param value Value to set for the deviceCount property.
     */
    set deviceCount(value) {
        this._deviceCount = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "deviceCount": n => { this.deviceCount = n.getNumberValue(); }, "url": n => { this.url = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeNumberValue("deviceCount", this.deviceCount);
        writer.writeStringValue("url", this.url);
    }
    ;
    /**
     * Gets the url property value. Website url
     * @returns a string
     */
    get url() {
        return this._url;
    }
    ;
    /**
     * Sets the url property value. Website url
     * @param value Value to set for the url property.
     */
    set url(value) {
        this._url = value;
    }
    ;
}
exports.WindowsInformationProtectionNetworkLearningSummary = WindowsInformationProtectionNetworkLearningSummary;
