"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckMemberGroupsPostRequestBody = void 0;
/** Provides operations to call the checkMemberGroups method. */
class CheckMemberGroupsPostRequestBody {
    /**
     * Instantiates a new checkMemberGroupsPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "groupIds": n => { this.groupIds = n.getCollectionOfPrimitiveValues(); },
        };
    }
    ;
    /**
     * Gets the groupIds property value. The groupIds property
     * @returns a string
     */
    get groupIds() {
        return this._groupIds;
    }
    ;
    /**
     * Sets the groupIds property value. The groupIds property
     * @param value Value to set for the groupIds property.
     */
    set groupIds(value) {
        this._groupIds = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfPrimitiveValues("groupIds", this.groupIds);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.CheckMemberGroupsPostRequestBody = CheckMemberGroupsPostRequestBody;
