import { PlansRequestBuilderGetQueryParameters } from './plansRequestBuilderGetQueryParameters';
import { RequestOption } from '@microsoft/kiota-abstractions';
/** Configuration for the request such as headers, query parameters, and middleware options. */
export declare class PlansRequestBuilderGetRequestConfiguration {
    /** Request headers */
    headers?: Record<string, string> | undefined;
    /** Request options */
    options?: RequestOption[] | undefined;
    /** Request query parameters */
    queryParameters?: PlansRequestBuilderGetQueryParameters | undefined;
}
