"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthenticationMethodsPolicyRequestBuilderGetQueryParameters = void 0;
/** The authentication methods and the users that are allowed to use them to sign in and perform multi-factor authentication (MFA) in Azure Active Directory (Azure AD). */
class AuthenticationMethodsPolicyRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.AuthenticationMethodsPolicyRequestBuilderGetQueryParameters = AuthenticationMethodsPolicyRequestBuilderGetQueryParameters;
