"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrinterShareItemRequestBuilderGetQueryParameters = void 0;
/** The list of printerShares that are associated with the printer. Currently, only one printerShare can be associated with the printer. Read-only. Nullable. */
class PrinterShareItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.PrinterShareItemRequestBuilderGetQueryParameters = PrinterShareItemRequestBuilderGetQueryParameters;
