"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetItemRequestBuilderGetQueryParameters = void 0;
/** All sets under the group in a term [store]. */
class SetItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.SetItemRequestBuilderGetQueryParameters = SetItemRequestBuilderGetQueryParameters;
