import { ContactsRequestBuilderGetQueryParameters } from './contactsRequestBuilderGetQueryParameters';
import { RequestOption } from '@microsoft/kiota-abstractions';
/** Configuration for the request such as headers, query parameters, and middleware options. */
export declare class ContactsRequestBuilderGetRequestConfiguration {
    /** Request headers */
    headers?: Record<string, string> | undefined;
    /** Request options */
    options?: RequestOption[] | undefined;
    /** Request query parameters */
    queryParameters?: ContactsRequestBuilderGetQueryParameters | undefined;
}
