"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InferenceClassificationOverrideItemRequestBuilderGetQueryParameters = void 0;
/** A set of overrides for a user to always classify messages from specific senders in certain ways: focused, or other. Read-only. Nullable. */
class InferenceClassificationOverrideItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.InferenceClassificationOverrideItemRequestBuilderGetQueryParameters = InferenceClassificationOverrideItemRequestBuilderGetQueryParameters;
