import { ChatRequestBuilderGetQueryParameters } from './chatRequestBuilderGetQueryParameters';
import { RequestOption } from '@microsoft/kiota-abstractions';
/** Configuration for the request such as headers, query parameters, and middleware options. */
export declare class ChatRequestBuilderGetRequestConfiguration {
    /** Request headers */
    headers?: Record<string, string> | undefined;
    /** Request options */
    options?: RequestOption[] | undefined;
    /** Request query parameters */
    queryParameters?: ChatRequestBuilderGetQueryParameters | undefined;
}
