import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the validatePermission method. */
export declare class ValidatePermissionPostRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The challengeToken property */
    private _challengeToken?;
    /** The password property */
    private _password?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the challengeToken property value. The challengeToken property
     * @returns a string
     */
    get challengeToken(): string | undefined;
    /**
     * Sets the challengeToken property value. The challengeToken property
     * @param value Value to set for the challengeToken property.
     */
    set challengeToken(value: string | undefined);
    /**
     * Instantiates a new validatePermissionPostRequestBody and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the password property value. The password property
     * @returns a string
     */
    get password(): string | undefined;
    /**
     * Sets the password property value. The password property
     * @param value Value to set for the password property.
     */
    set password(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
