"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChangeScreenSharingRolePostRequestBody = void 0;
const screenSharingRole_1 = require("../../../../models/screenSharingRole");
/** Provides operations to call the changeScreenSharingRole method. */
class ChangeScreenSharingRolePostRequestBody {
    /**
     * Instantiates a new changeScreenSharingRolePostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "role": n => { this.role = n.getEnumValue(screenSharingRole_1.ScreenSharingRole); },
        };
    }
    ;
    /**
     * Gets the role property value. The role property
     * @returns a screenSharingRole
     */
    get role() {
        return this._role;
    }
    ;
    /**
     * Sets the role property value. The role property
     * @param value Value to set for the role property.
     */
    set role(value) {
        this._role = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeEnumValue("role", this.role);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ChangeScreenSharingRolePostRequestBody = ChangeScreenSharingRolePostRequestBody;
