"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StartHoldMusicPostRequestBody = void 0;
const createPromptFromDiscriminatorValue_1 = require("../../../../../../models/createPromptFromDiscriminatorValue");
/** Provides operations to call the startHoldMusic method. */
class StartHoldMusicPostRequestBody {
    /**
     * Instantiates a new startHoldMusicPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the clientContext property value. The clientContext property
     * @returns a string
     */
    get clientContext() {
        return this._clientContext;
    }
    ;
    /**
     * Sets the clientContext property value. The clientContext property
     * @param value Value to set for the clientContext property.
     */
    set clientContext(value) {
        this._clientContext = value;
    }
    ;
    ;
    /**
     * Gets the customPrompt property value. The customPrompt property
     * @returns a prompt
     */
    get customPrompt() {
        return this._customPrompt;
    }
    ;
    /**
     * Sets the customPrompt property value. The customPrompt property
     * @param value Value to set for the customPrompt property.
     */
    set customPrompt(value) {
        this._customPrompt = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "clientContext": n => { this.clientContext = n.getStringValue(); },
            "customPrompt": n => { this.customPrompt = n.getObjectValue(createPromptFromDiscriminatorValue_1.createPromptFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("clientContext", this.clientContext);
        writer.writeObjectValue("customPrompt", this.customPrompt);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.StartHoldMusicPostRequestBody = StartHoldMusicPostRequestBody;
