"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssignResponse = void 0;
const createDeviceCompliancePolicyAssignmentFromDiscriminatorValue_1 = require("../../../../models/createDeviceCompliancePolicyAssignmentFromDiscriminatorValue");
/** Provides operations to call the assign method. */
class AssignResponse {
    /**
     * Instantiates a new assignResponse and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "value": n => { this.value = n.getCollectionOfObjectValues(createDeviceCompliancePolicyAssignmentFromDiscriminatorValue_1.createDeviceCompliancePolicyAssignmentFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("value", this.value);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the value property value. The value property
     * @returns a deviceCompliancePolicyAssignment
     */
    get value() {
        return this._value;
    }
    ;
    /**
     * Sets the value property value. The value property
     * @param value Value to set for the value property.
     */
    set value(value) {
        this._value = value;
    }
    ;
}
exports.AssignResponse = AssignResponse;
