"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateWindowsDeviceAccountPostRequestBody = void 0;
const createUpdateWindowsDeviceAccountActionParameterFromDiscriminatorValue_1 = require("../../../../models/createUpdateWindowsDeviceAccountActionParameterFromDiscriminatorValue");
/** Provides operations to call the updateWindowsDeviceAccount method. */
class UpdateWindowsDeviceAccountPostRequestBody {
    /**
     * Instantiates a new updateWindowsDeviceAccountPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "updateWindowsDeviceAccountActionParameter": n => { this.updateWindowsDeviceAccountActionParameter = n.getObjectValue(createUpdateWindowsDeviceAccountActionParameterFromDiscriminatorValue_1.createUpdateWindowsDeviceAccountActionParameterFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("updateWindowsDeviceAccountActionParameter", this.updateWindowsDeviceAccountActionParameter);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the updateWindowsDeviceAccountActionParameter property value. The updateWindowsDeviceAccountActionParameter property
     * @returns a updateWindowsDeviceAccountActionParameter
     */
    get updateWindowsDeviceAccountActionParameter() {
        return this._updateWindowsDeviceAccountActionParameter;
    }
    ;
    /**
     * Sets the updateWindowsDeviceAccountActionParameter property value. The updateWindowsDeviceAccountActionParameter property
     * @param value Value to set for the updateWindowsDeviceAccountActionParameter property.
     */
    set updateWindowsDeviceAccountActionParameter(value) {
        this._updateWindowsDeviceAccountActionParameter = value;
    }
    ;
}
exports.UpdateWindowsDeviceAccountPostRequestBody = UpdateWindowsDeviceAccountPostRequestBody;
