"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetAvailableExtensionPropertiesPostRequestBody = void 0;
/** Provides operations to call the getAvailableExtensionProperties method. */
class GetAvailableExtensionPropertiesPostRequestBody {
    /**
     * Instantiates a new getAvailableExtensionPropertiesPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "isSyncedFromOnPremises": n => { this.isSyncedFromOnPremises = n.getBooleanValue(); },
        };
    }
    ;
    /**
     * Gets the isSyncedFromOnPremises property value. The isSyncedFromOnPremises property
     * @returns a boolean
     */
    get isSyncedFromOnPremises() {
        return this._isSyncedFromOnPremises;
    }
    ;
    /**
     * Sets the isSyncedFromOnPremises property value. The isSyncedFromOnPremises property
     * @param value Value to set for the isSyncedFromOnPremises property.
     */
    set isSyncedFromOnPremises(value) {
        this._isSyncedFromOnPremises = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("isSyncedFromOnPremises", this.isSyncedFromOnPremises);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.GetAvailableExtensionPropertiesPostRequestBody = GetAvailableExtensionPropertiesPostRequestBody;
