import { DomainItemRequestBuilderGetQueryParameters } from './domainItemRequestBuilderGetQueryParameters';
import { RequestOption } from '@microsoft/kiota-abstractions';
/** Configuration for the request such as headers, query parameters, and middleware options. */
export declare class DomainItemRequestBuilderGetRequestConfiguration {
    /** Request headers */
    headers?: Record<string, string> | undefined;
    /** Request options */
    options?: RequestOption[] | undefined;
    /** Request query parameters */
    queryParameters?: DomainItemRequestBuilderGetQueryParameters | undefined;
}
