"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DriveItemVersionItemRequestBuilderGetQueryParameters = void 0;
/** The list of previous versions of the item. For more info, see [getting previous versions][]. Read-only. Nullable. */
class DriveItemVersionItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.DriveItemVersionItemRequestBuilderGetQueryParameters = DriveItemVersionItemRequestBuilderGetQueryParameters;
