"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RefRequestBuilderDeleteQueryParameters = void 0;
/** Delete ref of navigation property members for education */
class RefRequestBuilderDeleteQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "id": return "%40id";
            default: return originalName;
        }
    }
    ;
}
exports.RefRequestBuilderDeleteQueryParameters = RefRequestBuilderDeleteQueryParameters;
