"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupSettingTemplateItemRequestBuilderGetQueryParameters = void 0;
/** A group setting template represents a template of settings from which settings may be created within a tenant. This operation allows retrieval of the properties of the [groupSettingTemplate](../resources/groupsettingtemplate.md) object, including the available settings and their defaults. */
class GroupSettingTemplateItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.GroupSettingTemplateItemRequestBuilderGetQueryParameters = GroupSettingTemplateItemRequestBuilderGetQueryParameters;
