"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FromTermRequestBuilderGetQueryParameters = void 0;
/** The from [term] of the relation. The term from which the relationship is defined. A null value would indicate the relation is directly with the [set]. */
class FromTermRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.FromTermRequestBuilderGetQueryParameters = FromTermRequestBuilderGetQueryParameters;
