"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SetOrderPostRequestBody = void 0;
const createAssignmentOrderFromDiscriminatorValue_1 = require("../../../../../models/createAssignmentOrderFromDiscriminatorValue");
/** Provides operations to call the setOrder method. */
class SetOrderPostRequestBody {
    /**
     * Instantiates a new setOrderPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "newAssignmentOrder": n => { this.newAssignmentOrder = n.getObjectValue(createAssignmentOrderFromDiscriminatorValue_1.createAssignmentOrderFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the newAssignmentOrder property value. The newAssignmentOrder property
     * @returns a assignmentOrder
     */
    get newAssignmentOrder() {
        return this._newAssignmentOrder;
    }
    ;
    /**
     * Sets the newAssignmentOrder property value. The newAssignmentOrder property
     * @param value Value to set for the newAssignmentOrder property.
     */
    set newAssignmentOrder(value) {
        this._newAssignmentOrder = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("newAssignmentOrder", this.newAssignmentOrder);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.SetOrderPostRequestBody = SetOrderPostRequestBody;
