"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessReviewInstanceItemRequestBuilderGetQueryParameters = void 0;
/** Set of access reviews instances for this access review series. Access reviews that do not recur will only have one instance; otherwise, there is an instance for each recurrence. */
class AccessReviewInstanceItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.AccessReviewInstanceItemRequestBuilderGetQueryParameters = AccessReviewInstanceItemRequestBuilderGetQueryParameters;
