"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetMemberObjectsPostRequestBody = void 0;
/** Provides operations to call the getMemberObjects method. */
class GetMemberObjectsPostRequestBody {
    /**
     * Instantiates a new getMemberObjectsPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "securityEnabledOnly": n => { this.securityEnabledOnly = n.getBooleanValue(); },
        };
    }
    ;
    /**
     * Gets the securityEnabledOnly property value. The securityEnabledOnly property
     * @returns a boolean
     */
    get securityEnabledOnly() {
        return this._securityEnabledOnly;
    }
    ;
    /**
     * Sets the securityEnabledOnly property value. The securityEnabledOnly property
     * @param value Value to set for the securityEnabledOnly property.
     */
    set securityEnabledOnly(value) {
        this._securityEnabledOnly = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("securityEnabledOnly", this.securityEnabledOnly);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.GetMemberObjectsPostRequestBody = GetMemberObjectsPostRequestBody;
