"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BucketTaskBoardFormatRequestBuilderGetQueryParameters = void 0;
/** Read-only. Nullable. Used to render the task correctly in the task board view when grouped by bucket. */
class BucketTaskBoardFormatRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.BucketTaskBoardFormatRequestBuilderGetQueryParameters = BucketTaskBoardFormatRequestBuilderGetQueryParameters;
