"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Admin = void 0;
const createServiceAnnouncementFromDiscriminatorValue_1 = require("./createServiceAnnouncementFromDiscriminatorValue");
class Admin {
    /**
     * Instantiates a new Admin and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "serviceAnnouncement": n => { this.serviceAnnouncement = n.getObjectValue(createServiceAnnouncementFromDiscriminatorValue_1.createServiceAnnouncementFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("serviceAnnouncement", this.serviceAnnouncement);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the serviceAnnouncement property value. A container for service communications resources. Read-only.
     * @returns a serviceAnnouncement
     */
    get serviceAnnouncement() {
        return this._serviceAnnouncement;
    }
    ;
    /**
     * Sets the serviceAnnouncement property value. A container for service communications resources. Read-only.
     * @param value Value to set for the serviceAnnouncement property.
     */
    set serviceAnnouncement(value) {
        this._serviceAnnouncement = value;
    }
    ;
}
exports.Admin = Admin;
