"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlertDetection = void 0;
class AlertDetection {
    /**
     * Instantiates a new alertDetection and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the detectionType property value. The detectionType property
     * @returns a string
     */
    get detectionType() {
        return this._detectionType;
    }
    ;
    /**
     * Sets the detectionType property value. The detectionType property
     * @param value Value to set for the detectionType property.
     */
    set detectionType(value) {
        this._detectionType = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "detectionType": n => { this.detectionType = n.getStringValue(); },
            "method": n => { this.method = n.getStringValue(); },
            "name": n => { this.name = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the method property value. The method property
     * @returns a string
     */
    get method() {
        return this._method;
    }
    ;
    /**
     * Sets the method property value. The method property
     * @param value Value to set for the method property.
     */
    set method(value) {
        this._method = value;
    }
    ;
    /**
     * Gets the name property value. The name property
     * @returns a string
     */
    get name() {
        return this._name;
    }
    ;
    /**
     * Sets the name property value. The name property
     * @param value Value to set for the name property.
     */
    set name(value) {
        this._name = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("detectionType", this.detectionType);
        writer.writeStringValue("method", this.method);
        writer.writeStringValue("name", this.name);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.AlertDetection = AlertDetection;
