import { Entity, TeamsApp } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the appCatalogs singleton. */
export declare class AppCatalogs extends Entity implements Parsable {
    /** The teamsApps property */
    private _teamsApps?;
    /**
     * Instantiates a new appCatalogs and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the teamsApps property value. The teamsApps property
     * @returns a teamsApp
     */
    get teamsApps(): TeamsApp[] | undefined;
    /**
     * Sets the teamsApps property value. The teamsApps property
     * @param value Value to set for the teamsApps property.
     */
    set teamsApps(value: TeamsApp[] | undefined);
}
