"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppConsentApprovalRoute = void 0;
const createAppConsentRequestFromDiscriminatorValue_1 = require("./createAppConsentRequestFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the identityGovernance singleton. */
class AppConsentApprovalRoute extends index_1.Entity {
    /**
     * Instantiates a new appConsentApprovalRoute and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the appConsentRequests property value. A collection of userConsentRequest objects for a specific application.
     * @returns a appConsentRequest
     */
    get appConsentRequests() {
        return this._appConsentRequests;
    }
    ;
    /**
     * Sets the appConsentRequests property value. A collection of userConsentRequest objects for a specific application.
     * @param value Value to set for the appConsentRequests property.
     */
    set appConsentRequests(value) {
        this._appConsentRequests = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "appConsentRequests": n => { this.appConsentRequests = n.getCollectionOfObjectValues(createAppConsentRequestFromDiscriminatorValue_1.createAppConsentRequestFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("appConsentRequests", this.appConsentRequests);
    }
    ;
}
exports.AppConsentApprovalRoute = AppConsentApprovalRoute;
