"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AverageComparativeScore = void 0;
class AverageComparativeScore {
    /**
     * Instantiates a new averageComparativeScore and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the averageScore property value. Average score within specified basis.
     * @returns a double
     */
    get averageScore() {
        return this._averageScore;
    }
    ;
    /**
     * Sets the averageScore property value. Average score within specified basis.
     * @param value Value to set for the averageScore property.
     */
    set averageScore(value) {
        this._averageScore = value;
    }
    ;
    /**
     * Gets the basis property value. Scope type. The possible values are: AllTenants, TotalSeats, IndustryTypes.
     * @returns a string
     */
    get basis() {
        return this._basis;
    }
    ;
    /**
     * Sets the basis property value. Scope type. The possible values are: AllTenants, TotalSeats, IndustryTypes.
     * @param value Value to set for the basis property.
     */
    set basis(value) {
        this._basis = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "averageScore": n => { this.averageScore = n.getNumberValue(); },
            "basis": n => { this.basis = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeNumberValue("averageScore", this.averageScore);
        writer.writeStringValue("basis", this.basis);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.AverageComparativeScore = AverageComparativeScore;
