"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CallState = void 0;
/** Provides operations to manage the cloudCommunications singleton. */
var CallState;
(function (CallState) {
    CallState["Incoming"] = "incoming";
    CallState["Establishing"] = "establishing";
    CallState["Established"] = "established";
    CallState["Hold"] = "hold";
    CallState["Transferring"] = "transferring";
    CallState["TransferAccepted"] = "transferAccepted";
    CallState["Redirecting"] = "redirecting";
    CallState["Terminating"] = "terminating";
    CallState["Terminated"] = "terminated";
    CallState["UnknownFutureValue"] = "unknownFutureValue";
})(CallState = exports.CallState || (exports.CallState = {}));
