"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceManagementExchangeConnectorStatus = void 0;
/** Provides operations to manage the deviceManagement singleton. */
var DeviceManagementExchangeConnectorStatus;
(function (DeviceManagementExchangeConnectorStatus) {
    /** No Connector exists. */
    DeviceManagementExchangeConnectorStatus["None"] = "none";
    /** Pending Connection to the Exchange Environment. */
    DeviceManagementExchangeConnectorStatus["ConnectionPending"] = "connectionPending";
    /** Connected to the Exchange Environment */
    DeviceManagementExchangeConnectorStatus["Connected"] = "connected";
    /** Disconnected from the Exchange Environment */
    DeviceManagementExchangeConnectorStatus["Disconnected"] = "disconnected";
})(DeviceManagementExchangeConnectorStatus = exports.DeviceManagementExchangeConnectorStatus || (exports.DeviceManagementExchangeConnectorStatus = {}));
