"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceManagementExchangeConnectorSyncType = void 0;
/** Provides operations to call the sync method. */
var DeviceManagementExchangeConnectorSyncType;
(function (DeviceManagementExchangeConnectorSyncType) {
    /** Discover all the device in Exchange. */
    DeviceManagementExchangeConnectorSyncType["FullSync"] = "fullSync";
    /** Discover only the device in Exchange which have updated during the delta sync window. */
    DeviceManagementExchangeConnectorSyncType["DeltaSync"] = "deltaSync";
})(DeviceManagementExchangeConnectorSyncType = exports.DeviceManagementExchangeConnectorSyncType || (exports.DeviceManagementExchangeConnectorSyncType = {}));
