"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceManagementExchangeConnectorType = void 0;
/** Provides operations to manage the deviceManagement singleton. */
var DeviceManagementExchangeConnectorType;
(function (DeviceManagementExchangeConnectorType) {
    /** Connects to on-premises Exchange Environment. */
    DeviceManagementExchangeConnectorType["OnPremises"] = "onPremises";
    /** Connects to O365 multi-tenant Exchange environment */
    DeviceManagementExchangeConnectorType["Hosted"] = "hosted";
    /** Intune Service connects directly to O365 multi-tenant Exchange environment */
    DeviceManagementExchangeConnectorType["ServiceToService"] = "serviceToService";
    /** Connects to O365 Dedicated Exchange environment. */
    DeviceManagementExchangeConnectorType["Dedicated"] = "dedicated";
})(DeviceManagementExchangeConnectorType = exports.DeviceManagementExchangeConnectorType || (exports.DeviceManagementExchangeConnectorType = {}));
