"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceManagementPartnerTenantState = void 0;
/** Provides operations to manage the deviceManagement singleton. */
var DeviceManagementPartnerTenantState;
(function (DeviceManagementPartnerTenantState) {
    /** Partner state is unknown. */
    DeviceManagementPartnerTenantState["Unknown"] = "unknown";
    /** Partner is unavailable. */
    DeviceManagementPartnerTenantState["Unavailable"] = "unavailable";
    /** Partner is enabled. */
    DeviceManagementPartnerTenantState["Enabled"] = "enabled";
    /** Partner connection is terminated. */
    DeviceManagementPartnerTenantState["Terminated"] = "terminated";
    /** Partner messages are rejected. */
    DeviceManagementPartnerTenantState["Rejected"] = "rejected";
    /** Partner is unresponsive. */
    DeviceManagementPartnerTenantState["Unresponsive"] = "unresponsive";
})(DeviceManagementPartnerTenantState = exports.DeviceManagementPartnerTenantState || (exports.DeviceManagementPartnerTenantState = {}));
