import { Bitlocker, Entity, ThreatAssessmentRequest } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the informationProtection singleton. */
export declare class InformationProtection extends Entity implements Parsable {
    /** The bitlocker property */
    private _bitlocker?;
    /** The threatAssessmentRequests property */
    private _threatAssessmentRequests?;
    /**
     * Gets the bitlocker property value. The bitlocker property
     * @returns a bitlocker
     */
    get bitlocker(): Bitlocker | undefined;
    /**
     * Sets the bitlocker property value. The bitlocker property
     * @param value Value to set for the bitlocker property.
     */
    set bitlocker(value: Bitlocker | undefined);
    /**
     * Instantiates a new informationProtection and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the threatAssessmentRequests property value. The threatAssessmentRequests property
     * @returns a threatAssessmentRequest
     */
    get threatAssessmentRequests(): ThreatAssessmentRequest[] | undefined;
    /**
     * Sets the threatAssessmentRequests property value. The threatAssessmentRequests property
     * @param value Value to set for the threatAssessmentRequests property.
     */
    set threatAssessmentRequests(value: ThreatAssessmentRequest[] | undefined);
}
