"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedAppClipboardSharingLevel = void 0;
/** Provides operations to manage the deviceAppManagement singleton. */
var ManagedAppClipboardSharingLevel;
(function (ManagedAppClipboardSharingLevel) {
    /** Sharing is allowed between all apps, managed or not */
    ManagedAppClipboardSharingLevel["AllApps"] = "allApps";
    /** Sharing is allowed between all managed apps with paste in enabled */
    ManagedAppClipboardSharingLevel["ManagedAppsWithPasteIn"] = "managedAppsWithPasteIn";
    /** Sharing is allowed between all managed apps */
    ManagedAppClipboardSharingLevel["ManagedApps"] = "managedApps";
    /** Sharing between apps is disabled */
    ManagedAppClipboardSharingLevel["Blocked"] = "blocked";
})(ManagedAppClipboardSharingLevel = exports.ManagedAppClipboardSharingLevel || (exports.ManagedAppClipboardSharingLevel = {}));
