"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OfficeGraphInsights = void 0;
const createSharedInsightFromDiscriminatorValue_1 = require("./createSharedInsightFromDiscriminatorValue");
const createTrendingFromDiscriminatorValue_1 = require("./createTrendingFromDiscriminatorValue");
const createUsedInsightFromDiscriminatorValue_1 = require("./createUsedInsightFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class OfficeGraphInsights extends index_1.Entity {
    /**
     * Instantiates a new officeGraphInsights and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "shared": n => { this.shared = n.getCollectionOfObjectValues(createSharedInsightFromDiscriminatorValue_1.createSharedInsightFromDiscriminatorValue); }, "trending": n => { this.trending = n.getCollectionOfObjectValues(createTrendingFromDiscriminatorValue_1.createTrendingFromDiscriminatorValue); }, "used": n => { this.used = n.getCollectionOfObjectValues(createUsedInsightFromDiscriminatorValue_1.createUsedInsightFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("shared", this.shared);
        writer.writeCollectionOfObjectValues("trending", this.trending);
        writer.writeCollectionOfObjectValues("used", this.used);
    }
    ;
    /**
     * Gets the shared property value. Access this property from the derived type itemInsights.
     * @returns a sharedInsight
     */
    get shared() {
        return this._shared;
    }
    ;
    /**
     * Sets the shared property value. Access this property from the derived type itemInsights.
     * @param value Value to set for the shared property.
     */
    set shared(value) {
        this._shared = value;
    }
    ;
    /**
     * Gets the trending property value. Access this property from the derived type itemInsights.
     * @returns a trending
     */
    get trending() {
        return this._trending;
    }
    ;
    /**
     * Sets the trending property value. Access this property from the derived type itemInsights.
     * @param value Value to set for the trending property.
     */
    set trending(value) {
        this._trending = value;
    }
    ;
    /**
     * Gets the used property value. Access this property from the derived type itemInsights.
     * @returns a usedInsight
     */
    get used() {
        return this._used;
    }
    ;
    /**
     * Sets the used property value. Access this property from the derived type itemInsights.
     * @param value Value to set for the used property.
     */
    set used(value) {
        this._used = value;
    }
    ;
}
exports.OfficeGraphInsights = OfficeGraphInsights;
