"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnPremisesExtensionAttributes = void 0;
class OnPremisesExtensionAttributes {
    /**
     * Instantiates a new onPremisesExtensionAttributes and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the extensionAttribute1 property value. First customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute1() {
        return this._extensionAttribute1;
    }
    ;
    /**
     * Sets the extensionAttribute1 property value. First customizable extension attribute.
     * @param value Value to set for the extensionAttribute1 property.
     */
    set extensionAttribute1(value) {
        this._extensionAttribute1 = value;
    }
    ;
    /**
     * Gets the extensionAttribute10 property value. Tenth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute10() {
        return this._extensionAttribute10;
    }
    ;
    /**
     * Sets the extensionAttribute10 property value. Tenth customizable extension attribute.
     * @param value Value to set for the extensionAttribute10 property.
     */
    set extensionAttribute10(value) {
        this._extensionAttribute10 = value;
    }
    ;
    /**
     * Gets the extensionAttribute11 property value. Eleventh customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute11() {
        return this._extensionAttribute11;
    }
    ;
    /**
     * Sets the extensionAttribute11 property value. Eleventh customizable extension attribute.
     * @param value Value to set for the extensionAttribute11 property.
     */
    set extensionAttribute11(value) {
        this._extensionAttribute11 = value;
    }
    ;
    /**
     * Gets the extensionAttribute12 property value. Twelfth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute12() {
        return this._extensionAttribute12;
    }
    ;
    /**
     * Sets the extensionAttribute12 property value. Twelfth customizable extension attribute.
     * @param value Value to set for the extensionAttribute12 property.
     */
    set extensionAttribute12(value) {
        this._extensionAttribute12 = value;
    }
    ;
    /**
     * Gets the extensionAttribute13 property value. Thirteenth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute13() {
        return this._extensionAttribute13;
    }
    ;
    /**
     * Sets the extensionAttribute13 property value. Thirteenth customizable extension attribute.
     * @param value Value to set for the extensionAttribute13 property.
     */
    set extensionAttribute13(value) {
        this._extensionAttribute13 = value;
    }
    ;
    /**
     * Gets the extensionAttribute14 property value. Fourteenth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute14() {
        return this._extensionAttribute14;
    }
    ;
    /**
     * Sets the extensionAttribute14 property value. Fourteenth customizable extension attribute.
     * @param value Value to set for the extensionAttribute14 property.
     */
    set extensionAttribute14(value) {
        this._extensionAttribute14 = value;
    }
    ;
    /**
     * Gets the extensionAttribute15 property value. Fifteenth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute15() {
        return this._extensionAttribute15;
    }
    ;
    /**
     * Sets the extensionAttribute15 property value. Fifteenth customizable extension attribute.
     * @param value Value to set for the extensionAttribute15 property.
     */
    set extensionAttribute15(value) {
        this._extensionAttribute15 = value;
    }
    ;
    /**
     * Gets the extensionAttribute2 property value. Second customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute2() {
        return this._extensionAttribute2;
    }
    ;
    /**
     * Sets the extensionAttribute2 property value. Second customizable extension attribute.
     * @param value Value to set for the extensionAttribute2 property.
     */
    set extensionAttribute2(value) {
        this._extensionAttribute2 = value;
    }
    ;
    /**
     * Gets the extensionAttribute3 property value. Third customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute3() {
        return this._extensionAttribute3;
    }
    ;
    /**
     * Sets the extensionAttribute3 property value. Third customizable extension attribute.
     * @param value Value to set for the extensionAttribute3 property.
     */
    set extensionAttribute3(value) {
        this._extensionAttribute3 = value;
    }
    ;
    /**
     * Gets the extensionAttribute4 property value. Fourth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute4() {
        return this._extensionAttribute4;
    }
    ;
    /**
     * Sets the extensionAttribute4 property value. Fourth customizable extension attribute.
     * @param value Value to set for the extensionAttribute4 property.
     */
    set extensionAttribute4(value) {
        this._extensionAttribute4 = value;
    }
    ;
    /**
     * Gets the extensionAttribute5 property value. Fifth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute5() {
        return this._extensionAttribute5;
    }
    ;
    /**
     * Sets the extensionAttribute5 property value. Fifth customizable extension attribute.
     * @param value Value to set for the extensionAttribute5 property.
     */
    set extensionAttribute5(value) {
        this._extensionAttribute5 = value;
    }
    ;
    /**
     * Gets the extensionAttribute6 property value. Sixth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute6() {
        return this._extensionAttribute6;
    }
    ;
    /**
     * Sets the extensionAttribute6 property value. Sixth customizable extension attribute.
     * @param value Value to set for the extensionAttribute6 property.
     */
    set extensionAttribute6(value) {
        this._extensionAttribute6 = value;
    }
    ;
    /**
     * Gets the extensionAttribute7 property value. Seventh customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute7() {
        return this._extensionAttribute7;
    }
    ;
    /**
     * Sets the extensionAttribute7 property value. Seventh customizable extension attribute.
     * @param value Value to set for the extensionAttribute7 property.
     */
    set extensionAttribute7(value) {
        this._extensionAttribute7 = value;
    }
    ;
    /**
     * Gets the extensionAttribute8 property value. Eighth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute8() {
        return this._extensionAttribute8;
    }
    ;
    /**
     * Sets the extensionAttribute8 property value. Eighth customizable extension attribute.
     * @param value Value to set for the extensionAttribute8 property.
     */
    set extensionAttribute8(value) {
        this._extensionAttribute8 = value;
    }
    ;
    /**
     * Gets the extensionAttribute9 property value. Ninth customizable extension attribute.
     * @returns a string
     */
    get extensionAttribute9() {
        return this._extensionAttribute9;
    }
    ;
    /**
     * Sets the extensionAttribute9 property value. Ninth customizable extension attribute.
     * @param value Value to set for the extensionAttribute9 property.
     */
    set extensionAttribute9(value) {
        this._extensionAttribute9 = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "extensionAttribute1": n => { this.extensionAttribute1 = n.getStringValue(); },
            "extensionAttribute10": n => { this.extensionAttribute10 = n.getStringValue(); },
            "extensionAttribute11": n => { this.extensionAttribute11 = n.getStringValue(); },
            "extensionAttribute12": n => { this.extensionAttribute12 = n.getStringValue(); },
            "extensionAttribute13": n => { this.extensionAttribute13 = n.getStringValue(); },
            "extensionAttribute14": n => { this.extensionAttribute14 = n.getStringValue(); },
            "extensionAttribute15": n => { this.extensionAttribute15 = n.getStringValue(); },
            "extensionAttribute2": n => { this.extensionAttribute2 = n.getStringValue(); },
            "extensionAttribute3": n => { this.extensionAttribute3 = n.getStringValue(); },
            "extensionAttribute4": n => { this.extensionAttribute4 = n.getStringValue(); },
            "extensionAttribute5": n => { this.extensionAttribute5 = n.getStringValue(); },
            "extensionAttribute6": n => { this.extensionAttribute6 = n.getStringValue(); },
            "extensionAttribute7": n => { this.extensionAttribute7 = n.getStringValue(); },
            "extensionAttribute8": n => { this.extensionAttribute8 = n.getStringValue(); },
            "extensionAttribute9": n => { this.extensionAttribute9 = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("extensionAttribute1", this.extensionAttribute1);
        writer.writeStringValue("extensionAttribute10", this.extensionAttribute10);
        writer.writeStringValue("extensionAttribute11", this.extensionAttribute11);
        writer.writeStringValue("extensionAttribute12", this.extensionAttribute12);
        writer.writeStringValue("extensionAttribute13", this.extensionAttribute13);
        writer.writeStringValue("extensionAttribute14", this.extensionAttribute14);
        writer.writeStringValue("extensionAttribute15", this.extensionAttribute15);
        writer.writeStringValue("extensionAttribute2", this.extensionAttribute2);
        writer.writeStringValue("extensionAttribute3", this.extensionAttribute3);
        writer.writeStringValue("extensionAttribute4", this.extensionAttribute4);
        writer.writeStringValue("extensionAttribute5", this.extensionAttribute5);
        writer.writeStringValue("extensionAttribute6", this.extensionAttribute6);
        writer.writeStringValue("extensionAttribute7", this.extensionAttribute7);
        writer.writeStringValue("extensionAttribute8", this.extensionAttribute8);
        writer.writeStringValue("extensionAttribute9", this.extensionAttribute9);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.OnPremisesExtensionAttributes = OnPremisesExtensionAttributes;
