"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnenotePagePreviewLinks = void 0;
const createExternalLinkFromDiscriminatorValue_1 = require("./createExternalLinkFromDiscriminatorValue");
class OnenotePagePreviewLinks {
    /**
     * Instantiates a new onenotePagePreviewLinks and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "previewImageUrl": n => { this.previewImageUrl = n.getObjectValue(createExternalLinkFromDiscriminatorValue_1.createExternalLinkFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the previewImageUrl property value. The previewImageUrl property
     * @returns a externalLink
     */
    get previewImageUrl() {
        return this._previewImageUrl;
    }
    ;
    /**
     * Sets the previewImageUrl property value. The previewImageUrl property
     * @param value Value to set for the previewImageUrl property.
     */
    set previewImageUrl(value) {
        this._previewImageUrl = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("previewImageUrl", this.previewImageUrl);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.OnenotePagePreviewLinks = OnenotePagePreviewLinks;
