"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnenoteResource = void 0;
const index_1 = require("./index");
/** Casts the previous resource to user. */
class OnenoteResource extends index_1.OnenoteEntityBaseModel {
    /**
     * Instantiates a new onenoteResource and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the content property value. The content stream
     * @returns a binary
     */
    get content() {
        return this._content;
    }
    ;
    /**
     * Sets the content property value. The content stream
     * @param value Value to set for the content property.
     */
    set content(value) {
        this._content = value;
    }
    ;
    /**
     * Gets the contentUrl property value. The URL for downloading the content
     * @returns a string
     */
    get contentUrl() {
        return this._contentUrl;
    }
    ;
    /**
     * Sets the contentUrl property value. The URL for downloading the content
     * @param value Value to set for the contentUrl property.
     */
    set contentUrl(value) {
        this._contentUrl = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "content": n => { this.content = n.getStringValue(); }, "contentUrl": n => { this.contentUrl = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("content", this.content);
        writer.writeStringValue("contentUrl", this.contentUrl);
    }
    ;
}
exports.OnenoteResource = OnenoteResource;
