"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrintUsageByPrinter = void 0;
const index_1 = require("./index");
/** Provides operations to manage the reportRoot singleton. */
class PrintUsageByPrinter extends index_1.PrintUsage {
    /**
     * Instantiates a new printUsageByPrinter and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "printerId": n => { this.printerId = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the printerId property value. The printerId property
     * @returns a string
     */
    get printerId() {
        return this._printerId;
    }
    ;
    /**
     * Sets the printerId property value. The printerId property
     * @param value Value to set for the printerId property.
     */
    set printerId(value) {
        this._printerId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("printerId", this.printerId);
    }
    ;
}
exports.PrintUsageByPrinter = PrintUsageByPrinter;
