"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrintUsageByUser = void 0;
const index_1 = require("./index");
/** Provides operations to manage the reportRoot singleton. */
class PrintUsageByUser extends index_1.PrintUsage {
    /**
     * Instantiates a new printUsageByUser and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "userPrincipalName": n => { this.userPrincipalName = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("userPrincipalName", this.userPrincipalName);
    }
    ;
    /**
     * Gets the userPrincipalName property value. The UPN of the user represented by these statistics.
     * @returns a string
     */
    get userPrincipalName() {
        return this._userPrincipalName;
    }
    ;
    /**
     * Sets the userPrincipalName property value. The UPN of the user represented by these statistics.
     * @param value Value to set for the userPrincipalName property.
     */
    set userPrincipalName(value) {
        this._userPrincipalName = value;
    }
    ;
}
exports.PrintUsageByUser = PrintUsageByUser;
