"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Privacy = void 0;
const createSubjectRightsRequestFromDiscriminatorValue_1 = require("./createSubjectRightsRequestFromDiscriminatorValue");
class Privacy {
    /**
     * Instantiates a new Privacy and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "subjectRightsRequests": n => { this.subjectRightsRequests = n.getCollectionOfObjectValues(createSubjectRightsRequestFromDiscriminatorValue_1.createSubjectRightsRequestFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("subjectRightsRequests", this.subjectRightsRequests);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the subjectRightsRequests property value. The subjectRightsRequests property
     * @returns a subjectRightsRequest
     */
    get subjectRightsRequests() {
        return this._subjectRightsRequests;
    }
    ;
    /**
     * Sets the subjectRightsRequests property value. The subjectRightsRequests property
     * @param value Value to set for the subjectRightsRequests property.
     */
    set subjectRightsRequests(value) {
        this._subjectRightsRequests = value;
    }
    ;
}
exports.Privacy = Privacy;
