"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RestrictedSignIn = void 0;
const index_1 = require("./index");
/** Provides operations to manage the auditLogRoot singleton. */
class RestrictedSignIn extends index_1.SignIn {
    /**
     * Instantiates a new restrictedSignIn and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "targetTenantId": n => { this.targetTenantId = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("targetTenantId", this.targetTenantId);
    }
    ;
    /**
     * Gets the targetTenantId property value. The targetTenantId property
     * @returns a string
     */
    get targetTenantId() {
        return this._targetTenantId;
    }
    ;
    /**
     * Sets the targetTenantId property value. The targetTenantId property
     * @param value Value to set for the targetTenantId property.
     */
    set targetTenantId(value) {
        this._targetTenantId = value;
    }
    ;
}
exports.RestrictedSignIn = RestrictedSignIn;
