"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VppTokenState = void 0;
/** Provides operations to manage the deviceAppManagement singleton. */
var VppTokenState;
(function (VppTokenState) {
    /** Default state. */
    VppTokenState["Unknown"] = "unknown";
    /** Token is valid. */
    VppTokenState["Valid"] = "valid";
    /** Token is expired. */
    VppTokenState["Expired"] = "expired";
    /** Token is invalid. */
    VppTokenState["Invalid"] = "invalid";
    /** Token is managed by another MDM Service. */
    VppTokenState["AssignedToExternalMDM"] = "assignedToExternalMDM";
})(VppTokenState = exports.VppTokenState || (exports.VppTokenState = {}));
