"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookChartPointFormat = void 0;
const createWorkbookChartFillFromDiscriminatorValue_1 = require("./createWorkbookChartFillFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class WorkbookChartPointFormat extends index_1.Entity {
    /**
     * Instantiates a new workbookChartPointFormat and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the fill property value. Represents the fill format of a chart, which includes background formating information. Read-only.
     * @returns a workbookChartFill
     */
    get fill() {
        return this._fill;
    }
    ;
    /**
     * Sets the fill property value. Represents the fill format of a chart, which includes background formating information. Read-only.
     * @param value Value to set for the fill property.
     */
    set fill(value) {
        this._fill = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "fill": n => { this.fill = n.getObjectValue(createWorkbookChartFillFromDiscriminatorValue_1.createWorkbookChartFillFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("fill", this.fill);
    }
    ;
}
exports.WorkbookChartPointFormat = WorkbookChartPointFormat;
