"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookPivotTable = void 0;
const createWorkbookWorksheetFromDiscriminatorValue_1 = require("./createWorkbookWorksheetFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class WorkbookPivotTable extends index_1.Entity {
    /**
     * Instantiates a new workbookPivotTable and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "name": n => { this.name = n.getStringValue(); }, "worksheet": n => { this.worksheet = n.getObjectValue(createWorkbookWorksheetFromDiscriminatorValue_1.createWorkbookWorksheetFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the name property value. Name of the PivotTable.
     * @returns a string
     */
    get name() {
        return this._name;
    }
    ;
    /**
     * Sets the name property value. Name of the PivotTable.
     * @param value Value to set for the name property.
     */
    set name(value) {
        this._name = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("name", this.name);
        writer.writeObjectValue("worksheet", this.worksheet);
    }
    ;
    /**
     * Gets the worksheet property value. The worksheet containing the current PivotTable. Read-only.
     * @returns a workbookWorksheet
     */
    get worksheet() {
        return this._worksheet;
    }
    ;
    /**
     * Sets the worksheet property value. The worksheet containing the current PivotTable. Read-only.
     * @param value Value to set for the worksheet property.
     */
    set worksheet(value) {
        this._worksheet = value;
    }
    ;
}
exports.WorkbookPivotTable = WorkbookPivotTable;
