"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PermissionGrantsRequestBuilderGetQueryParameters = void 0;
/** Get entities from permissionGrants */
class PermissionGrantsRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "filter": return "%24filter";
            case "orderby": return "%24orderby";
            case "search": return "%24search";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.PermissionGrantsRequestBuilderGetQueryParameters = PermissionGrantsRequestBuilderGetQueryParameters;
