"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TokenLifetimePolicyItemRequestBuilderGetQueryParameters = void 0;
/** The policy that controls the lifetime of a JWT access token, an ID token, or a SAML 1.1/2.0 token issued by Azure AD. */
class TokenLifetimePolicyItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.TokenLifetimePolicyItemRequestBuilderGetQueryParameters = TokenLifetimePolicyItemRequestBuilderGetQueryParameters;
