"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefinitionRequestBuilderGetQueryParameters = void 0;
/** An abstract definition that will be used to create a printTask when triggered by a print event. Read-only. */
class DefinitionRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.DefinitionRequestBuilderGetQueryParameters = DefinitionRequestBuilderGetQueryParameters;
