"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscriptionItemRequestBuilderGetQueryParameters = void 0;
/** Retrieve the properties and relationships of a subscription. See the table in the [Permissions](#permissions) section for the list of resources that support subscribing to change notifications. */
class SubscriptionItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.SubscriptionItemRequestBuilderGetQueryParameters = SubscriptionItemRequestBuilderGetQueryParameters;
