"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssignLicensePostRequestBody = void 0;
const createAssignedLicenseFromDiscriminatorValue_1 = require("../../../../../../../../../../models/createAssignedLicenseFromDiscriminatorValue");
/** Provides operations to call the assignLicense method. */
class AssignLicensePostRequestBody {
    /**
     * Instantiates a new assignLicensePostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the addLicenses property value. The addLicenses property
     * @returns a assignedLicense
     */
    get addLicenses() {
        return this._addLicenses;
    }
    ;
    /**
     * Sets the addLicenses property value. The addLicenses property
     * @param value Value to set for the addLicenses property.
     */
    set addLicenses(value) {
        this._addLicenses = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "addLicenses": n => { this.addLicenses = n.getCollectionOfObjectValues(createAssignedLicenseFromDiscriminatorValue_1.createAssignedLicenseFromDiscriminatorValue); },
            "removeLicenses": n => { this.removeLicenses = n.getCollectionOfPrimitiveValues(); },
        };
    }
    ;
    /**
     * Gets the removeLicenses property value. The removeLicenses property
     * @returns a string
     */
    get removeLicenses() {
        return this._removeLicenses;
    }
    ;
    /**
     * Sets the removeLicenses property value. The removeLicenses property
     * @param value Value to set for the removeLicenses property.
     */
    set removeLicenses(value) {
        this._removeLicenses = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("addLicenses", this.addLicenses);
        writer.writeCollectionOfPrimitiveValues("removeLicenses", this.removeLicenses);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.AssignLicensePostRequestBody = AssignLicensePostRequestBody;
