"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SchedulingGroupItemRequestBuilderGetQueryParameters = void 0;
/** The logical grouping of users in the schedule (usually by role). */
class SchedulingGroupItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.SchedulingGroupItemRequestBuilderGetQueryParameters = SchedulingGroupItemRequestBuilderGetQueryParameters;
