"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageRuleItemRequestBuilderGetQueryParameters = void 0;
/** The collection of rules that apply to the user's Inbox folder. */
class MessageRuleItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.MessageRuleItemRequestBuilderGetQueryParameters = MessageRuleItemRequestBuilderGetQueryParameters;
