"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserItemRequestBuilder = void 0;
const createUserFromDiscriminatorValue_1 = require("../../models/createUserFromDiscriminatorValue");
const createODataErrorFromDiscriminatorValue_1 = require("../../models/oDataErrors/createODataErrorFromDiscriminatorValue");
const activitiesRequestBuilder_1 = require("./activities/activitiesRequestBuilder");
const userActivityItemRequestBuilder_1 = require("./activities/item/userActivityItemRequestBuilder");
const agreementAcceptancesRequestBuilder_1 = require("./agreementAcceptances/agreementAcceptancesRequestBuilder");
const agreementAcceptanceItemRequestBuilder_1 = require("./agreementAcceptances/item/agreementAcceptanceItemRequestBuilder");
const appRoleAssignmentsRequestBuilder_1 = require("./appRoleAssignments/appRoleAssignmentsRequestBuilder");
const appRoleAssignmentItemRequestBuilder_1 = require("./appRoleAssignments/item/appRoleAssignmentItemRequestBuilder");
const assignLicenseRequestBuilder_1 = require("./assignLicense/assignLicenseRequestBuilder");
const authenticationRequestBuilder_1 = require("./authentication/authenticationRequestBuilder");
const calendarRequestBuilder_1 = require("./calendar/calendarRequestBuilder");
const calendarGroupsRequestBuilder_1 = require("./calendarGroups/calendarGroupsRequestBuilder");
const calendarGroupItemRequestBuilder_1 = require("./calendarGroups/item/calendarGroupItemRequestBuilder");
const calendarsRequestBuilder_1 = require("./calendars/calendarsRequestBuilder");
const calendarItemRequestBuilder_1 = require("./calendars/item/calendarItemRequestBuilder");
const calendarViewRequestBuilder_1 = require("./calendarView/calendarViewRequestBuilder");
const eventItemRequestBuilder_1 = require("./calendarView/item/eventItemRequestBuilder");
const changePasswordRequestBuilder_1 = require("./changePassword/changePasswordRequestBuilder");
const chatsRequestBuilder_1 = require("./chats/chatsRequestBuilder");
const chatItemRequestBuilder_1 = require("./chats/item/chatItemRequestBuilder");
const checkMemberGroupsRequestBuilder_1 = require("./checkMemberGroups/checkMemberGroupsRequestBuilder");
const checkMemberObjectsRequestBuilder_1 = require("./checkMemberObjects/checkMemberObjectsRequestBuilder");
const contactFoldersRequestBuilder_1 = require("./contactFolders/contactFoldersRequestBuilder");
const contactFolderItemRequestBuilder_1 = require("./contactFolders/item/contactFolderItemRequestBuilder");
const contactsRequestBuilder_1 = require("./contacts/contactsRequestBuilder");
const contactItemRequestBuilder_1 = require("./contacts/item/contactItemRequestBuilder");
const createdObjectsRequestBuilder_1 = require("./createdObjects/createdObjectsRequestBuilder");
const directoryObjectItemRequestBuilder_1 = require("./createdObjects/item/directoryObjectItemRequestBuilder");
const deviceManagementTroubleshootingEventsRequestBuilder_1 = require("./deviceManagementTroubleshootingEvents/deviceManagementTroubleshootingEventsRequestBuilder");
const deviceManagementTroubleshootingEventItemRequestBuilder_1 = require("./deviceManagementTroubleshootingEvents/item/deviceManagementTroubleshootingEventItemRequestBuilder");
const directReportsRequestBuilder_1 = require("./directReports/directReportsRequestBuilder");
const directoryObjectItemRequestBuilder_2 = require("./directReports/item/directoryObjectItemRequestBuilder");
const driveRequestBuilder_1 = require("./drive/driveRequestBuilder");
const drivesRequestBuilder_1 = require("./drives/drivesRequestBuilder");
const driveItemRequestBuilder_1 = require("./drives/item/driveItemRequestBuilder");
const eventsRequestBuilder_1 = require("./events/eventsRequestBuilder");
const eventItemRequestBuilder_2 = require("./events/item/eventItemRequestBuilder");
const exportPersonalDataRequestBuilder_1 = require("./exportPersonalData/exportPersonalDataRequestBuilder");
const extensionsRequestBuilder_1 = require("./extensions/extensionsRequestBuilder");
const extensionItemRequestBuilder_1 = require("./extensions/item/extensionItemRequestBuilder");
const findMeetingTimesRequestBuilder_1 = require("./findMeetingTimes/findMeetingTimesRequestBuilder");
const followedSitesRequestBuilder_1 = require("./followedSites/followedSitesRequestBuilder");
const siteItemRequestBuilder_1 = require("./followedSites/item/siteItemRequestBuilder");
const getMailTipsRequestBuilder_1 = require("./getMailTips/getMailTipsRequestBuilder");
const getManagedAppDiagnosticStatusesRequestBuilder_1 = require("./getManagedAppDiagnosticStatuses/getManagedAppDiagnosticStatusesRequestBuilder");
const getManagedAppPoliciesRequestBuilder_1 = require("./getManagedAppPolicies/getManagedAppPoliciesRequestBuilder");
const getMemberGroupsRequestBuilder_1 = require("./getMemberGroups/getMemberGroupsRequestBuilder");
const getMemberObjectsRequestBuilder_1 = require("./getMemberObjects/getMemberObjectsRequestBuilder");
const inferenceClassificationRequestBuilder_1 = require("./inferenceClassification/inferenceClassificationRequestBuilder");
const insightsRequestBuilder_1 = require("./insights/insightsRequestBuilder");
const teamItemRequestBuilder_1 = require("./joinedTeams/item/teamItemRequestBuilder");
const joinedTeamsRequestBuilder_1 = require("./joinedTeams/joinedTeamsRequestBuilder");
const licenseDetailsItemRequestBuilder_1 = require("./licenseDetails/item/licenseDetailsItemRequestBuilder");
const licenseDetailsRequestBuilder_1 = require("./licenseDetails/licenseDetailsRequestBuilder");
const mailFolderItemRequestBuilder_1 = require("./mailFolders/item/mailFolderItemRequestBuilder");
const mailFoldersRequestBuilder_1 = require("./mailFolders/mailFoldersRequestBuilder");
const managedAppRegistrationItemRequestBuilder_1 = require("./managedAppRegistrations/item/managedAppRegistrationItemRequestBuilder");
const managedAppRegistrationsRequestBuilder_1 = require("./managedAppRegistrations/managedAppRegistrationsRequestBuilder");
const managedDeviceItemRequestBuilder_1 = require("./managedDevices/item/managedDeviceItemRequestBuilder");
const managedDevicesRequestBuilder_1 = require("./managedDevices/managedDevicesRequestBuilder");
const managerRequestBuilder_1 = require("./manager/managerRequestBuilder");
const directoryObjectItemRequestBuilder_3 = require("./memberOf/item/directoryObjectItemRequestBuilder");
const memberOfRequestBuilder_1 = require("./memberOf/memberOfRequestBuilder");
const messageItemRequestBuilder_1 = require("./messages/item/messageItemRequestBuilder");
const messagesRequestBuilder_1 = require("./messages/messagesRequestBuilder");
const oAuth2PermissionGrantItemRequestBuilder_1 = require("./oauth2PermissionGrants/item/oAuth2PermissionGrantItemRequestBuilder");
const oauth2PermissionGrantsRequestBuilder_1 = require("./oauth2PermissionGrants/oauth2PermissionGrantsRequestBuilder");
const onenoteRequestBuilder_1 = require("./onenote/onenoteRequestBuilder");
const onlineMeetingItemRequestBuilder_1 = require("./onlineMeetings/item/onlineMeetingItemRequestBuilder");
const onlineMeetingsRequestBuilder_1 = require("./onlineMeetings/onlineMeetingsRequestBuilder");
const outlookRequestBuilder_1 = require("./outlook/outlookRequestBuilder");
const directoryObjectItemRequestBuilder_4 = require("./ownedDevices/item/directoryObjectItemRequestBuilder");
const ownedDevicesRequestBuilder_1 = require("./ownedDevices/ownedDevicesRequestBuilder");
const directoryObjectItemRequestBuilder_5 = require("./ownedObjects/item/directoryObjectItemRequestBuilder");
const ownedObjectsRequestBuilder_1 = require("./ownedObjects/ownedObjectsRequestBuilder");
const personItemRequestBuilder_1 = require("./people/item/personItemRequestBuilder");
const peopleRequestBuilder_1 = require("./people/peopleRequestBuilder");
const photoRequestBuilder_1 = require("./photo/photoRequestBuilder");
const profilePhotoItemRequestBuilder_1 = require("./photos/item/profilePhotoItemRequestBuilder");
const photosRequestBuilder_1 = require("./photos/photosRequestBuilder");
const plannerRequestBuilder_1 = require("./planner/plannerRequestBuilder");
const presenceRequestBuilder_1 = require("./presence/presenceRequestBuilder");
const directoryObjectItemRequestBuilder_6 = require("./registeredDevices/item/directoryObjectItemRequestBuilder");
const registeredDevicesRequestBuilder_1 = require("./registeredDevices/registeredDevicesRequestBuilder");
const reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder_1 = require("./reminderViewWithStartDateTimeWithEndDateTime/reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder");
const removeAllDevicesFromManagementRequestBuilder_1 = require("./removeAllDevicesFromManagement/removeAllDevicesFromManagementRequestBuilder");
const reprocessLicenseAssignmentRequestBuilder_1 = require("./reprocessLicenseAssignment/reprocessLicenseAssignmentRequestBuilder");
const restoreRequestBuilder_1 = require("./restore/restoreRequestBuilder");
const revokeSignInSessionsRequestBuilder_1 = require("./revokeSignInSessions/revokeSignInSessionsRequestBuilder");
const scopedRoleMembershipItemRequestBuilder_1 = require("./scopedRoleMemberOf/item/scopedRoleMembershipItemRequestBuilder");
const scopedRoleMemberOfRequestBuilder_1 = require("./scopedRoleMemberOf/scopedRoleMemberOfRequestBuilder");
const sendMailRequestBuilder_1 = require("./sendMail/sendMailRequestBuilder");
const settingsRequestBuilder_1 = require("./settings/settingsRequestBuilder");
const teamworkRequestBuilder_1 = require("./teamwork/teamworkRequestBuilder");
const todoRequestBuilder_1 = require("./todo/todoRequestBuilder");
const directoryObjectItemRequestBuilder_7 = require("./transitiveMemberOf/item/directoryObjectItemRequestBuilder");
const transitiveMemberOfRequestBuilder_1 = require("./transitiveMemberOf/transitiveMemberOfRequestBuilder");
const translateExchangeIdsRequestBuilder_1 = require("./translateExchangeIds/translateExchangeIdsRequestBuilder");
const wipeManagedAppRegistrationsByDeviceTagRequestBuilder_1 = require("./wipeManagedAppRegistrationsByDeviceTag/wipeManagedAppRegistrationsByDeviceTagRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/** Provides operations to manage the collection of user entities. */
class UserItemRequestBuilder {
    /**
     * Instantiates a new UserItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        if (!pathParameters)
            throw new Error("pathParameters cannot be undefined");
        if (!requestAdapter)
            throw new Error("requestAdapter cannot be undefined");
        this.urlTemplate = "{+baseurl}/users/{user%2Did}{?%24select,%24expand}";
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(pathParameters);
        this.pathParameters = urlTplParams;
        this.requestAdapter = requestAdapter;
    }
    /** The activities property */
    get activities() {
        return new activitiesRequestBuilder_1.ActivitiesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The agreementAcceptances property */
    get agreementAcceptances() {
        return new agreementAcceptancesRequestBuilder_1.AgreementAcceptancesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The appRoleAssignments property */
    get appRoleAssignments() {
        return new appRoleAssignmentsRequestBuilder_1.AppRoleAssignmentsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The assignLicense property */
    get assignLicense() {
        return new assignLicenseRequestBuilder_1.AssignLicenseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The authentication property */
    get authentication() {
        return new authenticationRequestBuilder_1.AuthenticationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The calendar property */
    get calendar() {
        return new calendarRequestBuilder_1.CalendarRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The calendarGroups property */
    get calendarGroups() {
        return new calendarGroupsRequestBuilder_1.CalendarGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The calendars property */
    get calendars() {
        return new calendarsRequestBuilder_1.CalendarsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The calendarView property */
    get calendarView() {
        return new calendarViewRequestBuilder_1.CalendarViewRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The changePassword property */
    get changePassword() {
        return new changePasswordRequestBuilder_1.ChangePasswordRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The chats property */
    get chats() {
        return new chatsRequestBuilder_1.ChatsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The checkMemberGroups property */
    get checkMemberGroups() {
        return new checkMemberGroupsRequestBuilder_1.CheckMemberGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The checkMemberObjects property */
    get checkMemberObjects() {
        return new checkMemberObjectsRequestBuilder_1.CheckMemberObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The contactFolders property */
    get contactFolders() {
        return new contactFoldersRequestBuilder_1.ContactFoldersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The contacts property */
    get contacts() {
        return new contactsRequestBuilder_1.ContactsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The createdObjects property */
    get createdObjects() {
        return new createdObjectsRequestBuilder_1.CreatedObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The deviceManagementTroubleshootingEvents property */
    get deviceManagementTroubleshootingEvents() {
        return new deviceManagementTroubleshootingEventsRequestBuilder_1.DeviceManagementTroubleshootingEventsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The directReports property */
    get directReports() {
        return new directReportsRequestBuilder_1.DirectReportsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The drive property */
    get drive() {
        return new driveRequestBuilder_1.DriveRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The drives property */
    get drives() {
        return new drivesRequestBuilder_1.DrivesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The events property */
    get events() {
        return new eventsRequestBuilder_1.EventsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The exportPersonalData property */
    get exportPersonalData() {
        return new exportPersonalDataRequestBuilder_1.ExportPersonalDataRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The extensions property */
    get extensions() {
        return new extensionsRequestBuilder_1.ExtensionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The findMeetingTimes property */
    get findMeetingTimes() {
        return new findMeetingTimesRequestBuilder_1.FindMeetingTimesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The followedSites property */
    get followedSites() {
        return new followedSitesRequestBuilder_1.FollowedSitesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getMailTips property */
    get getMailTips() {
        return new getMailTipsRequestBuilder_1.GetMailTipsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getMemberGroups property */
    get getMemberGroups() {
        return new getMemberGroupsRequestBuilder_1.GetMemberGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getMemberObjects property */
    get getMemberObjects() {
        return new getMemberObjectsRequestBuilder_1.GetMemberObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The inferenceClassification property */
    get inferenceClassification() {
        return new inferenceClassificationRequestBuilder_1.InferenceClassificationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The insights property */
    get insights() {
        return new insightsRequestBuilder_1.InsightsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The joinedTeams property */
    get joinedTeams() {
        return new joinedTeamsRequestBuilder_1.JoinedTeamsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The licenseDetails property */
    get licenseDetails() {
        return new licenseDetailsRequestBuilder_1.LicenseDetailsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The mailFolders property */
    get mailFolders() {
        return new mailFoldersRequestBuilder_1.MailFoldersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The managedAppRegistrations property */
    get managedAppRegistrations() {
        return new managedAppRegistrationsRequestBuilder_1.ManagedAppRegistrationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The managedDevices property */
    get managedDevices() {
        return new managedDevicesRequestBuilder_1.ManagedDevicesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The manager property */
    get manager() {
        return new managerRequestBuilder_1.ManagerRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The memberOf property */
    get memberOf() {
        return new memberOfRequestBuilder_1.MemberOfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The messages property */
    get messages() {
        return new messagesRequestBuilder_1.MessagesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The oauth2PermissionGrants property */
    get oauth2PermissionGrants() {
        return new oauth2PermissionGrantsRequestBuilder_1.Oauth2PermissionGrantsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The onenote property */
    get onenote() {
        return new onenoteRequestBuilder_1.OnenoteRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The onlineMeetings property */
    get onlineMeetings() {
        return new onlineMeetingsRequestBuilder_1.OnlineMeetingsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The outlook property */
    get outlook() {
        return new outlookRequestBuilder_1.OutlookRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The ownedDevices property */
    get ownedDevices() {
        return new ownedDevicesRequestBuilder_1.OwnedDevicesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The ownedObjects property */
    get ownedObjects() {
        return new ownedObjectsRequestBuilder_1.OwnedObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The people property */
    get people() {
        return new peopleRequestBuilder_1.PeopleRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The photo property */
    get photo() {
        return new photoRequestBuilder_1.PhotoRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The photos property */
    get photos() {
        return new photosRequestBuilder_1.PhotosRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The planner property */
    get planner() {
        return new plannerRequestBuilder_1.PlannerRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The presence property */
    get presence() {
        return new presenceRequestBuilder_1.PresenceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The registeredDevices property */
    get registeredDevices() {
        return new registeredDevicesRequestBuilder_1.RegisteredDevicesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The removeAllDevicesFromManagement property */
    get removeAllDevicesFromManagement() {
        return new removeAllDevicesFromManagementRequestBuilder_1.RemoveAllDevicesFromManagementRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The reprocessLicenseAssignment property */
    get reprocessLicenseAssignment() {
        return new reprocessLicenseAssignmentRequestBuilder_1.ReprocessLicenseAssignmentRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The restore property */
    get restore() {
        return new restoreRequestBuilder_1.RestoreRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The revokeSignInSessions property */
    get revokeSignInSessions() {
        return new revokeSignInSessionsRequestBuilder_1.RevokeSignInSessionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The scopedRoleMemberOf property */
    get scopedRoleMemberOf() {
        return new scopedRoleMemberOfRequestBuilder_1.ScopedRoleMemberOfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The sendMail property */
    get sendMail() {
        return new sendMailRequestBuilder_1.SendMailRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The settings property */
    get settings() {
        return new settingsRequestBuilder_1.SettingsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The teamwork property */
    get teamwork() {
        return new teamworkRequestBuilder_1.TeamworkRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The todo property */
    get todo() {
        return new todoRequestBuilder_1.TodoRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The transitiveMemberOf property */
    get transitiveMemberOf() {
        return new transitiveMemberOfRequestBuilder_1.TransitiveMemberOfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The translateExchangeIds property */
    get translateExchangeIds() {
        return new translateExchangeIdsRequestBuilder_1.TranslateExchangeIdsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The wipeManagedAppRegistrationsByDeviceTag property */
    get wipeManagedAppRegistrationsByDeviceTag() {
        return new wipeManagedAppRegistrationsByDeviceTagRequestBuilder_1.WipeManagedAppRegistrationsByDeviceTagRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.activities.item collection
     * @param id Unique identifier of the item
     * @returns a userActivityItemRequestBuilder
     */
    activitiesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["userActivity%2Did"] = id;
        return new userActivityItemRequestBuilder_1.UserActivityItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.agreementAcceptances.item collection
     * @param id Unique identifier of the item
     * @returns a agreementAcceptanceItemRequestBuilder
     */
    agreementAcceptancesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["agreementAcceptance%2Did"] = id;
        return new agreementAcceptanceItemRequestBuilder_1.AgreementAcceptanceItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.appRoleAssignments.item collection
     * @param id Unique identifier of the item
     * @returns a appRoleAssignmentItemRequestBuilder
     */
    appRoleAssignmentsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["appRoleAssignment%2Did"] = id;
        return new appRoleAssignmentItemRequestBuilder_1.AppRoleAssignmentItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.calendarGroups.item collection
     * @param id Unique identifier of the item
     * @returns a calendarGroupItemRequestBuilder
     */
    calendarGroupsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["calendarGroup%2Did"] = id;
        return new calendarGroupItemRequestBuilder_1.CalendarGroupItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.calendars.item collection
     * @param id Unique identifier of the item
     * @returns a calendarItemRequestBuilder
     */
    calendarsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["calendar%2Did"] = id;
        return new calendarItemRequestBuilder_1.CalendarItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.calendarView.item collection
     * @param id Unique identifier of the item
     * @returns a eventItemRequestBuilder
     */
    calendarViewById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["event%2Did"] = id;
        return new eventItemRequestBuilder_1.EventItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.chats.item collection
     * @param id Unique identifier of the item
     * @returns a chatItemRequestBuilder
     */
    chatsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["chat%2Did"] = id;
        return new chatItemRequestBuilder_1.ChatItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.contactFolders.item collection
     * @param id Unique identifier of the item
     * @returns a contactFolderItemRequestBuilder
     */
    contactFoldersById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["contactFolder%2Did"] = id;
        return new contactFolderItemRequestBuilder_1.ContactFolderItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.contacts.item collection
     * @param id Unique identifier of the item
     * @returns a contactItemRequestBuilder
     */
    contactsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["contact%2Did"] = id;
        return new contactItemRequestBuilder_1.ContactItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * In this tutorial, a fictitious company called Contoso Limited wishes to have its IT Helpdesk manage the lifecycle of employees’ access. The company has identified the Azure AD User Administrator role as the appropriate privileged role required by IT Helpdesk, and will use the PIM API to assign the role. You'll create a role-assignable security group for IT Helpdesk and using the PIM API, assign the security group eligibility to the User Administrator role. By assigning the eligible role to a security group, Contoso has a more efficient way to manage administrator access to resources such as Azure AD roles. For example: Assigning eligibility instead of a persistently active User Administrator privilege allows the company to enforce **just-in-time access**, which grants temporary permissions to carry out the privileged tasks. After defining the role eligibility, the eligible group member then activates their assignment for a temporary period. All records of role activations will be auditable by the company.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.DELETE;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        return requestInfo;
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.createdObjects.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    createdObjectsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryObject%2Did"] = id;
        return new directoryObjectItemRequestBuilder_1.DirectoryObjectItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    createGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.GET;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.setQueryStringParametersFromRawObject(requestConfiguration.queryParameters);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        return requestInfo;
    }
    ;
    /**
     * This article provides examples of how to assign, update, or remove different types of custom security attributes for users and applications (service principals). Custom security attributes can be assigned or updated only through a `PATCH` operation in an [Update user](/graph/api/user-update?view=graph-rest-beta&preserve-view=true) or [Update servicePrincipal](/graph/api/serviceprincipal-update?view=graph-rest-beta&preserve-view=true) request.
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.PATCH;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body);
        return requestInfo;
    }
    ;
    /**
     * In this tutorial, a fictitious company called Contoso Limited wishes to have its IT Helpdesk manage the lifecycle of employees’ access. The company has identified the Azure AD User Administrator role as the appropriate privileged role required by IT Helpdesk, and will use the PIM API to assign the role. You'll create a role-assignable security group for IT Helpdesk and using the PIM API, assign the security group eligibility to the User Administrator role. By assigning the eligible role to a security group, Contoso has a more efficient way to manage administrator access to resources such as Azure AD roles. For example: Assigning eligibility instead of a persistently active User Administrator privilege allows the company to enforce **just-in-time access**, which grants temporary permissions to carry out the privileged tasks. After defining the role eligibility, the eligible group member then activates their assignment for a temporary period. All records of role activations will be auditable by the company.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration, responseHandler) {
        var _a, _b;
        const requestInfo = this.createDeleteRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
            "5XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
        };
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendNoResponseContentAsync(requestInfo, responseHandler, errorMapping)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.deviceManagementTroubleshootingEvents.item collection
     * @param id Unique identifier of the item
     * @returns a deviceManagementTroubleshootingEventItemRequestBuilder
     */
    deviceManagementTroubleshootingEventsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["deviceManagementTroubleshootingEvent%2Did"] = id;
        return new deviceManagementTroubleshootingEventItemRequestBuilder_1.DeviceManagementTroubleshootingEventItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.directReports.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    directReportsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryObject%2Did"] = id;
        return new directoryObjectItemRequestBuilder_2.DirectoryObjectItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.drives.item collection
     * @param id Unique identifier of the item
     * @returns a driveItemRequestBuilder
     */
    drivesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["drive%2Did"] = id;
        return new driveItemRequestBuilder_1.DriveItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.events.item collection
     * @param id Unique identifier of the item
     * @returns a eventItemRequestBuilder
     */
    eventsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["event%2Did"] = id;
        return new eventItemRequestBuilder_2.EventItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.extensions.item collection
     * @param id Unique identifier of the item
     * @returns a extensionItemRequestBuilder
     */
    extensionsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["extension%2Did"] = id;
        return new extensionItemRequestBuilder_1.ExtensionItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.followedSites.item collection
     * @param id Unique identifier of the item
     * @returns a siteItemRequestBuilder
     */
    followedSitesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["site%2Did"] = id;
        return new siteItemRequestBuilder_1.SiteItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    get(requestConfiguration, responseHandler) {
        var _a, _b;
        const requestInfo = this.createGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
            "5XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
        };
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendAsync(requestInfo, createUserFromDiscriminatorValue_1.createUserFromDiscriminatorValue, responseHandler, errorMapping)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
    /**
     * Provides operations to call the getManagedAppDiagnosticStatuses method.
     * @returns a getManagedAppDiagnosticStatusesRequestBuilder
     */
    getManagedAppDiagnosticStatuses() {
        return new getManagedAppDiagnosticStatusesRequestBuilder_1.GetManagedAppDiagnosticStatusesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    ;
    /**
     * Provides operations to call the getManagedAppPolicies method.
     * @returns a getManagedAppPoliciesRequestBuilder
     */
    getManagedAppPolicies() {
        return new getManagedAppPoliciesRequestBuilder_1.GetManagedAppPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.joinedTeams.item collection
     * @param id Unique identifier of the item
     * @returns a teamItemRequestBuilder
     */
    joinedTeamsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["team%2Did"] = id;
        return new teamItemRequestBuilder_1.TeamItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.licenseDetails.item collection
     * @param id Unique identifier of the item
     * @returns a licenseDetailsItemRequestBuilder
     */
    licenseDetailsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["licenseDetails%2Did"] = id;
        return new licenseDetailsItemRequestBuilder_1.LicenseDetailsItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.mailFolders.item collection
     * @param id Unique identifier of the item
     * @returns a mailFolderItemRequestBuilder
     */
    mailFoldersById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["mailFolder%2Did"] = id;
        return new mailFolderItemRequestBuilder_1.MailFolderItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.managedAppRegistrations.item collection
     * @param id Unique identifier of the item
     * @returns a managedAppRegistrationItemRequestBuilder
     */
    managedAppRegistrationsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["managedAppRegistration%2Did"] = id;
        return new managedAppRegistrationItemRequestBuilder_1.ManagedAppRegistrationItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.managedDevices.item collection
     * @param id Unique identifier of the item
     * @returns a managedDeviceItemRequestBuilder
     */
    managedDevicesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["managedDevice%2Did"] = id;
        return new managedDeviceItemRequestBuilder_1.ManagedDeviceItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.memberOf.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    memberOfById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryObject%2Did"] = id;
        return new directoryObjectItemRequestBuilder_3.DirectoryObjectItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.messages.item collection
     * @param id Unique identifier of the item
     * @returns a messageItemRequestBuilder
     */
    messagesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["message%2Did"] = id;
        return new messageItemRequestBuilder_1.MessageItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.oauth2PermissionGrants.item collection
     * @param id Unique identifier of the item
     * @returns a oAuth2PermissionGrantItemRequestBuilder
     */
    oauth2PermissionGrantsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["oAuth2PermissionGrant%2Did"] = id;
        return new oAuth2PermissionGrantItemRequestBuilder_1.OAuth2PermissionGrantItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.onlineMeetings.item collection
     * @param id Unique identifier of the item
     * @returns a onlineMeetingItemRequestBuilder
     */
    onlineMeetingsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["onlineMeeting%2Did"] = id;
        return new onlineMeetingItemRequestBuilder_1.OnlineMeetingItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.ownedDevices.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    ownedDevicesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryObject%2Did"] = id;
        return new directoryObjectItemRequestBuilder_4.DirectoryObjectItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.ownedObjects.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    ownedObjectsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryObject%2Did"] = id;
        return new directoryObjectItemRequestBuilder_5.DirectoryObjectItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * This article provides examples of how to assign, update, or remove different types of custom security attributes for users and applications (service principals). Custom security attributes can be assigned or updated only through a `PATCH` operation in an [Update user](/graph/api/user-update?view=graph-rest-beta&preserve-view=true) or [Update servicePrincipal](/graph/api/serviceprincipal-update?view=graph-rest-beta&preserve-view=true) request.
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body, requestConfiguration, responseHandler) {
        var _a, _b;
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = this.createPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
            "5XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
        };
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendNoResponseContentAsync(requestInfo, responseHandler, errorMapping)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.people.item collection
     * @param id Unique identifier of the item
     * @returns a personItemRequestBuilder
     */
    peopleById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["person%2Did"] = id;
        return new personItemRequestBuilder_1.PersonItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.photos.item collection
     * @param id Unique identifier of the item
     * @returns a profilePhotoItemRequestBuilder
     */
    photosById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["profilePhoto%2Did"] = id;
        return new profilePhotoItemRequestBuilder_1.ProfilePhotoItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.registeredDevices.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    registeredDevicesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryObject%2Did"] = id;
        return new directoryObjectItemRequestBuilder_6.DirectoryObjectItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Provides operations to call the reminderView method.
     * @param EndDateTime Usage: EndDateTime='{EndDateTime}'
     * @param StartDateTime Usage: StartDateTime='{StartDateTime}'
     * @returns a reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    reminderViewWithStartDateTimeWithEndDateTime(endDateTime, startDateTime) {
        if (!endDateTime)
            throw new Error("endDateTime cannot be undefined");
        if (!startDateTime)
            throw new Error("startDateTime cannot be undefined");
        return new reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder_1.ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder(this.pathParameters, this.requestAdapter, endDateTime, startDateTime);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.scopedRoleMemberOf.item collection
     * @param id Unique identifier of the item
     * @returns a scopedRoleMembershipItemRequestBuilder
     */
    scopedRoleMemberOfById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["scopedRoleMembership%2Did"] = id;
        return new scopedRoleMembershipItemRequestBuilder_1.ScopedRoleMembershipItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.transitiveMemberOf.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    transitiveMemberOfById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryObject%2Did"] = id;
        return new directoryObjectItemRequestBuilder_7.DirectoryObjectItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
}
exports.UserItemRequestBuilder = UserItemRequestBuilder;
